eCabinet Systems Made Easy – Learning the Software

Easy software is simply software you understand.

If you don’t really understand how it works and what you are trying to do, software can be confusing, difficult and frustrating. Once you understand it seems easy.

In this manual we will try to develop this understanding so that eCabinet Systems is easy for you.

This understanding is especially important for cabinet design software because each software package approaches the design effort differently. If you try to learn eCabinet Systems from the perspective of another package, it will appear convoluted and difficult. If, on the other hand, you understand our approach, it will appear simple, easy and intuitive.


Understanding the Software

If you have never used cabinet design software before, this information is important. It will give you an overview that will make the software easy to understand.

If you have used or been exposed to other cabinet design software, this information is vital. Understanding the fundamental difference between eCabinet Systems and the software you used in the past is “vital” to making eCabinet Systems easy.

There are different approaches to designing cabinets. The approach used in eCabinet Systems is different than the approach used by others.

The simplest, but most restrictive approach to cabinet design is to offer libraries of cabinets and allow the user limited ability to change certain parameters, such as size or number of drawers. Using this approach the extensive details of cabinet design and construction are fixed by the software developers who created the libraries. The only features the user can modify are those specifically allowed.

This type of software appears easy because of the limited number of things you can do with it.

Software that offers the user control over all aspects of cabinet design and construction is more involved. All software that offers this ability, regardless of who supplies it, is based on a single concept. That concept is that each and every detail of cabinet construction is controlled by a parameter. Change the parameter and that particular detail changes.

Obviously this is more involved and puts more demand on the software developers. The software should understand how changing one parameter affects other parameters. Some software simply ignores these interrelationships, so if you change one parameter, a back for example, you must also specifically change any other parameter that is affected, such as the top it overlaps.

This is not the case with eCabinet Systems. eCabinet Systems automatically adjusts every parameter affected when you make a change.

There are two different approaches to managing parameters. Understanding this difference is important, especially if you have used or been exposed to the other approach.

The approach used by others is to offer an area where the user defines each and every detail of cabinet construction. All parameters are displayed and the user defines his or her preference for each and specifies how conflicts are handled. This list of parameters resides in the software and defines how cabinets are created.

At this point, cabinets do not exist. Once parameters are defined, you create a cabinet by instructing the software to create a cabinet of a certain size and configuration using the defined parameters. Parameters dictate the details of cabinet construction.

Although it sounds simple, this approach has two drawbacks. First, it is difficult and time-consuming to define all cabinet parameters before a single cabinet is created. This must be done when you first install the software. This is also the time when you know the least about the software and parameters.

The second drawback is that this approach tends to make it difficult to develop and work with a variety of designs. Changing parameters back and forth to create cabinets that differ from each other is complex. Also, you must actually create a cabinet before you can see the effect of any parameter change, so users tend to make all cabinets essentially the same once they find a set of parameters that work.

eCabinet Systems takes a different approach. In eCabinet Systems you DO NOT EVER create cabinets. Cabinets already exist. You modify, duplicate, and save them using new names but you do not create new cabinets from scratch.

In eCabinet Systems, the list of parameters is part of EACH CABINET not part of the SYSTEM. Although this sounds like a simple difference it has profound impact on how the software functions.

Instead of specifically defining parameters for each cabinet, existing cabinets already have parameters. To obtain a different design, the user modifies the parameters they want changed, leaves the others alone and saves the result under a new name.

The key ingredient to the eCabinet Systems approach, which really characterizes the software, is the ability to display highly detailed, accurate three-dimensional graphic images of the cabinet, including all joint and part detail while you are adjusting parameters. These images show exactly what the cabinet looks like with the current parameters. Changing a parameter causes the image to change, so you can examine the result.

This image can be moved, rotated, exploded and zoomed. Components can be hidden, made transparent or turned into wireframe. In short, the user can examine in minute detail the actual effect on the cabinet of any parameter change.

You start with a standard cabinet from a directory called “Standard Cabinets” and modify parameters until you fashion a cabinet designed the way you want. This new cabinet is saved under a new name in a new directory. The original cabinet still exists in the old directory under the old name.

The new cabinet can then be loaded, further modified and saved under yet another name. Now you have three, the old cabinet, the new cabinet and the modified version of the new cabinet.

This approach makes development of entire libraries easy and yet provides almost total flexibility.

To develop a library, start with a standard cabinet. Change it to include the parameters you want to be shared by every cabinet in your new library. Save this in a new directory as a “seed” cabinet.

Now, load this seed cabinet, resize and modify it to the first cabinet you want in your library. Save it. Load the seed cabinet again, fashion and save your next cabinet. In a short time you have an entire library of cabinets that all share the same characteristics as your seed cabinet.

Should you need to change any of these for a specific application, it is easy because the parameters reside with the cabinet, not the software. So, exactly how do we change the cabinet parameters?

To help understand, we might want to separate changes to the cabinet into three categories, size, configuration and parameters.

Size is well, size… height width and depth. This is changed on the Main page of the Cabinet/Assembly Editor but can also be changed whenever the cabinet is used in a job.

Configuration includes shelves, partitions, face frames, moldings, doors, drawers, etc. The configuration of a cabinet is developed through a series of Editors that are reached from the Main page.

Parameters are the little bitty details concerning everything about the cabinet. Material, joinery, fits, insets, and about everything else. These parameters are adjusted in an area called Construction Settings that is also reached from the Main page of the Cabinet/Assembly Editor.

There are actually two kinds of parameters, which can cause some confusion. Some parameters, a back inset for example, affect the cabinet as soon as they are changed. Other parameters define how items, a shelf for example, are added to the cabinet. Changing this second type of parameter doesn’t change existing shelves, it only affects shelves that are added after the change. Of course, to make it even more confusing, if you highlight a shelf and then make a parameter change it changes the shelf that was highlighted.

Despite this, it’s actually pretty simple. Change size on the Main page or when you use the cabinet, change configuration using Editors and change parameters in Construction Settings.

Regardless of how many configurations and parameters the software allows for, cabinetmakers will always want to do something more. To address this, a Part Editor is available. Using the Part Editor, any part of the cabinet can be cut, pocketed, profiled or machined. This lets you create almost anything you can imagine. The amazing thing is that all of these creations can be actually machined on a Thermwood CNC router from the file created by eCabinet Systems software. You can cut and profile individual cabinet parts pretty much any way you want.

If you want to put an edge profile on a part in the software, you will need to develop a tool with the correct profile. This tool is developed in an area called a Shape Manager. Tools developed in the Shape Manager are used in the Part Editor to cut a profile on a part.

An interesting note about this feature is that once a profile is placed on a part in the Part Editor, that profile can be machined on a Thermwood CNC router, even if a custom profile tool is not available. The Thermwood control can create a modeling program using a ball nose and corner bit to machine the profile edge using modeling techniques.

So far it has been pretty simple but now we are going to add a valuable feature that can make it a bit more confusing if you don’t understand it. It has to do with the word “Assembly” in Cabinet/Assembly Editor.

A lot of complex cabinets and furniture cannot be defined with a single set of parameters. The approach eCabinet Systems uses to create these more complex pieces is to allow multiple cabinets to be loaded into the Cabinet/Assembly Editor at the same time and saved together as an “Assembly”. This approach is very powerful, but can be confusing. Let’s look at an example.

Suppose we need an upper island cabinet with a face frame and doors on both the front and back. We need to remove the back and put a face frame and doors on it.

In designing software to allow for this, you could create parameters for a face frame and doors on the back, but then someone will want it on the side. There are thousands of these variations and you simply can’t make parameters for everything or the software would really get confusing. Instead, eCabinet Systems allows you to combine elements from two or more cabinets into an Assembly.

In this case, we take our first face frame cabinet and remove the back. Then we take a second copy of the cabinet (we can copy and paste it right there) and remove everything except the face frame and doors.

At this point the software sees two cabinets, one without a back and one without everything except the face frame and doors. Move the face frame and doors from the second cabinet to the back of the first cabinet and we have the assembly we want. It looks like a single cabinet with a face frame and doors on both ends but we know that, as far as the software is concerned, it is actually two cabinets, each with parts removed.

We can address and change the parameters of either cabinet by highlighting it and accessing Construction Settings.

This is an important concept because this simple approach allows for almost unlimited flexibility and still offers the ability to address and adjust every aspect of every cabinet involved.

There are a couple of other areas we should mention in this overview. You can associate hardware, hinges, pulls, slides, etc. with a cabinet. When you do, the mounting hole pattern for the hardware is automatically added to the appropriate cabinet part. If you process the nest through a Thermwood CNC router, these hardware holes are automatically machined into the correct components.

In addition, the required hardware is added to a report called a “Buy List”. The Buy List contains everything you need to buy for the job.

As a bonus, you can buy everything on the Buy List through the eCabinet Systems program using the software. These sales fund continuing software development so you are actually helping yourself if you buy your components this way.

There is more to designing cabinets and assemblies, however, these are the important basic concepts. We cover all the detail capabilities in the Cabinet/Assembly Editor area.

While you can generate reports such as Cut Lists, Buy Lists and Cost Sheets (estimates) for a single cabinet, most want to combine multiple cabinets and assemblies into Jobs.

Within eCabinet Systems, you do not specifically create a Job. A Job is automatically created when any one of four events occurs.

- A cabinet is placed in the Job using Batch Input.

- A wall is created in Custom Layout.

- An item is placed in the Shopping Cart.

- A cabinet or other entity is placed in the Drawing Editor.

The reason this is important is that once a Job is created, it and everything around it can be saved as a Job (.esj) file.

We have two approaches for combining multiple cabinets into a Job.

The first approach applies to shops that build essentially standard cabinets in batches. This area is called Batch Cabinets and allows you to simply add a quantity of cabinets to the job by selecting them from your library. When all the cabinets have been added, you generate the reports and manufacturing output for the entire batch.

As we said, as soon as a cabinet is added using Batch Input, a Job is created and it can be saved as a Job file. At this point you can also run all the manufacturing reports for all the cabinets in the Job.

The second approach, and the one used by most custom cabinet shops, involves creating a room and installing cabinets from your library in that room.

In eCabinet Systems these functions are developed in an area called Custom Layout. Rather than combining all functions in a single Custom Layout area, the software uses four connected areas that make up the Custom Layout function.

The Main area is used for viewing the layout. You can tilt, rotate and zoom the room so that you can view it from any perspective. You can hide walls if they are in your way. The only thing you can do in this Main area, other than look at your layout, is to adjust the texture on the walls and floor.

Before you can view a room you need to actually create one. This is done in an area called a Wall Editor. Individual walls are created and the height and slope of the top of the walls are adjusted. Openings are cut into walls or sections added to walls in this area.

The Wall Editor works with entities called Wall Lines. These are simply lines that define the room.

Once you have a room, you will want to install cabinets. This is done in an area called Detail Room. This area is a little more rigid than the Main viewing area, but from either an overhead view or a wall elevation view, you load cabinets and then move them into position. There are several modes for doing this that you will need to learn and understand.

This area is actually quite involved and there are a lot of tools and techniques that can result in highly realistic representations of a finished room.

From the Main area, there is also a feature, called Presentation View that lets you create photorealistic views of the layout including shadows and reflections. These remarkable images are a major selling tool that have helped many shops sell their proposals, at times successfully selling against other bids that were priced lower. The highly professional image that this feature provides can be a great sales aide.

From either the Cabinet/Assembly Editor or Custom Layout, you can take cabinets, assemblies, walls and entire layouts into a Drawing Editor. Here, dimensioned line drawings are developed. This area also supports dimensioned isometrics and dimensioned, exploded isometric drawings.

Once the layout is complete, you can generate a Cut List, Buy List and Cost Sheet. If you plan to cut the part using traditional methods, you can generate a nest diagram, individual sheet diagrams, individual part drawings and labels for each part.

If you plan to run this job on a Thermwood CNC router, you can send the file directly to the control where it will be nested and machined.

We have mentioned Cost Sheets several times so now is a good time to get an overview of the cost estimating features of the software.

The system uses information from three areas to estimate job costs and there are two different approaches to developing these estimates.

The first input to the cost estimate is material cost. When you design a cabinet you specify the material to use and its cost. You also specify an estimated yield, which the system uses until you nest the job. Once the job is nested, the system knows exactly how much of each material is needed, the exact yield and exactly how much the material for the job will cost.

The second input to the cost estimate is the cost of components and hardware that must be purchased for the job. When you design your cabinet, you can associate the correct components with it. Since these components can be purchased through the eCabinet Systems program, the system knows the actual cost of each item and this cost is added to the material cost for the job.

The final cost elements that must be accounted for are labor and overhead. These costs are calculated from data that you supply about the cost structure of your shop. Using the information you supply, there are two different approaches to estimating labor and overhead.

The first approach uses historical ratios. It determines what the cost ratio for labor and overhead as compared to material has been in the past and applies these ratios to the new job. This approach works for shops that build a fairly consistent product line. If you build pretty much the same cabinets over and over, this simple approach should work well for you.

The second approach to estimating labor and overhead is to assign a certain number of labor hours to each cabinet and then assign a cost per hour to these labor hours. The system adds up the labor hours for all cabinets in a job and multiplies this by the cost per hour. The software allows for several different categories of labor, each at a different cost per hour, allowing for an even closer estimate.

To estimate overhead using this second approach, an overhead cost per hour is multiplied by the total number of hours in the job.

In the detail application of these estimates, additional tools are offered that can account for incidental costs such as shipping, scrap and the like.

This can be an important tool. Once the basic information bas been entered, cost calculations are pretty much automatic. You can display a running total of the job cost across the bottom of the screen and a Cost Sheet can be generated in a second window pretty much any time you want.

Several ancillary but important tools are also available in the software. These include an image control that is used to enhance jpeg images that can be captured from many areas of the software and a Display Part Editor where sophisticated textures can be placed on three dimensional objects which can then be added to cabinets or custom layouts.

Another ancillary feature is a Proposal Writer which is used to quickly create a professional sales proposal. This very quickly generates the basic proposal which can then be exported to Microsoft Word and further customized.

There is an area called Settings/Preferences. As its name implies, this is an area where you set parameters that define how the software functions. This is where you tailor its “look and feel”.

The final area we will touch on in this introduction is the Shopping Cart. This is where you can purchase virtually anything you might need directly from major industry vendors. The Shopping Cart is part of a Job and each Job has its own Shopping Cart. As we said earlier, the software automatically adds contents of the Buy List to the Shopping Cart (unless you tell it not to) but in addition, you can browse an extensive catalog of parts, components, machines and tooling that you can purchase at Member discount pricing.

You might note that as you work with the job and change things, the Buy List automatically accounts for the changes as does the Shopping Cart. Whenever you access the Shopping Cart, the contents reflect the current composition of the job.

And that is a general overview of eCabinet Systems software. There are a lot more details, but before you deal with these details, it is valuable that you understand just what we are trying to do in each area and how we get the overall job done.


Settings Preferences

There is an area in the software called Settings/Preferences where you specify fundamental software settings and your preferences for how you would like certain aspects of the software to work. In general, these settings can be changed any time.

Settings/Preferences is accessed through an icon on the top toolbar. Let’s examine what we can control.


Dimension Display and Input

Dimension Display defines how the software displays dimensions. This selection affects dimension display everywhere, including dimensioning on line drawings. There are five choices.

Although you must select one format for display, you are free to use any format to enter dimensions. You must use the proper syntax including the foot (‘), inch (“) and millimeter (mm) symbols when entering dimensions. If you don’t use symbols, the system will assume inches (“) if you have selected any of the English formats for display or millimeters (mm) if you have specified Metric.

If you think about it, this can be quite helpful. If you are working in inches and have to enter a dimension in millimeters, you don’t have to do any conversion. Simply enter the number with an mm after it and the system will understand.

You should note that when working with fractions, for both input and display, the system only accepts and displays fractions down to 1/32 inch. Displays are in 1/32 inch or higher fractions and all measurements are rounded to the nearest 1/32 inch. If you need tighter dimensions than this, use the Inches and Decimal display.

Also note that when working in certain areas such as doors or drawer boxes, vendors only offer product in specific fraction increments, 1/32, 1/16. etc. In these cases, the software automatically rounds the number so that it matches the product that is actually available.

There is one more feature that is not well documented within the software itself for dimension input but is quite useful and that is math operators. Let’s say you don’t know the exact dimension you need to enter but know it is the sum of three numbers. Instead of adding the numbers together and then entering the sum, just enter the three numbers with a plus sign (+) between them and the system will do the math for you. This also works with minus (-), divide (/) and multiply (*). The system also understands the use of parenthesis.


Language

The software was written to function in multiple languages although we currently support only English. There are some third-party efforts to translate the software into other languages and when complete, every portion of the software will function in the selected language. This includes titles, buttons, controls, guide boxes, Area Overviews, and error messages.


Controlling Learning Mode Display

The software includes a Learning Mode which pops up guide boxes when you pause the cursor over a control or menu selection. These boxes contain valuable guidance. You can turn off the Learning Mode by unchecking Learning Mode, but we do not recommend turning it off, even for highly experienced users.

If you absolutely don’t want the pop-up boxes popping up, set the delay to five seconds of so. It is common for the programmers that actually developed the eCabinet Systems software to refer to the guide boxes to refresh their memory about certain features. If they need this help, almost any user will need it also.

Zero Delay for New, when checked, pops up any guide box that has changed from the last version of the software without a delay. If you have been working with earlier versions of the software and are familiar with the information in the pop up guides, this feature will be especially useful. When checked, any pop up guide that is either new or changed from the previous version will display immediately when the cursor moves over it. It also displays with a blue background to distinguish it from the standard guides which are tan. Once you have become familiar with the changes and new items, you can uncheck Zero Delay for New and all pop ups will follow the delay you set and will be tan. If you are new to the software you can uncheck Zero Delay for New since everything is new to you.

The next two check boxes apply to the Cabinet/Assembly Editor. The first checkbox turns on and off a display feature in the Cabinet/Assembly Editor. When turned on, pausing the cursor over a cabinet component displays a pop-up box that gives you detail about the part, including name, material and size. This is quite useful as you will find, and should normally be left on.

The second checkbox turns on and off an auto-rotate function in the Cabinet/Assembly Editor. When turned on, if you rotate the workspace and release the mouse button while still moving, the workspace and everything in it will rotate continuously. This is an interesting effect for a computer left unattended or for a show or to show off to a customer.


Settings to Help the Software Run on Slower Computers

eCabinet Systems is a rather sophisticated software that is graphic intensive. It uses sophisticated graphic images to display effects of parameter changes on cabinets and to aid in the layout and creation of a room. These graphic features require, above all else, a powerful graphics card. The capability of the graphics card, probably more than anything else, defines how well the software will function on a particular computer system. Since older, slower systems can have problems, we have provided some tools to try to help. In the long run, however, if you are going to use this software to run a business, you should get the best computer system possible.

The first tool is the Level of Detail setting. This sets the amount of image detail that is displayed in the Cabinet/Assembly Editor and in Custom Layout. A lower Level of Detail renders faster but with reduced image quality. It makes less demands on the graphics card and can help slower systems perform better.

There are some additional tools in the Custom Layout area that work in conjunction with a lower Level of Detail setting. Instead of simply reducing the amount of detail shown on everything, these controls allow you to completely hide those items that slow computer processing in Custom Layout. The Level of Detail setting, however, is still important and is the only tool you have in the Cabinet/Assembly Editor. We recommend that you set the Level of Detail to the minimum level needed to give acceptable performance in the Cabinet/Assembly Editor and Custom Layout.

There is one other important point that affects performance when running eCabinet Systems. Since the software makes substantial demands on computer resources, it is best to run it alone and shut down all other programs while using eCabinet Systems. This frees all available computer resources for the demanding task. Also, if you work on the Internet very much, it is likely that some of the sites you visit will install small programs on your system to report information back to them. Each of these programs uses resources and it is common to have dozens if not hundreds of these running. It is important to remove these on a regular basis.

There are several good programs for doing this and some of them, such as Ad-Aware are available free. The ones you pay for tend to have more features and do a better job of keeping your system clean. It is important, however, to minimize the number of background tasks running if you want to get the best performance from your system.


How to Define Materials

As you work with the Cabinet/Assembly Editor and certain aspects of Custom Layout, you will be asked to specify what material certain components are made from. The choices you are offered in each of these areas come from Define Stock Materials right here in Settings/Preferences. When manufacturing reports are generated, material requirements are determined by type of material. The system will add up all the parts made from a particular material and tell you how much of that material you need.

Some generic materials are already defined in the software. The seed “Standard” cabinets are made from this material. You can actually start working with the software without defining additional material, but you will need to add your particular material before you can begin doing serious work.

The Image selected when you define a material is the texture used to display all parts made from that material. If you change the image here, it will change for all cabinets that use this material.

If you are going to use the same actual material but finish it differently, you have a couple of choices. If an entire Job will have the new finish and it will be processed as a Job, you could create a new material with the same parameters except the Image. In this case, the system will nest together all parts made from this new material.

If you have cabinets with different finishes in the same Job and you want to nest all the parts together, the only way to handle it currently is to use different materials, each with their own image, to display the layout and then globally change material so they are all the same before generating the manufacturing output. Although this is a little tedious, since each cabinet must be changed individually, it does work.The software offers a function that allows you to change material in the Custom Layout area rather easily.

Board Stock is the material used for face frames. Board Stock is given an Image here and this Image is used to display the face frames unless you check Common with Door under Display Finish on page 2 in the Face Frame area of Construction Settings. These are found in the Cabinet/Assembly Editor and these selections are made when the cabinet design is being developed. If it is checked, the face frame will be displayed with the same Image used for the doors instead of the Image selected here. Thus, using this setting you can have face frames with the same finish as the doors or with a different finish.

Banding Stock is always displayed with the Image selected here. Banding Stock is primarily used to band slab doors and drawer fronts. The door and drawer fronts are reduced in size to allow for the thickness of banding stock.

To create a slab door where the banding stock is the same texture as the door requires that the Banding Stock defined here be given the same texture as the door.

The ability to put a different texture on the Banding Stock than the door opens some interesting possibilities. You can define a relatively thick edge band which is more of an edge frame. This could be textured differently as shown to the left, creating an interesting door design.

Currently the software only supports edge banding on slab doors and drawer fronts. If you plan to use edge banding on other components, you may need to take its thickness into account by using Insets on certain components.

Edge banding on the front edge of frameless cabinets normally does not need to be accounted for. If other components need to be edge banded however, banding thickness may need to be allowed for. For example, let’s say we want to put edge banding on the top edge of the left side of a cabinet because the top is exposed. You will need to define a Top Inset for the left side of the cabinet to reduce its height enough to allow for the thickness of the edge banding. In this way, the banding is flush with the cabinet top rather than extending above it.

We are planning to add an Edge Banding Editor in a future release but until then you will need to account for edge banding thickness yourself by using Insets on parts that are edge banded.

It is important that the price be properly input when defining material, paying attention to the unit you are pricing.

Sheet Stock is priced Per Sheet.

Board Stock and Banding Stock are priced Per LINEAL Foot. Note that this is NOT per board foot but per LINEAL foot. You will find more detail about inputting material pricing in the section “Setting Up for Cost Estimating”.


Setting Up for Cost Estimating

eCabinet Systems includes a sophisticated system for estimating costs, however, to use it you must define your shop costs and select the cost estimating method you want to use. This information is defined in Settings/Preferences - Define Costs.

Cost is defined by three categories, material, labor and overhead.

Material is calculated by the system using material costs you enter in the Define Materials area adjusted by factors you set here. Material cost also includes any hardware or other components associated with cabinets in the job. These are valued at the cost at which they can be purchased through the program. Again, these costs can be adjusted to reflect additional factors.

The software offers two methods for estimating labor and overhead. One approach uses the ratio of your labor and overhead to material costs in the past and applies this ratio to future jobs. The second approach requires that you assign a number of labor hours to each cabinet and you assign a cost per hour to each category of labor.

The approach you decide to use depends on your shop and how consistent your product line is. If you build a more or less standard product line where the ratio of material, labor and overhead is about the same for all jobs, the standard cost system based on ratios will work well. If, on the other hand, you build a large variety of different products whose material and labor content varies widely, you should use the cost system based on hourly costs.

This area is vital to consistently making a profit and it is worth the time needed to analyze and understand how each approach works. Although there is some effort required to set up the initial data, once it is set up, developing a detailed cost estimate for a new Job is almost totally automatic. Because of its importance, we will cover this area in some detail.

There are three primary components to cost, Material, Labor and Overhead. If you add Profit to the sum of Material, Labor and Overhead, you get the Selling Price. If you take the Selling Price and subtract Material, Labor and Overhead you get Profit.

This is the basis for all accounting systems. Each of these areas, Material, Labor and Overhead, can be sub-divided and categorized to an almost incomprehensible degree, but every manufacturing company, from a small cabinet shop to the largest multi-national, strive, through their accounting systems, to determine Material, Labor and Overhead. As we work to understand our finances, keep this simple fact in mind. Now let’s look at how we can handle each of these areas using eCabinet Systems.

The finance system within eCabinet Systems is not used to track actual cost, but instead is used to estimate the cost (Material, Labor and Overhead) of new jobs and help you determine a Selling Price that assures you of the Profit you want. This Selling Price then provides guidance for quoting and selling the job.

The more accurate your ability to estimate job cost, the more competitive you can be in the marketplace while assuring yourself of the profit you need to stay in business.

Your Material Cost includes wood based material, sheet stock, board stock and banding which you will process, other wood parts such as doors, drawer fronts and moldings, which you may or may not process, as well as components such as pulls, slides, hinges and other fittings which you purchase and use.

eCabinet Systems determines Material Cost by calculating how much material will be required to build the product, including the cost of cut-offs and scrap you need to throw away and then adding the cost of other components and material you need to purchase for the job.

The purchase cost of hardware and fittings are the cost at which you can purchase each item through the program, and as such are accurate. There are software features that allow you to adjust these numbers for the reality of your actual cost and as a result, Material Cost estimates generated by the software can be quite accurate.

Next comes Labor and here is where you must make a choice. Unlike Material which can be very accurate, estimating Labor is a less accurate science. Even building the same cabinet can take more labor one time than the next, so labor estimates are just that, estimates.

Since Labor is going to be an estimate, we need to determine how we want to generate this estimate. eCabinet Systems offers two different ways to estimate Labor for a job. You must choose one or the other.

The first method is based on Material Cost, which we have already established is accurate. For most shops that build a consistent product line, the ratio of Labor Cost to Material Cost is fairly constant. For example, for every dollar of Material Cost it may require eighty cents in Labor Cost. This ratio of eighty cents Labor for every dollar of Material can be used to estimate Labor Cost for new jobs.

This approach will work well, if the ratio is fairly consistent across the product line. The ratio will be consistent if the product line is fairly consistent. This means that the basic material, construction methods and purchase items are pretty well the same for every job.

The ratio, however, is an average and averages can get you into trouble. If Labor is 120% of Material on one job and 40% on another, the average Labor Cost is 80%, but if you use 80% you will have problems. On the job with the lower Labor Cost you will price the job too high and possibly lose it. On the job with the high Labor Cost you will under price the job but will either have reduced profit or lose money.

As a general rule, if the Material-Labor ratio from job to job or from month to month stays within a 5% or so range, this approach will work and only requires that you establish the correct ratio. If not, you will need to use the second approach to estimating Labor Cost and that is to estimate the actual number of labor hours that will be required for each cabinet.

Using this second approach, you assign a cost per hour for one or more labor categories and then assign a specific number of labor hours to each cabinet in your library.

Some shops simply use Shop Hours. You can assign a cost per hour for Shop Hours and then assign a certain number of Shop Hours for each cabinet. If different jobs in your shop have different labor rates, you can use more than one category, assigning a different rate and a different number of hours for each category on each cabinet. In this way you can make these estimates quite accurate.

This information becomes part of the cabinet file. When a job is assembled, the system adds together the total labor hours associated with all the cabinets in the job and multiplies it by the cost per hour. The sum of the labor cost for each of the labor categories that you established is the estimated labor cost for the job.

The accuracy of this second approach depends on your ability to estimate the number of hours that will be required in each category and to accurately determine the cost per hour. It requires more effort to establish and maintain but can accurately estimate labor costs for shops that build a variety of different products that have different material-labor ratios.

The final category, Overhead, is not quite as straightforward as Material and Labor. Material and Labor are both, what accountants call, Variable Costs. This means they vary with the level of production. If you build twice as much, you will use twice as much Material and twice as much Labor.

Overhead, on the other hand is a Fixed Cost. Your cost for rent, power, insurance, bookkeeping, and all the other Overhead expenses is essentially the same each month regardless of how much you produce. This makes it difficult to assign an Overhead expense to a particular job because Overhead isn’t a cost actually associated with building the product, it is a cost associated with running your business. Nonetheless, we must find a way to account for Overhead expense in order to properly estimate the cost of a job.

As with Labor, we offer two ways to estimate Overhead cost for a job. Both methods estimate Overhead expense at a certain level of production. The easiest way is to use recent history and assume the immediate future will be like the recent past. This works provided you routinely recalculate the factors used in determining Overhead.

The first method we can use to estimate Overhead is by using historical ratios. When you select historic ratios to calculate Labor, this method is also used to calculate Overhead. Using this approach, we determine the ratio between Overhead expense and Material Cost and apply that ratio to the Material Cost of new jobs. If Overhead has been 25% of Material Cost for the last three months, we can assume it will be 25% of Material Cost for the next job.

The second method of estimating Overhead is using the concept of Overhead Hours. In this method, you divide the overhead for a month by the average number of hours you work each month to determine an Overhead Cost/Hr. Essentially this is how much you need to add to the cost for each hour of labor to pay for all your Overhead.

The system then multiplies this Overhead Cost/Hr by every hour assigned to the cabinet, regardless of the category, and calculates the Overhead Cost associated with this cabinet.

There is another category of expenses that accountants use called General Administration and Selling Expense. This is the cost for management, clerical help, advertising, and other expenses not directly used to produce a product. For our purposes, we will make these General Administration and Selling Expenses part of Overhead and handle all expenses that are not either Material or Labor as Overhead Costs.


Important Considerations when Estimating Costs

Understanding your costs is complex but important. If you don’t understand your costs it is difficult or impossible to consistently make a profit. You could price your product high to insure a profit, but you will certainly miss out on sales. If you are aggressive in pricing and you don’t truly know your costs, you will certainly accept business at a loss sometimes.

It is in this environment that we created the Dynamic Cost/Price System found in eCabinet Systems. Let us start with some definitions.

Throughout the program, Cost is how much you pay for something and Price is how much you sell something for.

The most basic item is Material Cost. This is how much you pay for something. Although this seems simple enough, this, along with the rest of the financial area, is not all that straightforward. If a cabinet pull costs you five dollars the cost is five dollars, right?

Not really. The pull actually cost you more than five dollars. Five dollars is how much you paid someone for the pull. It is also likely that you paid to have the pull, along with other items, shipped to your shop. A portion of that shipping cost represents cost for the pull. The pull, then, costs somewhat over five dollars.

This is still not the cost of the pull mounted on your finished product. After you received the pull, someone had to locate it, unwrap it, figure out where it is to be used and then mount the pull on the product. All of these actions require labor, and labor is something you have to pay for. The cost of doing these tasks also needs to be added to the cost of the pull. After all, if there were no pull on the door, none of these costs would occur so it is just right that they be considered part of the cost of the pull.

Are we finally done? It depends on how accurately you want to track your costs. There are other components to cost. Each year you might lose, damage or scrap some pulls. The cost of these items must be spread over the items you actually used to get a true cost. Then, the amount of time you keep the pull on the shelf affects its cost.

If you purchased the pull a year before you used it, you tied up five dollars in inventory for a year. If you are paying 9% to borrow money, the cost of the pulls actually increased by 9% or $.45 during that year. Even if you don’t borrow money, the five dollars could be put in an interest bearing account and you could have made some interest on it for the year. Therefore, the lost interest should be added to the cost of the pull.

Although these sound like pretty small numbers on a five-dollar purchase, if you apply them to everything you buy, the number becomes significant. The cost of the five-dollar pull alone could have easily increased a dollar to a dollar and a half. This is twenty to thirty-three percent. Even for small shops, undervaluing material cost by twenty to thirty-three percent is a serious problem.

When you try to determine the cost for material such as sheet stock or wood, the problem becomes even more involved. For items such as pulls, if you need one pull, you buy one pull and use everything you bought. With wood, however, you never quite use it all. There is always cut-offs and scrap material from any process. This is the material that you discard.

When you try to determine the cost for items made from these materials, you know the amount of material in the final product. You do not necessarily know how much wood it required to make those pieces. To help properly cost these items, the accountants have come up with a term called yield. Yield is the percentage of the material that turns into the finished product. If three-fourths of a sheet of material is used in the final product and the other quarter is scrapped, the yield is 75%.

Yield is used as a kind of a backdoor way to determine the cost of the final product. For our example we will use some easy numbers. Assume a 4’ by 8’ sheet costs $32. The sheet contains 32 square feet (4 X 8). Material costs $1 per square foot ($32 divided by 32 Sq Ft).

Let’s use a 50% yield number. Half the 32 Square foot sheet or 16 square feet is used for the product and 16 square feet is scrap. The final product has 16 square ft of material in it.

If we take the final product and try to calculate cost, you would take 16 square feet times $1 per square foot for a material cost of $16. This, of course, is wrong.

It required a full sheet, which cost you $32, to make the product, but we calculated a $16 cost. To get an accurate cost we must not only calculate the cost of the material that ended up in the product but we must also add the cost of the material scrapped in making the product.

You could try to track your cost by counting the total sheets of material used for a job times the cost per sheet. We actually do just that when we calculate the cost of an entire job, however, it would be difficult to determine the cost of any particular item in the job using this method. Instead, when we deal with a single cabinet we will use the number of square feet in a finished product and then divide that by the yield, to determine the amount of material required to end up with the finished product.

Let’s look at our example. If we take the calculated cost of $16 and divide it by the yield (50% or .50) we end up with $32 which is the actual cost of the material used in the product plus the material scrapped in making the product.

Although in our simple example it is easy to calculate the cost using the starting raw material, in real life, the calculations are much more complex and using the yield figure simplifies costing.

Most of you already know this, but it is important to understand all the underlying facts so that there is no confusion as to how we present our costing numbers. We will try to explain exactly how we handle these costs so that there is no confusion that might cost you money.

So far, we have only covered Material Cost. Luckily, this is the most complex of the terms we will deal with. Selling Price is how much you change for the product you sell.

The next area is Labor Cost. As you might expect, this is the cost of labor needed to manufacture a product.

Next comes Overhead. This is all your expenses not directly tied to producing a product. It includes management salaries, travel, phone, advertising, insurance, rent, copy costs and a host of like items.

If you add the Profit you want on this job to the Material, Labor and Overhead, you get the Selling Price. This Profit number is actually more accurately, pre-tax profit. To get to the real bottom line we still have to subtract taxes.

This provides a very quick overview and some background to help determine the approach we want to use and how to determine the cost parameters we will need.

We will now go back and revisit the material area, focusing on the cost. Select the Settings/Preferences icon from the toolbar and then select Define Stock Material. This will bring up the material input sheet.

To obtain accurate cost estimates we must carefully specify the costs for various materials. It is these costs that form the basis of our cost estimates and therefore, it is quite important that they be correct when first entered and that they be adjusted whenever we learn of a change in material cost from our suppliers.

We have covered the basic input of material cost in the material area so now we will switch to the Dynamic Markup dialog where the core information is added.

From Settings/Preferences select Define Costs.

This dialog is used to specify basic information and choose the costing method you wish to use for cost estimate calculations. Once the information is entered in this area, the system automatically keeps track of Material Cost and calculates an estimate for Labor and Overhead costs for each Job. You can also determine the estimated cost of a cabinet or assembly in the Cabinet/Assembly Editor.

Cost estimate information is available from two sources, a Dynamic Cost Display along the bottom of the screen or a Cost Sheet report that can be generated from the Cabinet/Assembly Editor or from Custom Layout or Batch Cabinets. Note that a Cost Sheet for a Job includes costs for items added in both Custom Layout and Batch Cabinets.


How to Calculate Material Cost

There are three factors used to calculate Material Cost.

Expected Yield % is the average % of material that normally ends up in the finished product with the remainder being scrapped. This number is used to estimate how much material must be purchased for a Job (and thus the cost) by using the amount of material in the finished product, which is a known amount. Expected Yield is used to estimate Material Cost until the Job is nested, at which point the exact amount of material required is known and used. The Dynamic Cost Display specifies if the costs presented are based on Expected Yield or Actual Yield.

Percent Markup % is a percent that the cost of material is increased to allow for miscellaneous costs directly associated with material such as shipping or scrap removal cost.

Fix Markup $ is an amount added to each material estimate to cover any fixed cost associated with each material.

Material Cost is the sum all Material required for the Job.

- Sheet stock, board stock and molding cost in the Cabinet/Assembly Editor is calculated by dividing the amount of stock required for the cabinet parts by the Estimated Yield to determine the cost of the stock needed before processing and then marking this up by the % Markup and adding the Fixed Markup.

- Sheet stock, board stock and molding cost in Custom Layout is calculated by dividing the amount of stock required for the cabinet parts by the Estimated Yield to determine the number of FULL SHEETS or FULL LENGTHS of material needed for the Job. The cost of these is then marked up by the % Markup and the Fixed Markup is added. If the Job has been nested, the actual number of full sheets or full lengths is used for this calculation.

- Purchased material cost is determined using the cost at which the item can be purchased through the eCabinet Systems program and then marking this up by the % Markup and adding the Fixed Markup.


How to Calculate Labor and Overhead

There are two different ways to estimate Labor and Overhead from which you can choose.


Calculating Labor and Overhead Using Historical Ratio

Calculating Labor and Overhead Using Historical Ratio Calculation

This approach determines the historical ratio of Labor to Material and Overhead to Material and multiplies the Material Cost of a new Job by these ratios to estimate the Labor and Overhead cost for the Job.

Determine the Ratio to Material % for Labor by taking the direct Labor cost for a period of time (six months perhaps) and dividing it by the Material cost for the same period of time.

Determine the Ratio to Material % for Overhead by taking the Overhead cost for a period of time (six months perhaps) and dividing it by the Material cost for the same period of time.

Fixed Markup $ for both Labor and Overhead allows you to add a fixed Labor and Overhead cost to each cost calculation (either Job or cabinet depending on where the calculation is made).


Calculating Labor and Overhead Using Labor Based Calculations

Labor - This approach specifies the Cost/Hr for various categories of Labor. Then an estimated number of Labor hours can be assigned to each cabinet for each category in the Cabinet/Assembly Editor. The system then multiplies the number of Labor hours assigned to a cabinet by the Cost/Hr to determine Labor cost for the cabinet.

Overhead – An Overhead Cost/Hr is specified here. Overhead Cost/Hr is calculated by taking the Overhead cost for a period of time (six months perhaps) and dividing it by the total number of Labor hours used during that same period. Overhead cost for a Job is calculated by taking the Overhead Cost/Hr and multiplying it by the total number of hours of all categories assigned to all the cabinets in a Job.


Calculating Profit Margin – Catalog Cabinets

Profit for Catalog Cabinets is a straightforward calculation. Material, Labor and Overhead Cost of each cabinet is subtracted from the fixed selling price to get the profit.


Calculating Non-Catalog Cabinets - Profit Margin %

% Profit - This is the percent of the FINAL SELLING PRICE that you want to be profit.

Fixed Profit – This is an additional amount you want added to the final selling price calculated using the % Profit.


Dynamic Cost Display

This determines what information is displayed along the bottom of the screen.

Note that pressing and holding Shift and $ will display any data that is currently OFF as long as the keys are depressed.


Alternate Source Door Cost

This area is used to provide a cost basis for cabinet doors obtained from an alternate source. These doors are priced by adding a Per-Door cost to a Per-Sq Foot cost for each door.


Displaying Cost/Price

Cost/Price information is available in different areas of the software. A Dynamic Cost Display is available across the bottom of the screen. In addition, a report called a Cost Sheet can be generated in a separate window from either the Cabinet/Assembly Editor or Custom Layout. This report is somewhat different depending on whether it originates in the Cabinet/Assembly Editor or from Custom Layout.

The Dynamic Cost Display across the bottom of the screen is controlled from the Edit – Preferences area. Select what you want to display from the list of displays at the bottom of the screen.

- Material Cost is how much you pay for the materials and components used in building the cabinets that are part of the job. Material Cost is determined by the amount at which you can purchase the item through the program or it is the cost that you input for materials, adjusted for any additional costs and the yield for that material.

- Labor Cost is the estimated cost of labor for this Job.

- Overhead Cost is estimated cost of labor for this Job.

- Profit is the total amount of profit for this Job calculated using the Profit Margin % and Fixed Profit you specified.

- Selling Price is the amount you sell something for. For custom cabinets, the Selling Price is a calculated number. It is determined by “marking up” the Total Cost to generate the Profit Margin % and Fixed Profit you want for the job. The Selling Price for Catalog Cabinets is the price you input for each cabinet.

Displays for each area can be turned ON and OFF in the Settings/Preferences area. These displays are at the bottom of the screen and show a running total for the entire job. As you change things, the various displays reflect the financial impact of the changes.

If you have any of the Dynamic Cost Displays turned off, pressing Shift and $ will display them as long as the keys are held down.

A display to the right indicates whether you are using an Estimated Yield based on the expected yield you entered as part of the material parameters or Actual Yield based on the yield that results when the job is nested.

To set up the Dynamic Cost Tracking display, select ON for each item you want displayed and OFF for the items you do not want displayed. If Material, Labor and Overhead are all ON, Total Cost will also display. If any of them are OFF, Total Cost will not display.

The Dynamic Cost displays operate continuously, except in the Detail Room. The rather involved continuous cost/price calculations slow program execution so we suppress these calculations in the Detail Room area. To view the Dynamic Cost displays in Detail Room, right click and select Display Cost/Price. The Dynamic Cost displays then shows the current costs and prices. As soon as a change is made to the room, these displays are removed.


Generating a Cost Sheet Report

A Cost Sheet Report can be generated in the Cabinet/Assembly Editor as well as in Custom Layout. This report appears in a separate window.

When generated from the Cabinet/Assembly Editor, the costs displayed in the report depend on what is highlighted when the report is generated.

If an assembly comprised of two or more cabinets is loaded in the workspace and none of the cabinets are highlighted, the Cost Sheet reflects the costs for the entire assembly.

If one or more cabinets are highlighted, the Cost Sheet reflects the cost for the highlighted cabinet(s).

Cost Sheets generated from the Cabinet/Assembly Editor determine material cost using Estimated Yield.

When a Cost Sheet is generated from Custom Layout for either selected cabinets or an entire job, the system estimates the total number of sheets required to produce the components and adds the cost of that number of full sheets to the Material Cost.

We use this approach because it provides a more accurate estimate of costs. If, when determining costs for a single cabinet or assembly in the Cabinet/Assembly Editor, we used only full sheets, every cabinet that requires less than one sheet, regardless of its size, would have the same cost. In actuality, the single cabinet will likely be combined with others in a job where the overall yield will be approximately the Estimated Yield. Therefore, we use Estimated Yield when determining costs in the Cabinet/Assembly Editor.

Should a single cabinet be placed in a job, the system will revert to using the number of full sheets needed to build the cabinet. Again, this should better reflect real costs since a single cabinet may use material that cannot be used on other jobs.

When estimating costs, it is important to recognize this different approach in the Cabinet/Assembly Editor versus Custom Layout. Also, once a job has been nested, the actual material yield is automatically substituted for the Estimated Yield in the Cost Sheet as well as in the dynamic cost displays.

calculating the material requirements. In truth, you really don’t know your material cost until you run the nesting routine.

Prior to that point, however, you can get a reasonable guess by using a yield estimate that is close to the yield you have gotten from previous Jobs. This it the Expected Yield in the markup chart.

Once a nest has been run, cost calculations within the software switch from using Estimated Yield to using Actual Yield. The cost bar along the bottom of the display indicated to the right whether the cost is based on Estimated Yield or Actual Yield.

Once you can accurately determine Material Cost it is quite easy to add factors for Labor and Overhead and have the system calculate Profit and determine a Selling Price.

The final area in Settings/Preferences is Standard Dimensions. Again, this is a relatively simple area that does not require much additional explanation. It is simply a list of dimensions that will be needed when operating the program. They are entered once here so they do not need to be entered each time they are needed. You should check the dimensions for saw blade kerf and router bit diameter as these will affect how your parts are nested. If you nest using Cut Line Nesting, the system will assume you are cutting using a saw and will allow for the saw blade kerf specified here. If you nest using True part Nesting, the system will assume you are using a CNC router and will nest using the router bit dimension.


Using the Cabinet/Assembly Editor

This is the place where you develop and save your own cabinet and furniture designs. Some of the front end of this chapter is a repeat of information presented in the software overview. Please read through it again here. It is important that you understand these basics to make the software easy to both understand and use.

To create a library of your own designs, you start with a standard cabinet from a seed directory called “Standard Cabinets” and modify parameters until you fashion a cabinet designed the way you want. This new cabinet is saved under a new name in a new directory.

This cabinet can then be loaded, further modified and saved under yet another name.

This approach makes development of entire libraries easy and yet provides almost total flexibility.

The key ingredient to the eCabinet Systems approach, is the ability to display highly detailed, accurate graphic images of the cabinet. These images show exactly what the cabinet will look like using the current parameters. Changing a parameter causes the image to change, reflecting that change.

This image can be moved, rotated, exploded and zoomed. Components can be hidden, made transparent or turned into wireframe. In short, you can twist, turn, zoom and examine in minute detail the actual effect on the cabinet of any parameter changes.

This approach makes the adjustment process both easy and clear.

To develop a library, start with a standard cabinet. Change this cabinet to include all the parameters you want to be shared by every cabinet in your new library. Save this in a new directory as a “seed” cabinet.

Now, load this seed cabinet, resize and modify it to the first cabinet you want in your library. Save it. Load the seed cabinet again, create and save your next cabinet. In a short time you have an entire library of cabinets that all share the same characteristics as your seed cabinet.

Should you need to change any of these for a specific application, it is easy because the parameters reside with the cabinet, not the software. So, exactly how do we change the cabinet parameters?

We can separate changes to the cabinet into three categories, size, configuration and parameters.

Size is essentially height width and depth of the cabinet. This is changed on the Main page of the Cabinet/Assembly Editor but can also be changed whenever the cabinet is used in a job.

Configuration includes shelves, partitions, face frames, moldings, doors, drawers, etc. The configuration of a cabinet is developed through a series of Editors that are reached from the Main page.

Parameters are the little bitty details concerning everything about the cabinet. Material, joinery, fits, insets, and about everything else. These parameters are adjusted in an area called Construction Settings that is also reached from the Main page or, they can generally be reached from any of the configuration Editors.

There are actually two kinds of parameters in Construction Settings, which can cause some confusion. Some parameters, a back inset for example, affect the cabinet as soon as they are changed. Other parameters define how items, a shelf for example, are added to the cabinet. Changing this type of parameter doesn’t change existing shelves, it only affects shelves that are added after the change. Of course, to make it even more confusing, if you highlight a shelf and then make a parameter change it changes the shelf that was highlighted.

You can tell what type of parameters you are adjusting by the title on the tab. If the word “Add” is in the title (eg. Add Shelf Settings), the changes will only affect newly added components. If the word “Add” is not in the title (Toe Kick, Back, Left End, etc) then any changes you make will immediately change the cabinet.

It’s actually pretty simple. Change size on the Main page or when you use the cabinet, change configuration using Editors and change parameters in Construction Settings.

Regardless of how many configurations and parameters the software allows for, cabinetmakers will always want to do something more. To address this, a Part Editor is available. Using the Part Editor, any part of the cabinet can be cut, pocketed, profiled or machined. This lets you create almost anything you can imagine. The amazing thing is that all of these creations can be actually machined on a Thermwood CNC router from the file created by the Part Editor. You can cut and profile individual cabinet parts pretty much any way you want.

If you want to put an edge profile on a part, you will need to develop a tool with the correct profile. This tool is developed in an area called a Shape Manager. Tools developed in the Shape Manager are used in the Part Editor to cut a profile on a part.

An interesting note about this feature is that once a profile is placed on a part in the Part Editor, that profile can be machined on a Thermwood CNC router even if a custom profile tool is not available. The Thermwood control can create a modeling program using a ball nose and corner bit to machine the edge using modeling techniques.

So far it has been pretty simple but now we are going to add a valuable feature that can make it a bit more confusing if you don’t understand it. It has to do with the word “Assembly” in Cabinet/Assembly Editor.

A lot of complex cabinets and furniture cannot be defined with a single set of parameters. The approach eCabinet Systems uses to create these more complex pieces is to allow multiple cabinets to be loaded into the Cabinet/Assembly Editor at the same time and saved together as an “Assembly”. This approach is very powerful, but can be confusing. Let’s look at an example.

Suppose we need an upper island cabinet with a face frame and doors on both the front and back. We need to remove the back and put a face frame and doors on it.

In designing software to allow for this, you could create parameters for a face frame and doors on the back. But, there are thousands of these types of variations and you simply can’t make parameters for everything or the software would really get confusing. Instead, eCabinet Systems allows you to combine elements from two or more cabinets into an Assembly.

In this case, we take our first face frame cabinet and remove the back. Then we take a second copy of the cabinet (we can copy and paste it right there) and remove everything except the face frame and doors.

At this point the software sees two cabinets, one without a back and one without everything except the face frame and doors. Move the face frame and doors from the second cabinet to the back of the first cabinet and we have the assembly we want. It looks like a single cabinet with a face frame and doors on both ends but we know that, as far as the software is concerned, it is actually two cabinets, each with parts removed.

We can address and change the parameters of either cabinet by highlighting it and accessing Construction Settings.

In addition, other items can be loaded and included in either a cabinet or in the assembly.

Certain items that can be purchased through the program also have 3D images that can be loaded and added to either the cabinet or the assembly. This can get confusing because some of these items can be added to the cabinet in two different ways. For example, you can load a door pull as a Vendor Item and then locate it on a door. You can also load the same pull in the Door/Drawer Editor and locate it on the door. The difference in these two approaches is that when a pull is loaded in the Door/Drawer Editor, the software knows it is a door pull. When the cabinet size is changed, the location is automatically adjusted for the new size.

When the same door pull is loaded as a vendor item, the software does not know what it is. When the cabinet size changes, the location of the item does not change and is probably wrong at that time.

Other vendor items, a lazy susan for example, does not have this conflict. The software doesn’t know what a lazy susan is so adding it as a Vendor Item is the only way to display it. If you change the size of the cabinet, you will probably need to adjust the location.

A lot of items available through the program are in this category.

Another type of item that can be added to a cabinet or assembly is called a Display Object. These are item that you have a display file for but are not available from a vendor. These can be added to the cabinet although many times these types of items are added when a Custom Layout is developed. In general, if the item should appear each time the cabinet is used, a brass mounting foot for example, it should be part of the cabinet. If the item is sometimes, but not always used with the cabinet, it should be added in Custom Layout.

This is a good time to discuss associations, cabinets and assemblies. This is another area that can be confusing if you don’t understand the underlying principles.

A “cabinet” is the smallest entity that can be saved.

A cabinet includes parts of the cabinet itself, but also includes any other items that are “associated” with it. An item that is associated with the cabinet is part of the cabinet. These associated items include Vendor Items, Display Objects, moldings, doors and drawers that are added directly rather then through the Editors, display cubes, panels and boards.

There are two ways to associate an item with a cabinet. First, if you highlight the cabinet and then load the item, the item is associated and is part of the highlighted cabinet. There is also a selection from the Right Click Menu that you use to associate and disassociate.

When a cabinet is saved as a cabinet, all items associated with it are also saved as part of the cabinet.

When you save an “assembly”, everything in the workspace is saved in their relative position to each other as an assembly file. This includes all the cabinets and all other items. To make it even more confusing, an assembly does not need to include a cabinet. You can load one or two display objects and save them as an assembly.

Moldings, doors and drawers can be directly loaded as individual items rather than installing them through their Editors. This is like the “door pull” example we just covered. If the moldings, doors and drawers are added through the appropriate Editor, the software knows what they are and makes appropriate adjustments when the cabinet size changes. If they are loaded directly, the software does not know what they are and makes no adjustments. Whatever is loaded remains the same and is unchanged even if the associated cabinet changes.

There are times when the ability to add these items without using the Editors is needed, which is why the capability is included in the software, however, normally these items are added in their individual Editors.

The final items that can be loaded are Display Cubes, Display Panels and Display Boards.

A Display Cube is strictly for display, but can be a powerful display tool. It is basically a cube, you determine the size, on which an image is placed. It has a wide variety of uses, although it tends to be used more in developing custom layouts than in the Cabinet/Assembly Editor. As an example, if you built a picture frame and wanted to put a picture in it, you could create a thin Display Cube and stretch a picture image over it and then locate the cube inside the frame. If you built a speaker box and need a cloth covering for the front, you could make the covering as a Display Cube. In Custom Layout a Display Cube can be used to simulate almost any appliance.

Display Cubes are even more useful because they can be taken to the Part Editor and their shape modified. In the end, however, they are simply tools used to display. Display Panels and Display Boards have one additional feature, they can actually be manufactured.

A Display Panel is a rectangular panel made from any sheet material in your library. You simply specify the size and material and then locate it as you want. Like the Display Cube, a Display Panel can be taken to the Part Editor and modified. The advantage the Display Panel has is that it is an actual part that shows up on the Cut List, nest diagrams, part drawings and CNC programs. A Display Panel can actually be manufacturered.

A Display Board works the same way but using board stock rather than sheet stock.

Now that we have examined the various items that can be loaded into the workspace, we should probably load something.

In almost every area of the software clicking the right mouse button brings up a menu. Items are loaded by right clicking and selecting Load Item. You can also click the load icon on the toolbar.

You can configure the workspace to suit your personal taste. Grids, axis lines and colors can be turned on and off. These are reached through a Grid Settings icon in the toolbar. Within the workspace is an Insert Target. This ball with axis lines protruding indicates where the next item will be loaded.

The Insert Target can be highlighted and moved so that one item is not loaded over or inside another. You highlight the Insert Target by double clicking on it, or if it is imbedded in an object it can be highlighted by pressing Ctrl + T.

The Insert Target is moved by holding the Ctrl key and using the Right Mouse Button.

Normally you don’t try to precisely locate an item using the Insert Target. Instead, it is used to keep items apart and then Align tools are used to quickly position items with respect to each other.

As you begin to load a cabinet you will notice that cabinets are divided into “types”. Base cabinets, upper cabinets, islands, tall, base corner, upper corner and detached toe are the cabinet types. With the exception of corner cabinets, the difference in cabinet type is not in the cabinets but in how the cabinet is handled when placed in a room in Custom Layout. With a few parameter changes, an upper cabinet can be turned into an exact copy of a base cabinet except it will be placed higher off the floor when added to a room. You could move it down in which case it would work just fine except, when all base cabinets are selected in some editing functions, the upper turned base will not be selected because it is not a “base” TYPE. A base cabinet can be turned into a detached toe. In fact, if you need a face frame, a base cabinet with a face frame can be turned into the face frame only by removing all the cabinet parts except for the face frame. The point of all this is that for all these different cabinets, you only have one set of settings and parameters to learn. They work for everything.

That being said, you should realize that you cannot change a cabinet’s type. Once it is an upper, it is always an upper even if it looks exactly like a base or toe kick. This means that it will initially be positioned a specified distance above the floor when placed in a room and will be selected whenever All Upper Cabinets are accessed

The starting cabinets in eCabinet Systems are called “Standard” cabinets and are located in the “Standard Cabinets” directory. There are separate cabinets for frame versus frameless to make it more convenient but realize you can change frame cabinets to frameless and back at will. The frame cabinets all have face frames, are made from material called “generic” and have slab doors and drawer fronts. Their actual configuration is not all that important because they will not work for any shop the way they are but simply offer a starting point. They also allow you to begin using cabinets in Custom Layout without having to develop your own library first.

The frameless standard cabinets are a stripped down minimum box without doors or shelves to which you add the components you will need. The frameless standard cabinets simply save you the effort of removing the doors, drawer, face frame and shelf from the frame cabinets.

The frame cabinets however, allow you to begin working with and learning other aspects of the software without having to develop a library of cabinets first.

The Standard Cabinets directory is used solely to hold the Standard cabinets. You cannot save cabinets in the Standard Cabinets directory. You must save them to a newly created directory. Also, it is recommended that you change the file names when you save them.

With a little forward planning, this approach can make development of entire libraries of cabinets easy. You need to start by analyzing the library of cabinets you need and considering shared features of the cabinets.

The first step is determining which characteristics are shared by the entire library of cabinets and modifying Standard cabinets to these characteristics. For example, all your cabinets may use ¾ inch sides of a specific material and a ¼ inch back. The back may full dado into the sides and they may all use blind dado construction.

The cabinets may use a specific door and drawer front design and specific hardware. You can set the door, drawer and hardware as Defaults although you do not want to put them on the cabinets at this time.

To begin, you may want to modify a base cabinet and an upper to these characteristics and save them as “seed” cabinets for this library. Now, You can use these “seed” cabinets to develop the individual cabinet designs needed for your library, knowing that you do not need to address all these settings and defaults for each individual cabinet.

This approach can be taken several levels deep. For example, after developing the initial “seed” cabinets, you may decide you need a subset of these for another application. For example, you may want some of these cabinets with a detached base. In this case, you can take the normal “seed” cabinet, modify it to a detached base cabinet and save it as a “detached base seed” cabinet. Now any cabinets you want to make with a detached base should start with the “detached base seed” cabinet.

The takes a little analyzing and planning but pays off in much faster and more consistent designs.

Let’s load a cabinet so we can examine some additional features. Right Click, select Load Item then click on Cabinets. Click on the Standard Cabinets directory. Note, you must click on the name itself, NOT the checkbox. This can be a bit confusing but the checkboxes are used to select items, or in this case directories that are then deleted by pressing the button at the bottom of the list.

Now click on Std Base Frameless and press OK. Again the checkbox is for deleting the item not selecting it.

You are now viewing the Main working screen of the Cabinet/Assembly Editor with a cabinet loaded. This screen is used for basic assembly tasks and for viewing the current state of the cabinet design.

Let’s look at some of the characteristics of this screen.

You are basically looking at a three dimensional workspace defined by three axes, X,Y and Z. The entire workspace is rotated by holding the Shift key and using the LEFT mouse button, it is panned using the Shift key and RIGHT mouse button and zoomed using Shift and BOTH mouse buttons.

These motions are important so you should take some time and work with them until you are very familiar with their operation. Before long these motions will become second nature.

Display of the workspace can be customized using the Grid Settings icon. This opens the dialog shown.

A background grid can be displayed on each axis plane and the appearance of the grid is determined by the Grid Type setting.

The spacing of the grid elements can be set and, since we are working in an unlimited three-dimensional workspace, we also need to define the size of the grid. The number shown under Grid Size indicates the number of grid spaces on each side of each axis. For example if you set the Grid Spacing at 10” and set Grid Size at 10, you will have a grid that is 100 inches on each side of the axis or a grid that is 200 inches across.

At different times it may be useful to have the grid display on different planes. The planes on which a background grid displays is controlled in the Grid Planes area.

You can also decide which axes to display and the color to display it in.

A three dimensional Axis Designator icon is available at the lower left of the screen. This icon rotates with the workspace and is quite useful in determining which axis is which, when working with rotated assemblies. This Axis Designator color codes each axis with X being red, Y blue and Z yellow. It is recommended that you set the axis displays to these same colors to make the workspace more consistent and easier to understand.

There is also an Insert Target which we have already discussed. It initially appears at the origin where the axes intersect. This target determines the location where an item, such as a cabinet, is inserted into the workspace when it is loaded. This Insert Target can be moved by first highlighting it by double clicking on it and then while holding the Ctrl key, using the right mouse button. If it is hidden inside a cabinet, you can also highlight it by pressing Ctrl and T.

In addition to moving the entire workspace, you can also move and rotate items within the workspace. An item (cabinet, display part, etc) is moved by highlighting it and then holding the Ctrl key while using the Right Mouse Button.

This may be a good time to introduce another feature of the workspace, the C-Plane. When you first enter the Cabinet/Assembly Editor, you are looking directly at the XY Plane with the X Axis defining left and right movement and the Y Axis defining up and down motion. The C-Plane is also set to the XY Plane called C-Plane Front. This means left and right movement of the mouse moves items along the X Axis and up and down movement of the mouse moves items along the Y Axis, or mouse movements correspond to a front view.

Since you can rotate the entire workspace, should you rotate the workspace so that you are viewing the left side, left to right movement of the mouse still moves along the X Axis but now that means front to back movement on the display.

To get left and right mouse movement to move items left and right in this new orientation, the C-Plane needs to be changed to C-Plane Left. This is even more important at random rotation angles.

Note that you can change viewing orientation using the arrow keys, left, right, top and bottom. The Home key is the front view and the End key is the back view. When you use these keys to change viewing orientation, the C-Plane also changes to the corresponding orientation automatically. When working at intermediate angles, you can change the C-Plane manually.

As a note, there is a rotate dialog that is used to rotate items within the workspace. There is more information on moving and aligning items in the section titled “Moving and Aligning Items in the Workspace”.

From this position we can start to modify the cabinet. As stated earlier, these modifications are three types, size, configuration and parameters. We will start by changing size although, most of the time size changes are done as part of adding the cabinet to a job.

To change size, input a new size in either Width, Height or Depth and press Enter. The cabinet will change to reflect the new size. Should you ever try to create a size that isn’t workable, the system will catch the error, alert you and restore the previous size.


Cabinet Joinery

There are several types of joints that can be specified between cabinet parts and there are several places where these joints can be changed. Note that every joint between every part can be independently set, providing great flexibility but adding some complexity.

The types of joints available are:

- Butt – In this joint the edge of one panel butts against the surface of another. This joint will require some type of mechanical fastener such as screws or nails.

- [image] Blind Dado – This is a joint specifically designed for machining by a CNC router. A tenon, shorter than the length of a panel edge is machined into the panel edge. A corresponding mortise is machined into the mating panel surface. The resulting joint is both strong and easy to assemble.

- Full Dado – This joint cuts a dado into the surface of one panel and lengthens the corresponding panel to fit into the dado which extends across the entire edge.

- KD/RTA – This joint supports KD (knock down) or RTA (ready to assemble) hardware fasteners. The hole pattern for these fasteners can be developed in the Hardware Hole Editor however, most KD/RTA fasteners available through the program already have the correct hole pattern developed and associated.

- Dowell – Dowell construction is essentially a butt joint with holes drilled into both panels which are then assembled by placing dowels in the holes. In the software, dowel construction is handled the same as butt joints.

There are several ways to change joint construction. First, you can change the joint type on every part of the cabinet in Construction Settings. From the Main page of the Cabinet/Assembly Editor, right click and select Construction Settings. Then select the Global Settings tab and change the Construction to the joint you want and press OK.

Also, each of the areas within Construction Settings has a Construction box where you can change joinery for that particular part.

Another way to change construction joint on a part is to right click on the part on the Main page of the Cabinet/Assembly Editor and then select Construction and the particular joint you want to change. Then, click on the join type you want and it changes. This is rather quick and simple and sounds more complex then it really is.

Not only can you select the joint you want, you can also adjust the actual physical characteristics of the joint. The software comes with these parameters set to a workable average but all the parameters can be adjusted as needed, although this area can get a bit involved.

With the exception of certain dado settings, the joint construction parameters must be changed for each individual component of a cabinet, one at a time. The exceptions to this are the Depth, Depth Clearance and Fit Clearance of all dados and the Thickness of a blind dado. These parameters are the most common to change and they can be changed for every joint in the cabinet in the Global Settings area.

For each part of the cabinet there is an area in Construction Settings where its parameters can be adjusted. At the bottom of each area is a button that accesses the “Construction Parameters”.

We are not going to address each construction parameter in this manual, however, each has a pop-up guide box that explains its function and purpose. Be sure to review these as well as the Area Overview, which is different for each area and is accessed by pressing the ? icon.


Modifying Cabinet Parts

For the purpose of this section we will consider cabinet parts to be those parts that do not have their own Editor. These include top, deck, sides, back and toe kick plate. The outside frame of the face frame also behaves like a cabinet part but we cover that in detail in the face frame discussion so we will not deal with it here.

Cabinet parts, as defined above, are controlled by Construction Settings. Parameters that define these parts are stored in the Construction Settings area and you modify those parts by modifying the parameters.

Some of the things you can modify are the material they are made from, their size with respect to the cabinet, the joinery and overlap between parts, in some cases their position, such as insetting a back. You can also indicate whether the part exists at all on this cabinet.

Probably the best way to learn this is to load the Std Base Frameless from the Standard Cabinets directory and then go to Construction Settings, make changes and see what happens.

There are a couple of ways to get to Construction Settings and a neat shortcut that can save time once you learn it.

You can launch Construction Settings using the icon in the toolbar or you can right click and select Construction Settings. Once you get to Construction Settings you click on the tab for the part you want to work with. The neat shortcut is that if you right click on a cabinet part and then select Construction Settings it will automatically take you to the area for the part that you clicked on. You don’t have to click on the tab. OK it doesn’t save a lot of time but every little bit helps.


Working with the Top

The top is a little different than other components because you have a choice of several types of top. You can, of course, have none or a full top that covers the whole cabinet, but you can also have a stretcher top or a web frame top.

These are two designs that are common in building cabinet. The stretcher top has one or two stretchers that extend left to right. The web top has one or two webs that extend front to back.

The first thing you need to do is check the material. You can change the material for each component independently but, if you want to change the entire cabinet you can change all material in the cabinet at one time by clicking on Global Settings and changing it there. Even if one part is a different material, say the back is thinner, you can change the whole cabinet in Global Settings and then you only have to adjust material for that one part.

There is also a handy button that takes you to the Define Materials area of Settings Preferences where you can add new material if you need to.

Let’s start with a full top. The first thing you can do is inset the top. This means you can move it down into the cabinet. You can also specify a negative inset and move it above the cabinet but I am not exactly sure why you would do this. This parameters is called Top Inset.

We are going to work with a lot of insets and there is one characteristic you need to understand so we will cover it once here and then you need to remember it as we work with other insets. Insets change the part from the size or position it would normally be on this cabinet. If you inset the top two inches, it is located two inches below the top of the cabinet. If you now change the height of the cabinet the top is still two inches below the top of the cabinet. A two inch inset means make it two inches below where it is normally located. This same thing applies to insets on all cabinet parts.

Cabinet parts automatically change when the cabinet size is changed. Insets are then applied to the new size for every part.

In addition to insetting or making the part smaller, you can also apply a negative inset and make the part bigger. When doing this, however, you may actually mesh one part into another. The system does not prevent this because there are valid reasons why you might want to do it. For example, if you wanted to join two panels with a miter, each panel would need to be full length and they would mesh where they meet. When it comes to negative insets, you are in charge of making sure they will work in your application.

One other feature that might go unnoticed is that when you click inside an Inset box, the diagram changes to show you the effect of a positive and negative inset for that parameter. This can save a lot of trial and error when you first start using the software.

The other thing we need to understand is placement. You will see some terms here that are not a standard part of cabinet vocabulary. They are Side Flush, Top Flush, Back Flush, etc. These describe how one part overlaps another and can get a bit confusing.

Basically, the part that is called Flush overlaps the other part. If you are working with the top and the side, if you specify Top Flush, the top will overlap the side. If you specify Side Flush, the side will overlap the edge of the top.

For the top you have three choices, Side Flush, Top Flush or Mixed Flush. Top Flush means the top extends over the edge of both sides and the back. Side Flush is a bit misleading because it means that the sides extend over the top but it also means that the back extends over the top.

Mixed Flush means you can specify each edge independently and they can be different from each other. When you check Mixed Flush, the area below lights up where you can select the Left Side, Right Side and Back. As with the other insets, when you select an overlap, the little diagram below shows you what you selected.

Something you might note is that when you add a Top Inset the placement changes to Side Flush. If you then specify Top Flush, the ends and back will be shortened so that the now lowered top can overlap them. This same thing occurs for each part independently. If you inset the top and then select Mixed Flush and set the back as Top Flush, the back is shortened so that the top can overlap it. This gets a little tricky so work with it until you understand what is going on.

The Grain Direction control lets you specify the angle at which the wood grain runs on this part. You can control grain angle on every part but remember that when the system nests these parts they will be rotated in the nest so the grain runs the way you specified and yield could go down pretty fast.

You can also control the individual joints that the top makes with other components. Obviously, you can specify joints with insets and overlaps that just won’t work in combination with each other. The system will watch this provided you press the OK button each time you change joints. The system will let you go to several different parts and change joints on each before you press OK. When you press OK the system tries to build a cabinet obeying all the parameters. If a parameter on one part says one thing and a parameter on another specifies something else for that same joint, the system will pick one and it may not be what you want. It is a good practice to press OK each time you finish with a part and then reenter Construction Settings to work on the next part.

That’s about it for the full top. Next is the stretcher top. When you check Stretcher Top you get a couple of extra dimension boxes to define the front to back width of each stretcher. If you don’t want one or the other, set its width to zero.

At this point, the Front Inset controls how far the front edge of the front stretcher is from the front of the cabinet. The Back Inset controls haw far the back edge of the back stretcher is from the back of the cabinet. With these control you can put pretty much any width stretcher anyplace across the top.

The web area is pretty much the same as the stretcher, except the pieces go from front to back rather than side to side.

That is the top. When you first start using the software you should make a lot of changes and then go back and see what they did. A little bit of time spent playing with the settings will make this all clear rather quickly.


Working with the Back

As installed in the standard cabinets, the back is the same material as the sides, top and deck and runs from the top to the floor. Most cabinet shops will want to change this.

The back is changed like other cabinet parts in Construction Settings.

First, there is an argument for keeping the back as the same material as the rest of the cabinet, especially if you are cutting it on a CNC. With blind dado construction and a thick back you get a really strong cabinet box. The slightly higher cost of this material is partially offset by the efficiency of having to process only one material. In the end these are decisions that each shop must make. We will show you different ways of handling different materials.

Other than selecting a back material, changes to the back consist of defining insets and construction joints.

Insets and placement (overlap) work the same as other cabinet parts. See the section on “Working with the Top” for a complete description of these functions.

From this area you can control overlap on the left and right sides but not the deck. Many cabinetmakers like to stop the back at the deck. The easiest way to do this is to go to the Deck area where you can set the overlap between the deck and the back. Set this to Deck Flush and the back will end against the deck.

For those that use a thinner back material, there are two ways it is commonly constructed. The simplest is to change the joint to Full Dado with a zero Back Inset. The back can then be placed in this rabbit and pin nailed in place.

A more structurally sound approach is to change joint construction to Full Dado and inset the back. If you also set the top to Back Flush, The back can be slid into the slot from the top and then pin nailed to the edge of the top.

Both approaches allow the cabinet to be assembled without the back and then the back added later. This is valuable if you plan to spray finish the interior because by spraying before the back is applied, you will eliminate blow back and the entire process becomes much easier. The back can be finished separately and then assembled after it is dry.


Working with Cabinet Ends

There are not a lot of adjustments available for cabinet ends. You can change material and inset the panel or extend it by using a negative inset. For details of how insets work see the section “Working with the Top”.

Construction joinery is set on the components that connect with the ends.

The notch at the bottom front for a toe kick is set in the Toe Kick area.


Working with the Deck

In the deck area you can select a material for the deck as well as set placement (overlap) with the cabinet sides and back.

In setting the overlap to Deck Flush with the sides, there are some restrictions such as not having a toe kick. There are ways to achieve this with the toe kick should you actually need it by insetting the cabinet end at the bottom and putting a negative inset on the deck.

Insets and overlaps work the same as other areas. You might want to refer to the section “Working with the Top” for a detail explanation of these parameters.


Working with the Toe Kick

There are basically two types of cabinets, those with the toe kick cut into each cabinet and those that use a detached toe kick base on which one of more cabinet are mounted. The software supports both.

In the Toe Kick area there are actually three choices. You will see two check boxes. One says Has Toe the other Detached Toe. You will also find that you can uncheck both.

The Has Toe checkbox determines if the front toe plate exists. If it is checked, a toe kick panel is placed between the cabinet ends and under the deck. The Height and Inset determine where the toe kick panel is located and also control the toe kick notches in the cabinet ends.

The Height of the toe kick also determines the location of the cabinet deck. As you change the Height, the deck moves up and down to accommodate the height of the toe kick.

If you uncheck Has Toe but leave a distance in Height and Inset, the cabinet ends will be notched for the toe kick but no toe kick panel will be installed. Sometimes this is used when you want a common toe kick panel across a series of cabinets.

When you specify Detached Toe you must also input Height. This is the height of the detached toe base you plan to use.

When you do this, the cabinet box itself is shortened so that when it is sitting on the detached toe base, the top of the cabinet will be the Height above the floor that is set as the overall cabinet Height in the dimension box at the upper left. If you set the cabinet height as 34.5 inch and set the detached toe kick height at 5 inches then the cabinet box itself will be 29.5 inches high even though the cabinet height specified is 34.5 inch.

This might be a good time to discuss the detached toe base. In the Standard Cabinets directory there is a Standard Detached Toe cabinet. This is not some special cabinet but, in fact is made up of a standard cabinet, resized with some of the parts removed. You might want to load it and then pause the cursor over each part to see what it is.

Other than corner cabinets, you will find that all cabinets use the same set of parameters and differences in these cabinets are simply differences in size and parameter settings.

One additional point about the Height of a detached toe cabinet. When this cabinet is placed in a Custom Layout, it is located the specified height above the floor to make it easier to mate it with the detached toe base.


Working with Global Settings

There are times while working with a cabinet that you may want to change a certain parameters for every part in the cabinet. For example, you may want to change material or type of joint. This can be tedious if you need to access each part or, even worse, each joint on each part.

To make this easier, there is a Global Settings area in Construction Settings. In this area you can change parameters for every instance on the cabinet. The parameters that you can change globally are Material, type of joint Construction and details about dado joints, both full dados and blind dados.

Changing the parameter here will change it everywhere on the cabinet.

Sometimes you want to change a parameter, material for example, everywhere except one area, the back for example. In this case, it is probably easier to change everything globally and then return to the back and change it individually then to change each component except the back individually.

Also note that should you begin to change a parameter and then determine that you really don’t want to change it, there is a no change option that you can select. Once you begin working with a parameter you either need to change it or indicate that you want no change to it.


Corner Cabinet Details

Corner cabinets are somewhat unique because they include parameters that other cabinet types do not share. These parameters are specific to the unique requirements of a corner cabinet.

The Cabinet/Assembly Editor for the corner cabinet is essentially the same as for the base or upper cabinet with two additions.

The first addition is a dialog to help define the basic dimensions of the corner cabinet. It is accessed by pressing the button with the blue arrow shown highlighted here.

This opens the dialog shown to the right of the arrow.

Base and upper cabinets have only three primary dimensions, Width, Height and Depth. Corner cabinets are more complex.

The way this dialog works is quite simple. Once you understand the concept behind it you will find it quite easy to use.

There are a lot more dimensions that must be maintained on a corner cabinet than on a standard base or upper cabinet.

Instead of adding a whole list of new dimension boxes for corner cabinets, the system keeps the same three dimension boxes, but uses a dialog to select which dimension on the corner cabinet is in those dimension boxes at any time. In the example shown, the top Width box is currently showing the Right Front Width of the corner cabinet. If you select another width for display, the title over the dimension will reflect that change.

In this way, all the various dimensions can be specified while maintaining the standard three dimension boxes.

The next obvious problem is what do all these dimensions mean?

To address this, a question mark button has been placed in each area which launches a diagram of the corner cabinet showing the meaning of each dimension name.

It is possible to specify any of the dimensions shown, however, in many cases the dimensions are interconnected. Changing one may change others, however this approach allows you to specify dimensions of the corner cabinet using the dimensions most available to you.

You will quickly notice that each side of the corner cabinet can be a different dimension, both in Width and Depth. With the other changes, you will find that corner cabinets can become somewhat complex. These are necessary to create the variety of corner cabinet designs required by most cabinet shops so we must learn to deal with the somewhat more complex approach.

The second area where corner cabinets differ from base and uppers is in Construction Settings. When you load a corner cabinet, one additional dialog area becomes available called Corner Settings.

There are three areas that are defined in the corner settings dialog.

Making a change to any of these automatically changes the corner cabinet you are working on.

The first area determines whether the cabinet has a Corner Front or an Angle Front. Again a question mark button brings up a diagram, as shown, to help you understand the meaning of the terms used.

The next area determines if a corner cabinet with face frames has the left and right stile mitered parallel to the cabinet sides as shown.

Obviously this only applies to Angled front cabinets since on Corner Front cabinets the face frame is always 90 degrees to the cabinet side.

If you select Mitered, the system will designate it as mitered but the display in the current version of the software does not show the miter.

The designation of Mitered is important when placing cabinets in a Custom Layout.

The face frame of the corner cabinet is going to butt against an adjoining cabinet. The point where this butt occurs is controlled by this miter setting.

If you indicate the sides are mitered, the corner cabinet will butt against adjoining cabinets at the point marked in blue. If, however, you do not check Left and Right Sides Mitered, the corner cabinet will butt against adjoining cabinet at the point marked in red. This will be easier to understand once the display properly shows the miter, however, for now the system does make proper use of this setting when placing cabinets, which is the important point.

The next selection is a checkbox that determines on a 90 degree corner cabinet with no Corner Gap (we will cover that in a minute), whether the two back panels overlap or are mitered.

A 90 degree cabinet is the only angle at which this option exists. Otherwise, the back corner is always mitered.

If you select overlap, one back panel is cut shorter than the other, providing the overlap. This can be machined with only 90 degree vertical cuts.

If you select mitered, both panels are made long enough for the miter cut, however, the back edge of both panels must be mitered at the correct angle before the panels fit together at the back.

Here again, the actual miter is not displayed but the individual components are made long enough so that the miter can be cut on each.

For display purposes, they are meshed as shown.

The next parameter that you can adjust is the Corner Angle.

This is simply the angle that the two back panels make with each other. Angles from 90 to 179 degrees are possible.

The final corner setting is the Corner Gap. Once a corner gap is specified, a third back panel is added.

The three back panels are always mitered.

Again, the actual miter is not displayed in the software but instead the parts are made large enough to accommodate the miter and then are meshed for display. Again you must realize that the proper miter angle must be cut on the part for them to assemble properly.

These are the basics of corner cabinets but, with these controls a huge variety of cabinets can be created.


Using the Door/Drawer Editor

The Door/Drawer Editor has several functions including configuring and designing doors and drawer fronts, installing doors and drawer fronts and adding hardware. In the case of decorative hardware, you can specify mounting locations without actually adding the hardware and add it when the cabinet is used in Custom Layout. In this section, when we use the term “door” we generally mean doors and drawer fronts unless we specifically say something applies to only one.

The Door/Drawer Editor is accessed through an icon or menu selection from the Cabinet/Assembly Editor Main page. The door design and selection area, which is a sub area of the Door/Drawer Editor can also be accessed from other areas of the software when a door is required.


Designing Doors

One section of the Door/Drawer Editor is used to configure and save designs for doors and drawers. These saved designs can then be used in the Cabinet/Assembly Editor or can be placed in a room in Custom Layout. This area is accessed by pressing the Door/Drawer Selection button from the Main page of the Door/Drawer Editor.

A concept you need to understand is the idea of a “default” door. From within the Door/Drawer Editor you do two things, you configure and save door and drawer front designs and you specify which design should be used when a door or drawer front is placed on a cabinet. The design you specify is the “default” design. This default door specification is part of the cabinet and is saved when the cabinet design is saved. When you reload a cabinet the default for that cabinet is re-established. If you add another door to the cabinet it will be that door.

There are three distinct door areas, Conestoga, Thermwood and Slab. We will examine these in this order.


Designing Conestoga Doors

Conestoga doors and drawer fronts are essentially designs developed by Conestoga, a leading cabinet door manufacturer. These can be configured by the software in pretty well every variation available from Conestoga and in addition to using these designs in your jobs, you can also purchase these doors through the program at an eCabinet Systems Member discount with very little additional effort.

From the Main page of the Cabinet/Assembly Editor click the Door/Drawer Editor icon, then click the Door/Drawer Selection button and select Conestoga and the Standard directory.

This brings up the design dialog shown above. Double click on a door design to load it for editing.

The selected door is shown in the working window and it is shown again in a small window to the right. The image in the window on the right can be moved, rotated and zoomed using the Shift key and the mouse.

The Full Screen button switches the door to a full screen view where it can also be rotated, moved and zoomed. When you do this, moving the cursor to the lower left pops up a menu you will need to get back.

A radio selector determines if the door is Purchased Finished, Purchased Unfinished or comes from an Alternate Source.

If you select Purchased Finished, the cost of a finished door purchased from Conestoga is added to the material cost for the cabinet each time a door is added and the appropriate size door is added to the Buy List and Shopping Cart.

If you select Purchased Unfinished, the cost of an unfinished door purchased from Conestoga is added to the material cost for the cabinet each time a door is added and the appropriate size door is added to the Buy List and Shopping Cart.

If you select Alternate Source, the door is added to the Cut List each time you add a door and the Alternate Door Source Cost defined in Settings/Preferences is used to add a cost for the door to the material cost for the cabinet.

The door cost added to the cabinet cost is the cost to purchase the door. There is a place in the Define Costs area of Settings/Preferences where you can “mark up” the basic purchase price of the doors and drawer fronts to allow for additional costs such as shipping. You should do this if you want an accurate estimate of the cost of doors and drawer fronts.

You may also notice in the Conestoga area, when you specify either Purchase Finished or Purchase Unfinished, door and drawer front sizes are automatically rounded to the nearest 1/16 inch. This is because Conestoga only builds doors in even 1/16 inch increments.

Now we will address configuring a door design. Note that we do not designate a size, only a design. The actual size is assigned when the door is actually used. This is also when the cost is calculated.

A series of tabs above the working window accesses various parameter areas that can be adjusted. Switch to General and the following appears.

The Species, Grade and Thickness are selected along the left. The Finish that will be displayed is shown in the center graphic window. You can select from the available finishes for this species of wood by pressing the Change button.

Note that the view to the right does not automatically change when you change a parameter. Any time you want to view the changes you have made to the door, press the Reset View button.

The software includes the ability to create frame and mullion doors using a feature called Frame Only. Check this box to remove the center raised panel and specify a door that is only a frame.

Check Display with Glass to display the door with a transparent glass center panel.

Check Mullion Door if there are horizontal and/or vertical mullions on the door. Checking Mullion Door adds another tab to the top which accesses an area where mullions are defined. Note that within eCabinet Systems the vertical and horizontal members are referred to as Vertical and Horizontal Mullions rather than mullions and muntings to avoid confusion.

There is a lot of flexibility in defining mullions. To understand this area better, be sure to press the question mark buttons to view diagrams of various parameters.

The first step is defining how many horizontal and vertical mullions are on the door using the input boxes.

At the bottom there are three choices for the Lite Configuration. The Standard and Balanced configurations are both defined vendor standards and require nothing more than selecting them. The Custom configuration, however, requires that the actual configuration be specified.

Once Custom is selected, it is then possible to create non-symmetrical left and right hand door. To do this, check This Door is Handed and select either Left Handed or Right Handed.

The Lite Configuration is specified using the Set Configuration button.

The dialog to the right is used to define the custom Lite Configuration. Note that the dimensions of the lites specified here do not change when the overall size of the door changes, however, the size of the lites not specified will change to accommodate changes in door size.

Now, let’s return to the other tab selections beginning with Profiles, Beads and Raises.

This displays the current edge profile around the outside edge of the door, the current bead on the door frame and the current raise on the center panel. To change any of these, press the Change button and a list of available options is shown. Note that there are different selections for different basic door designs. The software offers you only those choices of profiles that are available from Conestoga. Scan down the list and select the design you want. When you have made all your selections, press the Reset View button to see the door with the new selections.

This brings us to the last tab called Options. This area allows you to select a wide variety of options offered by Conestoga. The question mark button by each option explains exactly what it is. Note that these options will be added to any doors purchased through the program but, they do not display on the door, either here in the Door/Drawer Editor or in the Cabinet/Assembly Editor or Custom Layout.

Once the door design is complete, set the name and directory and press the Save button. Be sure to save the design BEFORE pressing Set Default. Once you press Set Default, the door will be used as the default door but is not saved and you cannot go back and save it without reconfiguring it from scratch. Even if you don’t think you will need the design again, it is still a good idea to save it just in case.

Also, be sure that the file name and directory are correct BEFORE pressing the Save button. When you press Save it is saved under the name and directory currently displayed.


Designing Thermwood Doors

The next type of door supported by the software is a generic five piece door. This area was derived from a five piece door system Thermwood developed for its CNC routers. Since very few of these are in operation, the basic use of this area is to create specific designs for display within the program and then obtain the doors from an alternate source. This area does allow the creating and display of arched and cathedral door designs.

From Select Source select Thermwood and the dialog appears.

From this page select a material from the available Board Stock materials. This is primarily used to define a texture or image for the door. The image associated with the material selected is the image used on the surface of the door.

Selecting the Layout tab accesses a dialog where the layout or geometry of the door is specified.

There are essentially three types of door supported.

A Square door is essentially a frame with a raised center panel. Stile and rail widths can be specified, although it does require that both stiles be the same width and both rails be the same width, the stiles can be a different width than the rails.

The second type of door supported is an Arch door. An Arch door has an arch cut into the top rail as shown to the right. The height of the arch is specified in the Arch input box. The arch is essentially a segment of a circle.

It is also possible to specify a side flat on each side of the arch as shown to the left.

This is specified in the table and the side flat can be made to vary with the width of the door.

Essentially the way this table works is that the software uses the door width to look up in the table the size of the side flats. The one caution is that if the door size qualifies for more than one specification, the system will use the last entry in the table that the size qualifies for.

For example, if you set 0 to 17 inch as a 2” flat and 17 to 24 inch as a 3” flat on the next line, a 17” door qualifies under both specifications. In this case, the last entry, 17 to 24 inch gets executed. As a final note, set the entries in order, starting with the narrowest and ending with the widest, otherwise the system gets confused.

The Preview Size is the size door shown in the preview window. By changing this size you can see the basic effect of the entries in the table. Be sure to press the Reset View button each time you make a change to see the effect of the change.

The final and most complex door is the Cathedral. A Cathedral door has a center arch with two reverse arches, one on each side. The radius of each reverse arch is expressed as a percentage of the radius of the center arch. All three arches are adjusted to meet this ratio requirement while achieving the arch height specified.

Setting parameters for a Cathedral door is the same as setting parameters for the flats on an Arch door. You specify a width range and then specify the settings for any door that falls in that range.

In addition to the minor radius, you can also specify side flats and a top flat for a Cathedral door. The door to the right has one inch side flats and a one inch top flat.

When you are finished with the door, return to the Main page, enter a directory and door name and press Save. This saves the door design so that it can be accessed when needed.


Designing Slab Doors

The simplest type of door supported is the Slab. A Slab door is nothing more than a rectangular piece of sheet material surrounded by an edge band. Again, the image associated with the material and the edge banding selected is used to display the door.

If you select Build in House, the Slab doors and drawer fronts will be nested on the material they are made from along with any other components made from that material. If you select Alternate Source, the Slab doors and drawer fronts will not be nested.

Remember that the core of the Slab doors and drawer fronts will be reduced in size to allow for the thickness of the edge banding.

The software offers some interesting features for cabinets with slab doors.

First, you can control the wood grain direction on the front of the door. Right click in the Door/Drawer Editor and select Construction Settings. In the Add Door/Drawer Settings area, specify the grain direction. Set this, then return and add the door.

Another great tool in the Main area of the Cabinet/Assembly Editor is the Group Parts feature. Using this you can group a series of slab doors and drawer fronts so that they keep their relative position with respect to each other when they are nested. They are nested as a group. In this way, the wood grain flows across all the grouped parts giving a rich “high end” look.

From the Main page, Right click and select Group Parts. Then, click on each of the door and drawer fronts you want included in the group.


Placing Doors and Drawer Fronts

The basic idea is quite simple, click and highlight the area where you want the door and click on the type you want, Right Hinge, Left Hinge, Double or Drawer. There are however, quite a few parameters needed to add a door to a cabinet. As with everything in the software, there is a set of parameters that define how a door or drawer is added to a cabinet.

These parameters are set in the Construction Settings area under Add Door/Drawer Settings. From the Main page of the Cabinet/Assembly Editor right click and select Construction Settings. Then, select Add Door/Drawer Settings.

You can also access this from the Door/Drawer Editor by right clicking and selecting Construction Settings. If you select it from the Door/Drawer Editor you will automatically be in Add Door/Drawer Settings.

When you change parameters in this area, they remain until you change them again. They do not affect existing doors but do define how new doors are added (unless, of course, you highlight a door before making the change).

You are also offered the opportunity to override these parameters each time you add a door. If you override the parameters when you install a door, they are only changed for that ONE DOOR. Parameters in Construction Settings remain unchanged.

Therefore, if you want to adjust parameters for all the doors you plan to add, change the parameters in the Construction Settings area. If you want to change parameters for only one door, override the parameters during the installation process.

Construction Settings and cabinet defaults like hinges, pulls, door designs, etc. are maintained with the cabinet itself. Loading a cabinet also loads the settings and the defaults that existed when the cabinet was saved.

Note that there are two sets of Add Door/Drawer settings, one for frame and one for frameless. If the cabinet you are mounting the doors on is frameless, the frameless settings are used. If the cabinet is a face frame cabinet, the Frame settings are used.

Most of the settings are easy to understand however, one area that can be a little confusing is Gaps, so let’s look at it in more detail.

The system allows you to install more than one drawer or more than one door in a highlighted opening.

When you install multiples, gaps are used to separate them.

If you install a double door, the Double Door Gap (found in the Door area) is used for the vertical center gap. If you install one double door over another, that is two high, in a single opening, the gap as set in Door/Door Gap is used between them horizontally but the Double Door Gap is used between them vertically.

Because each side of doors and drawers can be assigned a different gap, they may come into conflict at times. Perhaps we set the Top gap for a door as .125”, and the Bottom gap at .25”. If we then put the two doors together, one gap says to make the separation .125” but the other gap says to make the same separation .25”. When this occurs, the system uses the largest gap, .25” in this case.

There is one other case where these gaps come into play and that is when placing doors and drawer fronts on frameless cabinets with shelves or partitions.

In the view to the left, we have added a door with a zero reveal to the opening on the left. As you can see, the door completely overlaps the center partition.

If we now try to add a similar door, also with a zero reveal, to the right opening, it would need to overlap the partition all the way to the left surface. This would mesh the two doors and is clearly unworkable.

To address this, the software uses the Gap settings to resolve the conflict.

The image to the right shows the two doors. Notice that the gap has been located in the center of the partition and both doors resized to achieve the specified gap.

This approach makes placing doors and drawers on frameless cabinets quite a bit easier. Just set the gaps to what you want over shelves and partitions and place the doors and drawers.

There may be times where you may want to specify the exact positioning of the gap over a shelf or partition. Perhaps you want the gap to be positioned at other than the centerline of the shelf. In this case, set the gap for both doors or drawers to zero. When this occurs, the doors and drawers obey the reveal dimensions, even if this results in the two components meshing. If you set the Gaps to zero, you are in charge of the positioning of the joint and need to focus on this area carefully to prevent developing a design that cannot be produced.

The program does not perform the same function for face frame cabinets where overlaps rather than reveals are used to specify placement.

Also, an understanding of how the software uses overlaps and reveals might be useful, especially when working with more complex structures that combine face frames and frameless on the same cabinet. Since these cabinets do occur, a basic understanding might be useful.

The key to understanding how doors and drawers are placed in the opening is the highlight area. When you click on an open area, the software looks around and tries to determine what you want. It then highlights the area it thinks you want to put a door or drawer over.

The frameless cabinet to the left shows such a highlight. The center shelf is fixed so the area above or below the shelf can be selected. If you want a door to cover a fixed shelf, the door must be added first and then the shelf added behind it.

Adjustable shelves are always ignored during the selection process and doors always cover adjustable shelves.

Now, focus on where the highlight ends. This is where the software sees the limit of the opening. It then looks at the reveal numbers for this door and measures from the edge of the highlight.

For frameless, it takes the thickness of the side, subtracts the reveal and adds the result to the highlighted area to determine the edge of the door.

The frame cabinet shown works much the same way. The system takes the size of the highlighted opening and adds the overlaps to determine the size and placement of the door.

Therefore, the key to understanding how the door will fit the cabinet is to analyze the highlighted opening. If Has Face Frame is checked in the Construction Settings- Face Frame dialog, even if every piece of the face frame has been deleted, it is a face frame cabinet. In this case, Overlaps will be used. If Has Face Frames is not checked, it is a frameless cabinet and Reveals are used.

Adding doors and drawers is then straightforward, simple highlight the opening and press the appropriate button. Adding more than one door or drawer to an opening however, needs further explanation.

The software allows you to add a stack of more than one door or drawer vertically to an opening. For example, you can place several drawers in a single opening.

If each of these is the same height, it is quite easy. Simply indicate the quantity at the top when the installation dialog appears and press OK. If you want to stack drawers or doors of different height it is slightly more involved but still not all that difficult.

In this case, you will need to add each different sized drawer one at a time.

Leave the quantity as “1” and set the height of the first drawer (note this also works for doors). Then you must decide whether you want the resulting opening at the bottom or top. If you set Adjust Bottom the drawer will be placed at the top of the highlighted opening and the remaining opening will be left at the bottom. If you select Adjust Top, the drawer is placed at the bottom of the highlighted opening and the remaining opening is left at the top.

You can, at any time, add multiple drawers of equal height to an opening but this will fill the entire opening. You cannot leave a gap when doing this.


Placing Doors on Corner Cabinets

There are two types of corner cabinets. An angle front cabinet has a single angled opening that goes between the two wings. Placing doors on an angle front corner cabinet is essentially the same as placing them on a base or upper cabinet.

The second type of corner cabinet, the corner front, has two surfaces at an angle to each other. There are some additional considerations when placing doors on this type of cabinet.

Begin by noticing that you can highlight each front face of the cabinet separately. Doors are installed in each of these openings separately.

The sequence you use to install the doors in these openings determines how they fit and overlap in the center. Let’s look at the various options available.

If you install the doors, one at a time, the first door installed goes all the way to the corner and the second door is made shorter to overlap the first.

For the cabinet shown on top, the left door was installed first and then the right door was installed.

On the bottom cabinet shown the right hand door was installed first and then the left door was added. Notice that this time the left door overlaps the right hand door.

In either of these cases, the gap between doors is the Door to Door Gap set in Door/Drawer Settings.

The software also allows for a Double Right or Double Left door. These are doors hinged on the right and center or hinged on the left and center.

They open on either the right or the left with the second door attached by a hinge to the first door.

The result of adding this type of door is shown here.

The gap where the corners of the doors meet and the method of measuring the gap are shown to the left.

The Door to Door Gap specified in the Door/Drawer Settings is measured from the corner of each door to the theoretical point at which the faces of the door intersect.

Another option for corner cabinets is a Lazy Susan door.

A Lazy Susan door is normally an inset door in which both doors are permanently attached to the Lazy Susan.

The actual placement and spacing is the same as for a Double Right (or Left) door.

You must specify an inset for a Lazy Susan door and allow sufficient gaps for the door to clear the ends or face frame when the Lazy Susan is rotated.

The primary difference in a Lazy Susan door is that no hinges are added to the cabinet for the doors, even if default hinges are specified.

In the case of a Double Left or Right door, only the primary hinges for the door that attaches to the cabinet are automatically added to the Buy List.

The hinge arrangement required between the doors must be added separately using the Add Item function.

The final type of door that can be added to a corner cabinet is a Double Door.

These are added in much the same manner as a single door, highlighting one side at a time and adding the door.

As with the single door, the side added first goes all the way to the corner and the side added last overlaps the first.


Selecting and Associating Hardware to a Cabinet

In addition to wood based material, there are other items including pulls, slides, hinges, catches, lazy susans, tip outs, slide outs and the like that may be needed to complete a cabinet. These items can be added to the cabinet providing several important benefits.

The first benefit is the ability to include the cost of these items in the cost estimate for the cabinet. Second, when multiple cabinets are added to a job, the software can add up all the items you need for the entire job and provide these to you in a Buy List. Then, with little effort, everything on the list can be purchased through the program, saving considerable time.

For items that must be mounted to the cabinet, another benefit is the ability to automatically add the mounting holes to the appropriate cabinet parts. Hardware mounting hole patterns are included for most hinges and slides available through the program and the Hardware Hole Editor can modify these patterns or create new patterns if necessary.

Hole patterns are shown on individual part drawings and are included in CNC programs.

Finally, for many decorative pulls there is a rich three dimensional image that can be displayed on the cabinet providing an accurate representation of the final appearance.

There are two methods of handling hardware selection within the software.

First, there are default hardware selections for certain items such as hinges and hinge mounts for doors, slides and slide mounts for drawers, pulls for both doors and drawers as well as top, mid and base moldings for the cabinet. These are called “Cabinet Defaults”. Cabinet Defaults also include KD/RTA fittings for each joint when these are used.

There is an area where these selections are maintained. This area can be accessed either by selecting the Define Default/Add Item icon in the Cabinet/Assembly Editor and then selecting Cabinet Defaults or, from the Door/Drawer Editor you can press Hardware Selection.

Here you select the vendor and the actual item you want. You can also add them to My Favorites which makes finding them much easier in the future.

Default items for a door, hinges, hinge mounts and door pulls are automatically added to the cabinet whenever a door is added to the cabinet. Once you set the defaults, you do not need to worry about adding hardware when you add a door, it happens automatically.

This same thing works for drawers.

The second way of adding an item to a cabinet is using the “Add Item” feature. This allows you to select anything from the eCabinet Systems store and associate it with a cabinet. Whenever that cabinet is added to a job, the associated items are also added to the job.

This works well for items such as tip outs, roll outs or lazy susans. To position these properly, you need to know how to move and align parts in the workspace, so we will cover that next


Moving and Aligning Items in the Workspace

The Cabinet/Assembly Editor has powerful tools for moving, aligning and positioning items within the workspace. This is another area that can be confusing at first but is quite simple when you figure it out.

The key to understanding is realizing there are two ways to move and item, you can move the entire workspace with the item in it. When you do this the item does move on your screen. You can also leave the workspace stationary and move just the item within the workspace. If there is more than one item in the workspace, only the item selected will move.

If you want to examine items in the workspace, you move, zoom and rotate the entire workspace. If you want to move items together or apart, you must move and rotate items within the workspace.

When you first enter the workspace, you are looking at a three dimensional workspace defined by three axes, X,Y and Z. The entire workspace is rotated by holding the Shift key and using the LEFT mouse button, it is panned using the Shift key and RIGHT mouse button and zoomed using Shift and BOTH mouse buttons. The key ingredient is that when you hold the Shift key you are moving the ENTIRE workspace and everything in it.

To move an item within the workspace, highlight it, hold the Ctrl key and use the RIGHT mouse button. Remember, Shift key to move the workspace, Ctrl key to move the item.

At this point, you need to deal with a feature called the C-Plane. When you first enter the Cabinet/Assembly Editor, you are looking directly at the XY Plane with the X Axis defining left and right movement, the Y Axis defining up and down and the Z Axis defining in and out. The C-Plane is also set to the XY Plane called C-Plane Front. This means left and right movement of the mouse moves items along the X Axis and up and down movement of the mouse moves items along the Y Axis, or mouse movements correspond to a front view.

Since you can rotate the entire workspace, you can orient the workspace so that these motions don’t make sense. For example, if you rotate the workspace 90 degrees to the left, the mouse motions behave differently. Up and down motions still work because the Y axis is still pointed up. Side to side mouse motions still move the item along the X axis, but now the X axis is in and out, not side to side.

To get the mouse motions to correspond to the new workspace orientation we need to change the C-Plane. If you are looking at the left side of the cabinet, change to C-Plane Left, if you are looking at the right side of the cabinet change to C-Plane Right etc. Basically, this reassigns mouse motions to different axes so that the item moves on the screen as you feel it should, that is it move side to side when you move the mouse side to side and up and down when you move the mouse up and down. The C-Plane determines what the mouse does.

The Reset View feature sets the workspace orientation to the Front, Left, Right, Back, Bottom or Top and also automatically sets the appropriate C-Plane. You can also execute these using the arrow keys, left arrow for left view, right arrow for right view, etc. The Home key gets the front view and the End key the back view. This is probably the quickest way to change views once you get used to it.

Through this discussion we have been talking about moving left right, up and down. The third axis, in and out or zoom also exists (Shift and Both mouse keys). It exists throughout these movements and is also changed with changes in the C-Plane.

Now that we have looked at moving the workspace, let’s look at moving items within the workspace.

We have already partially covered moving items within the workspace. Highlight the item, hold the Ctrl key and use the RIGHT mouse button. Unlike the workspace itself, an item cannot be rotated in the workspace using the mouse. Instead, to rotate, the item is highlighted and you right click and then select Rotate Item. A dialog appears that can be used to rotate the highlighted item. Note that only one item can be rotated at a time. This is OK because it is difficult at best to try to accurately rotate an item using the mouse and when you are trying to align items, they must be precisely rotated. The dialog is a good way to do that.

You can align parts by carefully using the mouse but there is a better, faster way, the Align feature.

Start by rotating the items so that they are properly rotate with respect to each other.

Now, press and hole the “M” key on your keyboard. All those blue dots are called alignment nodes. They are used to align items with each other.

Release the M key and highlight the cabinet by double clicking on it. Slowly move your mouse cursor over the corners of the cabinet and the alignment nodes will appear.

We are going to pick a node on one item and the pick a node on a second item and then move them together. Make sure the two items you want to align are both highlighted and also make sure nothing else is highlighted. We will explain why in a minute.

In this move, one item will remain fixed and not move, and the other item will move to the first. The first item you click a node on remains fixed. This is important. The first item you click a node on remains fixed and doesn’t move.

Move over a corner and when a blue node appears, click. The blue node now remains lit even when you move away. By the way, the blue color also indicates that this is the node that will not move.

When you move over a corner on the second part, a red node appears along with a line connecting it to the blue node. The red color indicates that this is the node that will move. Go ahead and click.

Now, the blue node, the red node and the connecting line are all lit meaning we are ready to do the alignment.

Click on the Align icon in the toolbar or right click and select Align Items. A dialog appears.

The dialog currently displays the X, Y and Z distances separating the two nodes. You can type in the distances you would like the nodes separated by after the move and press OK. If you want the nodes moved together with zero distance on all axes, simply press the Align to Zero button.

Once the move has occurred, you can move and rotate the workspace to see if that is what you wanted. If not, you can press the Align icon again, bring up the dialog, make adjustments and press OK again.

You can do this over and over until you select a new node or change focus by starting a new function.

There is another way to move a part a precise distance, but it uses the Shift key which is normally used to move the workspace. Despite this it can be quite useful.

Start by defining the increment by which you want to move. Right click and select Edit Move Increment. In the dialog input the distance and press OK. This is the incremental distance the item will move each time the key is pressed.

Now, highlight the item to move. If you hold the Shift key, the left, right, up and down arrow keys can be used to move the item. Note that the keys move along the axes that correspond to left-right up and down mouse movement and that they change with changes in the C-Plane. Although this may sound a little confusing, if you play around with it a little, it soon becomes second nature.

The next area is placing items such as carvings or hardware on a panel where convenient nodes don’t necessarily exist. These can normally be placed well enough using the mouse if you switch to Orthographic View. As an example, lets place a carving on the front surface of a cabinet.

Load a Std Base Framed from the Standard Cabinets directory. We will now load a carving.

From the front view, press Ctrl and T to highlight the target, which is inside the cabinet.

Hold Ctrl and use the Right mouse button to move the target to the right side of the cabinet.

Now right click and select Load Item – Vendor Item – Wood Components – Hafele – Carved Shell Onlay. Then select any of the carvings available and press OK.

We have now loaded our carving.

Press the Orthographic View icon and then press the right arrow key to switch to a right view. Click on the carving to highlight it and while holding the Ctrl key, use the right mouse button to move the carving until is back surface just touches the front of the cabinet.

By switching to the Orthographic View we have taken away perspective and made aligning the back of the carving to the front of the cabinet much easier.

Now press the Home key to return to the front view.

Again holding the Ctrl key, move the carving over its proper position on the cabinet.

While we still have the carving highlighted, we can match its texture to the cabinet. Right click and select Match Texture. Then, click on the cabinet which tells the system we want the texture of the highlighted part to match the texture we just clicked on.

You can now switch back to the Isometric View.

This same procedure can be used for other items such as hardware, vendor items and display parts.

In another section of this manual we cover handling carvings in more detail including the procedure for downloading hundreds of carvings from Thermwood’s carving library and using them in your designs. Unlike vendor carvings which are sold through the program, these carving can be produced on a Thermwood CNC router by renting the carving program. One addition benefit to this is the ability to scale the carving for your particular application.


Using the Shelf Partition Editor

This area is used to add and adjust shelves and partitions. The process is simple, highlight the area where you want the shelf or partition, add it and adjust its position if necessary. As with most functions, the basic idea is simple, but there are a lot of details.

There are two types of shelves, fixed and adjustable. Fixed shelves are joined to the cabinet ends using one of the standard joints. Adjustable shelves are smaller than the opening and are generally supported by some type of shelf pin or clip. There is normally a series of holes drilled into the cabinet ends to hold these clips.

Partitions are only fixed and must mount into either a fixed shelf or a fixed part of the cabinet.

The software handles shelves as two different types, fixed and adjustable, and there is a set of parameters for each type. When you place a shelf, you specify if it is fixed or adjustable and the system uses the corresponding parameters.

The parameters are adjusted in Construction Settings under the tab Add Shelf Settings and a separate tab Add Partition Settings. As with any “Add” parameters, changes only affect items added after the change and do not affect any shelves or partitions that currently exist. You can highlight an existing shelf or partition and then make the change and the change will be applied to the highlighted item but otherwise, changes in “Add” settings do not affect existing items.

This is done so you can add different shelves each with different characteristics to the same cabinet. Set parameters for the first shelf and add it. Then change the parameters and add a second shelf. Each is different.

For fixed shelves, you can select the type of joint you want on the right, left and back. For adjustable shelves you can specify the left and right inset (clearance) and you can specify a hole pattern. If your cabinet will have more than one adjustable shelf, this hole pattern can get a bit tricky.

You must realize that the hole pattern is part of the shelf. When a shelf is added, the hole pattern is also added to the corresponding cabinet sides. If you move the shelf location up or down, the hole pattern moves up and down with it.

This is OK for the first shelf, but if you add another shelf you get another hole pattern. Add a third shelf and get yet another set of holes. We obviously need a little technique here.

Normally you want a single set of holes and then several shelves that can be mounted on any of the holes. To do this, specify the entire hole pattern for the first shelf. Also make sure if you relocate the shelf the hole pattern is properly located. Then, uncheck Apply Shelf Holes and add the remaining shelves. You should locate them so they correspond to the hole locations to make it more realistic.

Note that you can inset the front and back of a shelf and create a drawer stretcher. You can also inset either or both sides which can be useful when combined with partitions to develop boxes or freestanding shelves (for pocket doors) inside the cabinet.

Now let’s place some shelves and partitions.

In the Cabinet/Assembly Editor load the Std. Base Frameless. Then click the Shelf Partition Editor icon.

Again, the process is simple. We highlight the area where we want the shelf or partition and then press the Add Shelf or Add Partition button. Be sure to select either Fixed or Adjustable for your shelf.

Once the shelf is in place we can move it up or down.

A quick way is to click on the shelf to highlight it and then holding the Shift key, use the left mouse button to move it. Although it is quick, it is not very precise.

You can read the height of the opening above and below the shelf in the display box at the upper left corner of the opening.

Another more useful way to adjust the shelf is to highlight the opening above or below the shelf. Then you can adjust the height of the opening at the upper left.

Note that to the right of this adjustment box is a button under the word “Adjust” that changes from Top to Bottom to Both. This determines what part moves to obtain the height you specify. With only one shelf, obviously if you highlight the top opening you can only adjust the bottom which is the shelf. In some cases, however, you may be adjusting openings between shelves and this feature becomes important.

This same thing works with partitions, except you may be adjusting the width of the opening also.

Another feature that can save you a little time is the ability to highlight more than one opening and add a shelf or partition to all of them at the same time. To highlight more than one opening, hold the Ctrl key as you click on each area.

Another useful feature that takes advantage of the ability to highlight more than one opening is called Equalize. If you highlight two or more adjacent areas and press Equalize, the overall height of the highlighted area remains the same but the shelves are adjusted so that all openings are the same. This also works for the width of partitions.

To delete a shelf or partition, highlight it by clicking on it and either press the Delete button or press the Delete key.

The final detail to cover is the Insert Button Set. In this area you can select whether the Insert key on your keyboard places a shelf or partition. Then you can use the keyboard Insert key instead of the on-screen button. Not sure how useful this is but it is there so feel free to use it.


Dealing with Face Frames

Face frames can get a bit complex and the way the software handles face frames can be confusing at first. It was done this way to allow the maximum flexibility but it can also cause confusion when first learning the software.

The source of this confusion come from the fact that certain face frame components such as top and bottom rails and left and right stiles are controlled by parameters in Construction Settings and not controlled in the Face Frame Editor. These can be changed by going to Construction Settings and not even using the Face Frame Editor.

Other components such as mid-rails and mid-stiles are handled as “Add” type parameters. That is, unless they were highlighted before entering Construction Settings, existing mid-rails and mid-stiles do not change when these parameters are changed.

This is where the Face Frame Editor comes in because that is where face frame components are added and their position adjusted. These are primarily mid-stiles and mid-rails but top and bottom rails and left and right stiles can also be added should they have been deleted before.

As for positioning face frame components, the outside parts, top and bottom rails and left and right stiles are positioned with respect to the cabinet in Construction Settings. Only the positions of mid-rails and mid-stiles are adjusted in the Face Frame Editor.

It might be easier if you think of the Face Frame Editor as the Mid-Rail/Stile Editor and consider the outer frame as part of the cabinet just like the sides, deck and top.

We will start with the outer frame.

The outside frame consists of a top and bottom rail and a left and right stile. With respect to this outside frame the Face Frame Editor has only three functions. First, you can delete any of the frame components. Second, you can add a component back after you deleted it and finally, you can change the overlap. Normally, the stiles extend over the edges of the rails. You can change this in the Face Frame Editor by right clicking on the joint you want to change and selecting Face Frame Options – Toggle Overlap.

The rest of the changes to the outside frame are done in Construction Settings. It doesn’t matter if Construction Settings is accessed from the Main page of the Cabinet/Assembly Editor or from the Face Frame Editor.

In Construction Settings, let’s first look at settings for the entire face frame.

Under Cabinet Attachment you are given two choices, Butt Joint or Blind Dado. This specifies how the face frame attaches to cabinet box. Currently, only the butt joint is supported even if you check Blind Dado. In the future, a blind dado will be available on the front edges of the cabinet to attach to a slot cut into the face frame, but not right now.

Construction determines how the face frame components attach to each other. The Butt Joint specifies the length of each component with no additional length for joinery and assumes some type of mechanical fastener such as pocket screws. If you select Mortise Tennon, then the Depth dimension is added to the length of any part on which a tennon is needed. This addition, however, is only done in the CNC output. Cut lists and part lengths only reflect the actual part to part dimensions that you would see with a butt joint.

The final common dimension for the face frame is the Thickness which is found on the second page of Face Frame Settings. Only thicknesses of existing board stock material are available for selection and once you select a thickness, only board stock with that thickness is available for selection as a material. The software assumes that all face frame components are the same thickness.

A convenient Define Materials button at the bottom takes you directly to the materials area of Settings/Preferences where you can add board stock material for your face frame. It is common to get here and need a different width material and this button saves some time.

On Page 2 you will notice a Display Finish – Common with Door checkbox. Normally this is checked and the face frame will take on the same color and texture as the doors selected. Face frame finish will also change when you change doors. If you want the face frame a different finish than the doors, uncheck this and the face frame will be the texture and finish assigned to the board stock the frame is made from.

We are now ready to look at the outside frame itself.

There are three things you can control for each component, its relative length, its position with respect to the cabinet and the material it is made from, which defines its width.

Let’s start with its relative length. A face frame component is supposed to be a certain length. This length is defined by the width of the cabinet and the width of the parts it mates with, etc. and this length changes as the cabinet or other items change. By using a thing called an “Inset” you can make the component longer or shorter than its normal length. Since it’s called “Inset” a positive number insets it or makes it shorter. A negative inset then, makes it longer. In a lot of these settings it is important to remember that you can use negative numbers and reverse the effect.

The position with respect to the cabinet is controlled by a parameter called “Outside Scribe” that is except for the bottom rail where this parameter is called “Deck Float”. Deck Float is a little different as you will see.

Outside Scribe is essentially the distance the face frame extends past or outside the edge of the cabinet. For example, a quarter inch Outside Scribe for a top rail means that the top edge of the top rail is a quarter inch above the top of the cabinet. The left and right stiles were also extended a quarter inch to keep the frame in tact.

Here again, we can use negative Outside Scribes to move the component toward the inside of the cabinet.

Deck Float is a bit different since it refers to the top edge of the bottom rail with respect to the top of the deck. If you set a quarter inch Deck Float the bottom rail will extend a quarter inch above the surface of the deck. Again, you can use negative numbers to lower the bottom rail.

Now let’s look at the Face Frame Editor and the addition of mid-stiles and mid-rails.

The material and settings for mid-stiles and mid-rails are established in Construction Settings. Then, in the Face Frame Editor we add them and adjust their position.

This area works like the Shelf Partition Editor in that we highlight the area, add the part and adjust its position.

Simply click to highlight the open area. The highlight only looks at the face frame and ignores shelves and partitions inside the cabinet. Then pull the list down for the Add and click on the item you want to add. This is normally a mid-rail or mid-style.

If you want more than one and want them different from each other, add the first, go to Construction Settings and make the changes and then return to the Face Frame Editor and add the second one.

The mid-rail or mid-stile can be moved by clicking on it to highlight it and the while holding the Shift key moving it with the left mouse button. The only reason you might want to move it this way is to get it near a shelf or partition. If you get it near a shelf or partition you can then adjust its position by adjusting the float number. This float number will only appear if the rail is near the shelf or partition.

Another way to adjust the mid-rail is to highlight the opening above or below it. Then you can adjust the opening height in the box at the upper left.

Note that to the right of this adjustment box is a button under the word “Adjust” that changes from Top to Bottom to Both. This determines what part moves to obtain the height you set. With only one mid-rail, obviously if you highlight the top opening you can only adjust the bottom which is the mid-rail. In some cases, however, you may be adjusting openings between mid-rails and this feature becomes important.

This same thing works with mid-stiles, except you may be adjusting the width of the opening also.

Another important feature is the ability to highlight more than one opening and Equalize them. If you highlight two or more adjacent areas and press Equalize, the overall height of the combined highlighted areas remains the same but the mid rails or stiles are adjusted so that all openings are equal height.

To delete a face frame part, highlight it by clicking on it and either press the Delete button or press the Delete key. Note that you can highlight more than one part by holding the Ctrl key while clicking.


Adding Moldings to Cabinets

There are three ways in the software to add moldings to a cabinet. The two primary methods are using the Molding Editor or adding the molding as a Display Object. Each has advantages and disadvantages.

The Molding Editor can add up to three horizontal moldings along the front and/or either side of the cabinet. By convention they are called Top, Mid and Base Molding but they can be located anywhere. The advantage of using the Molding Editor is that it automatically sizes the moldings to the cabinet and these sizes automatically change as the cabinet size changes. The disadvantage is that the moldings can only be positioned horizontally and there are provisions for only three moldings per cabinet.

The second way of adding moldings is by placing them as a Display Object. A function exists to make this relatively straightforward. The molding is then positioned relative to the cabinet, and it can be positioned in almost any orientation. The advantage of this approach is great flexibility but the disadvantage is that it is more involved, takes longer to do and the moldings do not resize or reposition with the cabinet.

Both of these approaches use a set of standard molding profiles which are also the profiles of moldings that can be purchased through the program. Some of the moldings supported are decorative or carved moldings that can create some interesting designs.

There is actually another way that can be used to create and place a custom molding but it is somewhat involved. In this approach you create a custom profile tool and then use that to cut the molding shape into a Display Board in the Part Editor. You then position this custom molding on the cabinet much like you do with a Display Object molding.

The advantage of this approach is that you can reproduce almost any molding profile. The disadvantage is that some of the tools used on Display Moldings such as the ability to miter the ends and resize it after it has been placed are not available for these custom moldings.

One interesting note on this approach is that if you have access to a Thermwood CNC router, you can actually make this custom molding without purchasing custom tooling. Thermwood machines include the ability to model pretty much any molding shape using some standard tools. This is a great feature, especially if you only need a limited amount of the molding.

Now let’s examine the various approaches to moldings, starting with the Molding Editor.

The Molding Editor works like most other editors in that you set up the molding parameters in Construction Settings and then actually place the molding in the Molding Editor. You will notice that the area is called Add Moldings Settings. The “Add” again means that changes will not affect existing moldings, only new moldings we add.

You will also need to actually choose a molding to place at each of the three locations supported by the Molding Editor.

The Molding Editor only supports three moldings and there are settings for each of these three moldings in Construction Settings so this area does work a little differently than other areas such as Add Shelf.

In the Molding Editor, to change a molding it is not necessary to delete the existing molding and then add it back. Instead, you can simply change the parameters and then add then molding right over the existing molding. Whenever you add a molding in the Molding Editor you replace the existing molding with one based on the current molding parameters as defined in Construction Settings.

You will notice that for each molding you can specify if the molding is placed on the front and/or sides. You can also set a scribe on each side of each molding.

Each molding has a specific length that is considered “correct” for the current cabinet size. This “correct” length will make the molding exactly fit the cabinet with the corner joint selected. The Scribe number is used to vary that length. A quarter inch scribe will make that end of the molding a quarter inch longer than normal. For example, if you set an Overlap joint and set a quarter inch scribe, the molding will extend past the side by a quarter inch. If you set a negative quarter inch scribe the end of the molding will be shorter than the end by a quarter inch.

Once the scribe is set, the molding will remain a quarter inch longer than the end, even if the cabinet size changes. With a change in cabinet size, the molding also changes but always remains a quarter inch longer than the side it is mounted on because you have set a quarter inch scribe.

Once you have set the Construction Settings, the next step is to actually select the moldings you want. As you might expect, this is done by pressing the button Select Molding.

When you do, several vendors are presented. All except “Thermwood Furniture Network” have molding profiles that you can purchase through the program. There are also three-dimensional files that allow these to be displayed in the software. The “Thermwood Furniture Network” offers molding designs that are associated with a professionally designed furniture program that is discussed in another area of this manual. These designs can also be used in the software but are not available for sale. Instead, CNC programs to make them are available for rent. They can be run on a Thermwood CNC router so if you have one you can make these designs yourself. If not, you can generally find someone with a machine near you that can make them for you. A list of machine owners interested in machining parts for others can be found on the eCabinet Systems web site under Production Sharing”.

Click on a vendor and select a molding. Then you can set it as the “Default” molding for the top, middle or bottom. Note that on some moldings, you may have to move to the bottom of the window to access the red buttons.

It is also a good idea to add these to My Favorites to make it easier to locate them again should you need them. Now we are ready to actually add the moldings.

At this point, all we need do is locate the molding on the cabinet. There is a zero point on each molding. This point is normally at the bottom of the molding. At the upper left of the Molding Editor you will see two boxes titled Distance to Top and Distance to Bottom. These define a height on the cabinet and both boxes define the same point. You can use either to define the height point, but when you change one, the other also changes to reflect a single height on the cabinet. Two boxes are provided because sometimes it is easier to measure from the top of the cabinet and at other times it is easier to measure from the bottom.

Once the height point is set, press Add Top Molding, Add Mid Molding or Add Base Molding. The default molding for the position chosen is added to the cabinet with its zero point located at the set point. If anything about the molding is incorrect, correct it, including the height, and then press the Add button again. You can keep doing this until you get want you want.

You might also notice that other than defining three moldings, the names Top, Mid and Base have no other function. Each of these moldings can be placed at any height on the cabinet.

You delete a molding by highlighting it and pressing the Delete button. The delete key on your keyboard or the delete icon can also be used. Notice that you highlight and delete each molding section separately even though all moldings of each type are added at the same time.

The major advantage of the Molding Editor is that moldings added using the Molding Editor will automatically resize and move as the cabinet resizes to maintain their position on the cabinet. The disadvantage is that all moldings are oriented horizontally and you can only add three moldings. The second method of adding moldings gets around these disadvantages at the cost of a bit more complexity and you give up the ability to automatically adjust for size changes.

For this second method we will return to the Main page of the Cabinet/Assembly Editor. Before you load the molding section, you might want to move the Insert Target to a convenient location because that is where the molding will be after it’s loaded.

If you right click and select Load Item, you will see a selection called Moldings. Here again, you will need to select a vendor and a specific molding. Once again, both vendor moldings and Thermwood Furniture Network moldings are available for selection and once again you can buy the vendor moldings or make the furniture moldings.

At the bottom you specify the left and right miter as well as the length for the molding piece. The miter is specified in degrees. Note the difference between positive and negative miters. Press OK.

You are now back at the Main page and the molding has been loaded. You can now use the Align tool to position the molding. If you put a miter on the molding you will notice that the align nodes do not show up at the back of the miter. The align nodes occur at the corners of the item frame, an imaginary rectangular box that just contains the molding. These frames exist for every display item and you can make them visible by right clicking and selecting Visibility – Show Item Frames.

A fairly easy way to position the back of the miter on the molding is to use the Align to Zero feature and then press the Align icon again and shift the molding the depth of the miter cut, which for a 45 degree miter is also the width of the molding.

If you need to rotate the molding, single click on it to highlight it and then right click and select Rotate Item. An easy way to determine which direction the molding will rotate is to refer to the axis designator icon which shows the direction of each axis. You can then think of each axis as a pin or axel about which the molding rotates. Try this by moving each axis, one at a time and then returning to zero.

When you move more than one axis it gets a little more complex. Even in a new orientation, the part moves about the axis that existed before we started to rotate the part. Again, experiment with this to become familiar with the movements.

Once we have placed the molding, we commonly need to place additional sections of the same molding. Luckily, this is quite a bit easier.

We will simply copy and paste the existing molding using the standard Windows copy and paste commands. Highlight the molding and then press Ctrl + C to copy the molding to the system clipboard and then press Ctrl + V to paste it over the Insert Target. We now have an exact copy of the original molding.

At this point, a pop-up window should appear that lets you modify this molding. If it doesn’t, highlight the molding, right click and select Edit Molding. Now check Launch on Copy/Paste. Now the window will pop up each time you copy and paste a molding.

Simply reset the parameters and locate the new molding. If you need another molding and you haven’t copied anything since the last molding you only need to press Ctrl + V.

The moldings you add here will show up on either the Cut List or the Buy List depending on whether you need to make them or buy them.

Again, you can place any molding anywhere using this approach but they will not behave properly when the cabinet size changes. Also, remember, if there is more than one cabinet loaded in the workspace, you will need to highlight the cabinet you want the moldings associated with or specifically associate them with the cabinet before saving.

The only real disadvantage to the last two approaches to moldings is that you have a limited number of molding profiles to work with. There is a third approach to moldings that allows any profile but is somewhat more complex and does have some other limitations.

Using this approach, we will actually create our own molding using the Part Editor and then place it on the cabinet. This approach uses the Shape Manager to create a molding tool and then loads a Display Board that is the overall size of the final molding. This Display Board is then taken to the Part Editor and the molding profile cut into it.

You will want to refer to the section on the Shape Manager for detail description of the process of creating a tool, however, the tool we create for a molding is rather odd looking. This undercut tool essentially defines the molding profile although it could not be used as a router tool. In this case we are going to be modeling the molding rather than cutting it on a router or molder so it doesn’t really matter.

A typical molding tool is shown to the right. You will notice that we did not make it symmetrical about the center axis. The entire tool was created in the positive X and Y quadrant of the workspace. This saves time but it also means that you need to apply the tool in the correct cutting direction. If you apply the tool starting on one end of the molding and it doesn’t work, try starting on the other side. Normally, you start the cut at the bottom left edge of the board in the Part Editor. Also, be sure to set the path to Single.

The molding can be taken back to the Main page of the Cabinet Assembly Editor, positioned and used.

At this time, it is not possible to cut a miter on the ends of the part for display in the software. From this, however, it is possible to model the molding shape on a Thermwood CNC router. This offers a great tool for making odd moldings in small quantity with relatively little effort at fairly low cost. This also offers a way to create display moldings for custom jobs provided you can work around the limitations with the miter.


Using the Part Editor

The Part Editor is used to modify any part of a cabinet or a Display Panel, Display Board or Display Cube. Not only can you modify these parts, but for parts made from sheet stock or for profiled edges, the modification is automatically added to the nest diagram and the required CNC program to machine the modified part is generated through the CNC feature. The part is modified by cutting through, pocketing or profiling it.

Modifying a part is typically a two step process. First, geometry is created on the surface of the part and then that geometry is used to cut, pocket or guide a profile tool. It is also possible to use the edge of a part to guide a profile tool but geometry must exist for a through cut or pocket cut.

There are two different ways to create geometry. Simple geometric shapes such as a rectangle, circle and filled arc can be defined and placed on the surface in the Main workspace. Several geometric shapes can be placed on the surface at once and the shapes can overlap. These shapes can then be highlighted and used to cut through or pocket.

External corners and, once cut, inside corners can be modified by filleting or chamfering.

More complex shapes are created in a separate area called Contour. This area is more CAD like and allows the development of more complex shapes and paths. The Contour area either creates open paths to guide a profile tool or it creates a closed shape that can be used to cut through or pocket.

Before we demonstrate actual pieces, let’s take an overview look at the Part Editor.

This area is actually quite simple to use but very powerful. It is essentially a simple CAD system that operates on parts imported from the Cabinet/Assembly Editor.

You start by highlighting a part in the Cabinet/Assembly Editor and pressing the Part Editor icon. This opens the Part Editor with the part in the work area. The part is oriented flat and can be worked on from either side.

A single part of a cabinet is selected in the Cabinet/Assembly Editor by SINGLE clicking on it. It then displays with a cross hatched highlight.

In the Part Editor, text depicting the orientation of the part helps provide orientation. The view can be changed from front to back or side to side by changing the C-Plane located in a control box on the taskbar just above the center of the workspace. There is also an X, Y position readout of the cursor position located next to the C-Plane control.

Although we refer to the Part Editor as a CAD system, it functions a bit differently than a typical CAD system.

In most CAD systems you draw lines and surfaces to define the exterior of a part. Then, if you want to actually make the part, you must define tools and tool paths that will cut the part from a blank. Finally, the size of the required blank is determined.

In the Part Editor, we start with a blank or a basic part and then use defined tools to cut away material to produce the desired final shape. In doing this we are automatically defining the required tools and the cutting processes needed to make the part. This approach makes it possible to quickly and easily machine any part developed in the Part Editor.

The Part Editor basically modifies the part in two ways. The first method uses geometry placed on the surface of the part. The geometry is created by either using one of the geometry tools such as the Rectangle, Circle or Filled Arc or by creating a closed geometric shape using the Contour Mode. This geometry is then selected and its shape cut downward through the part.

It can be cut all the way through the part, creating a hole or cut-out the shape of the geometry. It can also be cut only part of the way through the part, creating a pocket the same shape as the geometry.

The second basic function of the Part Editor is to cut a profile on the edge of the part or along a contour on the part.

To cut a profile, a Tool is required that has the profile you want. This Tool is created in the Shape Manager and saved as a .tol file.

To demonstrate these features, let’s start with a simple cabinet box and modify it to have a curved front, profile top and speaker hole.

Open the Cabinet/Assembly Editor and load the Std. Base Frameless from the Standard Cabinet directory.

We will start by creating the curved top and front. You should perform all function on the cabinet that will require changes in size, joint construction or overlap before modifying parts in the Part Editor. Once parts have been modified, no changes can be made to the cabinet that would require the size of the modified part to change. Should this happen, you will lose all modifications made in the Part Editor since the system does not know how to handle these changes as part size changes.

To prepare for the machining, we need to modify the top of our cabinet.

From the Main page of the Cabinet/Assembly Editor, right click on the cabinet top and select Construction Settings. This opens the Construction Settings area on the page that defines the Top.

Change Placement to Top Flush.

Set the Front Inset to a -4”, Right Inset and Left Inset both to -1”. Press OK.

The top now overhangs the cabinet box. We will return to the top later, but first we will place a speaker hole in the left side.

Highlight the left end by single clicking on it.

Notice that the highlight is a grid pattern on the entire part. This indicates that the individual part is selected. When a cabinet is selected, only the outline of the parts is highlighted. This distinction is important when working with cabinets and individual parts.

Then, click the Part Editor icon.

The part is displayed in the workspace as shown.

Notice the position of the “Top” and “Front” of the part is denoted. From this position information and the knowledge that this is the left end of the cabinet, we can determine that we are facing the surface of the part that is inside the cabinet.

We would like to machine from the outside of the cabinet, so we must change the View.

Change the C-Front View in the control box circled to C-Back View.

Now you will notice that the “Top” and “Back” are shown and that we are looking at the outside surface of the part.

We are going to want to cut a ¼ inch deep square pocket into the side to hold a speaker cover and then cut a circle all the way through the part.

We will start by defining the geometry of the square and circle.

Select the Rectangle Tool icon to enter the Rectangle mode. Note that instructions at the bottom ask you to “Enter the first point X,Y”. At this point you can either position the cursor over the first point and click or you can enter the point manually in the box. If you want to use the cursor, it is almost mandatory that you set the Snap Increment and turn Snap on. Otherwise it is difficult to achieve a precise position.

We will use manual input. Type “6.5,11.5” and press Enter. Positions are entered in absolute coordinates with the X Axis position entered first, followed by a comma and the Y Axis position. The origin or 0,0 point is located at the bottom left corner of the part.

Next, type the end point, “17.5, 22.5” and press Enter. The rectangle is shown in gray.

We will now use this geometry to cut the ¼” deep pocket.

Click on the Select Mode icon from the toolbar. Then click on the rectangle we just created to highlight it.

From the Right Click Menu, select Cut Shape. In the dialog box that appears, put .25” in the Specify Cutting Depth field and press OK.

We can now examine the pocket by selecting the Review Mode icon. In this mode, the part can be rotated and zoomed using the normal controls used for cabinets.

We will now locate a circle over the top of the rectangle. Select the Circle Mode icon to enter the Circle Mode.

A circle is defined by specifying the location of the center and the diameter. Specify the center by typing “12,17” and pressing Enter. Input 10” as the diameter.

Switch to the Select Mode, highlight the circle and from the Right Click Menu select Cut Shape. This time select Cut Through and press OK.

We will next create geometry for the mounting holes in each corner. From the Circle Mode, create four circles each .375” in diameter with centers of:

7.5,12.5

7.5,21.5

16.5,12.5

16.5,21.5

Next, switch to the Select Mode and click on each to highlight them. Again select Cut Shape from the Right Click Menu and cut them through.

We could also have placed the large circle and all four small circles and then cut them all through at the same time. We could have even placed all the geometry on the part first and then selected entities one at a time and cut them. This approach, however, can cause confusion because more than one entity is selected if they overlap at the point you use to select.

Placing all the geometry at once does have the advantage that certain nodes are available for Object Snap, such as the center of a circle or the corners and center of a rectangle. This can make location of geometry easier.

Press Return to return to the Cabinet/Assembly Editor and take the changed part with you.

The result on the cabinet is shown to the left.

We modified the left end by using the geometry tools.

Next, we will modify the top using the Contour Mode to create a closed geometric shape that cannot be developed using the simple geometry tools.

Highlight the top by single clicking on it. Now click on the Part Editor icon.

The Front is toward the left and the Left side is toward the top of the display. This means that we are looking at the top surface of the top, which is what we want. If this was incorrect, we could use the C-Plane control to change the view.

We want to put an arc across the front of the cabinet. To do this we need a closed arc geometry with a concave arc. The Arc mode available from the toolbar is a convex arc so we need to use the Contour mode to create the geometry.

Press the Contour Mode icon.

We will use the Snap functions to create the geometry. Press the Grid Settings icon and set the Grid and Snap each to 1” and make sure they are turned on. The Dotted grid display is probably the easiest for this application.

Place the cursor at the top left corner of the part. Notice that the cursor position is 0”,32”. This dimension will be needed shortly.

Select the Circle/Arc Mode icon, then select Three Point Arc.

Move 3” to the right to 3”,32” and place the first point.

Now move to the left edge and down to 0”,16”. The 16” is half the 32” dimension we noted earlier. Place the second point.

Finally, move to 3”,0” and set the last point. You now have the arc we need.

We must now turn this into a closed geometry so we can use the Cut/Pocket Using Closed Contour function.

Switch to the Line Mode and freehand some lines to close the shape. Their actual position is not important since only the arc will actually be used to cut the part.

Create lines as shown to develop a closed geometry that we can use to cut the front arc.

Now, exit the Contour Mode by selecting the Exit Contour Mode icon from the toolbar.

We now want to cut this shape through the part. Geometry created using the geometry tools (circle, rectangle, etc.) use the Cut/Pocket Using Closed Contour function to cut. Geometry created with the geometry tools use a function called Cut/Pocket Using Geometric Shapes to perform the same function.

The system will try to help you determine which function to use based on your operation.; If you have placed geometry and have highlighted it, it will only offer the Cut/Pocket Using Geometric Shapes and the Cut/Pocket Using Closed Contour will be grayed out. If you have a defined closed contour and no geometry is highlighted it will offer Cut/Pocket Using Closed Contour and will gray out the Cut/Pocket Using Geometric Shapes option.

Now back to our part. From the Right Click Menu, select Extrude Cut. Then, click on any of the lines in the contour. The entire closed contour highlights.

Now press Done to access the cut dialog. Check Cut Through and press OK. The part is cut as shown to the right.

We now want to put a profile on the front and the left and right edges of the part.

Select the Profile Part icon.

Since we are not going to go all the way around the edge but will cut more than one edge, we need to select Partial at the bottom of the display.

The guide at the bottom tells us to “select the first entity”. Click on the bottom (cabinet right) edge. Click near the back which is the right hand side of this edge. The direction around the part that the partial chain will take is determined by the location that you select. If you select the right side of the bottom edge as the starting point, the profile will move away from the corner closest to the point you selected, in this case it will move counterclockwise around the part. If you select the left side of the edge as the starting point, the [image] profile would move to the right and counterclockwise around the part.

At the bottom left starting point you will see the symbol shown. The red line with the dot indicates the starting point of the cut and the direction. The red dot is in the direction of the cut.

Then we need to “Select the last entity” which is the top (cabinet left) edge.

Now press Next to indicate you are finished with the path selection.

Using the dialog, find the path and file name where you saved the profile “Cove5.tol” and select it.

Press View to see the tool profile.

The blue and yellow areas beneath the tool signify the part. We must now set parameters that define how the tool cuts the part.

If you select No Comp/Centerline, the center of the tool will cut along the path.

If you select Comp Left, the tool shifts to the left and the part is represented by the yellow area on the right.

If you select Comp Right, the tool shifts to the right and the part is represented by the blue area to the left.

Next, input the plunge depth and press Apply.

Note that movement downward and into the part is the negative direction and movement upward and away from the part is the positive direction.

The image to the right shows our tool with Left Compensation and plunged -.625” into the part. Our part is represented by the yellow area.

The left or right designation for cutter compensation is determined by standing behind the cutter bit and watching it cut away from you. The direction to the left is left compensation and the direction to the right is right compensation.

The Additional Offset area allows you to offset the tool, left or right, in addition to the offset that occurs from tool radius compensation.

The actual offset caused by tool radius compensation may change at the machine if the diameter of the tool changes. If the machine operator indicates that the diameter of the tool has changed, due to sharpening for example, the system will automatically shift the tool to compensate for the new diameter. This insures that the final part is the correct size.

At this point it is simply a matter of pressing OK.

You now see the part with the profile cut along the edges.

Now press Return and indicate you want to take the changes with you.

The result is the cabinet shown to the right.

The basic techniques shown here will work for sheet material, either a cabinet component or a Display Panel.

Using a Display Panel for a part rather than an actual part of the cabinet has some advantages. When you use an editor, such as the Shelf/Partition Editor or the Face Frame Editor, the entire geometry of the cabinet regenerate as you leave to incorporate the change you made. This regeneration may resize parts as part of the process.

The system cannot resize a part that has been modified by the Part Editor so, if the cabinet regenerates, you lose any modifications you made to any part of the cabinet. There is a warning about this if you try to enter an Editor with modified parts.

This can be avoided by waiting until all adjustments that require editors have been completed and then using the Part Editor to modify parts of the cabinet. A second choice is to make a Display Panel the same size as the cabinet part and replace the cabinet part with it. Then you can modify it without the danger of losing the modifications.

This Display Panel will not resize, however, you can regenerate the cabinet without affecting the Display Panel. If the changes you make to the cabinet requires that the part actually change dimensions, you will need to create a new part of the correct size.

We will next demonstrate some other techniques that can be used to develop different types of parts.

As an example, we will develop a curved door.

To do this we will start with a New screen in the Cabinet/Assembly Editor.

Next, load a Display Cube 4” Wide, 12” long and 30” Deep. Give it a wood texture you like.

Then click on it to highlight it and press the Part Editor icon.

Use the Filled Arc tool to create a filled arc as shown. Switch to the Select tool and highlight the arc.

Right click and select Cut/Pocket Using Geometric Shape. Check Cut Through and press OK.

The result is shown at the right.

We now need to make a parallel cut across the back. We cannot use simple geometry for this and must use the Contour Mode to create a closed shape we can use to make the cut.

Press the Contour Mode icon to enter the Contour Mode.

Use the Three Point Arc and Line tools to develop a shape as shown. Make sure you have Object Snap on during this process because the final shape must be a closed curve with no gaps.

Exit the Contour Mode by pressing the Exit icon.

Right click and select Cut/Pocket Using Closer Contour.

Instructions are now shown at the lower left.

Click on the shape we just created. The path should turn green.

Press Done to open the cut dialog. Check Cut Through and press OK.

Press Return and take the changes back with you.

Here is our door. It has the correct shape but doesn’t look very good. The grain texture is warped and does not look realistic. This is the result of how grain is mapped to parts in the Cabinet/Assembly Editor.

We will fix this by converting our part into a Display Object using the Display Part Editor.

We will Export the part as an HSF, then load it into the Display Part Editor, adjust the grain and appearance and save it. We can then load it back into the Cabinet/Assembly Editor as a Display Object.

Highlight the door by clicking on it.

Then from the File menu at the top left, select Export Selection. This will export whatever is highlighted as an HSF file. Give it a name and directory.

We can now go to the Display Part Editor, load the file and adjust the grain appearance and then save it again. Now its appearance is quite acceptable.

This technique adds a powerful capability to the system. For example, if you wanted glass shelves in a cabinet, you could highlights the shelves, Export them, change them to glass appearance in the Display Part Editor. Then you could load the resulting Display Object back into the Cabinet/Assembly Editor and locate the new glass shelves.

We will now develop a corner post for a cabinet with a V notched out where it meets the cabinet.

Return to the Cabinet/Assembly Editor and press the icon for New and say Yes you do want a new page.

We started in the Shape Manager where we created the shape of the leg we want as shown to the left. This was then made into a tool and saved. See the chapter on the Shape Manager for details on how this is done.

Next, in the Cabinet/Assembly Editor, create a Display Cube 3” W x 3” H x 24” D.

Highlight the part and press the Part Editor icon.

Once in the Part Editor, we will cut the corner notch first.

Use the Rectangle tool to pace a rectangle that extends from the center of our block to the edge as shown. Highlight the rectangle, right click and select Cut/Pocket Using Geometric Shapes. Select Cut Through and press OK.

Now, press the Fillet icon and set the Fillet Radius to 1.5”. Be sure to press Enter to make the dimension active.

Apply the fillet to the remaining three corners. The result is a round post with a corner notch as shown.

Next, we will apply the tool we developed for the leg to the outside of our part.

Press the Define Cut Path icon. Select Partial to indicate that we will not be cutting along a path that is closed.

Next, click on the lower right quadrant of our post to indicate that this is the starting segment of our partial chain. Then click on the upper left quadrant when asked for the end segment.

Press Next to move to the next step.

Select the tool you saved and press OK.

The shape of the tool is cut into the post.

Press Return and take the changes back to the Cabinet/Assembly Editor.

We can see the result to the left. It has the proper shape but again, we need to convert it to a Display Object to get a really good appearance.

Reset to the front view and highlight the part. From the File menu selection at the upper left, select Export Selection. Save the post as an HSF file.

Open the Display Part Editor and adjust the grain image. The most common adjustments are the Texture Scale and Rotate.

Then save the part as an HSF. This can now be loaded into the Cabinet/Assembly Editor or into the Custom Layout. Note that you can also Export from the Custom Layout.

The finished post shown to the right has been given a walnut grain which has been sized and rotated until the appearance shown was achieved.

As you can see from these exercises, the Part Editor is a powerful tool and allows you to produce almost anything.

The thing you don’t see is that most of what you design can be machined using a Thermwood CNC router.

A really powerful feature is the ability to model a profile edge and then machine it without requiring a matching profile cutting tool.

The CNC router is able to do this by developing a modeling program from the data sent to it by the eCabinet Systems software. This is all done inside the Thermwood CNC control.

The modeling program starts with a ball nose cutter. It traces the path of the profile. Then it shifts over slightly and traces the path again. It goes back and forth along the path, shifting over a little each pass until the basic profile is generated. Then, if there are sharp inside corners that the ball nose tool couldn’t reach, it uses a flat bottom tool to trace those. It can also use a pointed liner tool to cut sharp lines if required by the design.

This process is automatic and can be used to generate profiles on straight or curved parts. It can cut moldings like the one shown here. It can cut profiles on the edge of parts such as table tops or raised panels for doors.

The ability to model profiles is part of the initial release of Version 4 and the software you are using right now generates the CNC files needed to do this. Additional capability is planned for future releases.

For example, in this guide we used a highly impractical 24” tall tool to generate turnings and posts. In future versions of the software, a turning capability is planned using the Shape Manager and Part Editor. This will make developing turnings easier but, the primary purpose is to automatically generate files needed to actually machine the turning on a Thermwood CNC router equipped with a rotary playback axis. The rotary playback axis is currently available as a machine option.

The current system can model virtually any molding or edge profile shape. In the near future you will also be able to create and then machine turnings quickly and easily.


Combining Cabinets and Assemblies in a Job

The Cabinet Assembly Editor is used to modify and save cabinet designs. While working in the Cabinet Assembly Editor you can generate certain reports (Cut List, Buy List and Cost Sheet) for one or more cabinets or assemblies that are loaded in the workspace. You can also generate a CNC output file and send it directly to a Thermwood CNC router where the parts can be machined.

If you want to create nest diagrams, part drawings or part labels, if you want to actually purchase items needed for the cabinets or if you want to combine multiple cabinets and assemblies and then run reports, you need to establish a Job.

There are four things you do that will automatically establish a Job. The first is Batch Input. In Batch Input, you simply add cabinets and assemblies to the Job. The Job is automatically established when you place your first item in the batch. At this point you can run reports for the entire Job, generate a CNC output file for the entire Job, run nest diagrams, part drawings and part labels and all purchased items needed for the Job are added to your Shopping Cart.

The second way to establish a Job in the software is through Custom Layout. In the Custom Layout area, you create walls that define one or more rooms, detail those walls, install cabinets and assemblies and create a three-dimensional representation of the finished job installed in the customer’s location. This area also offers tools that allow you to generate rich, photo-realistic images of the final installation. These can be a great help in selling the Job.

A Job is automatically established when you begin creating your first wall in Custom Layout. Once cabinets are installed, you can run reports for the entire job.

As a note, if you have cabinets installed in a Custom Layout and also have cabinets that have been put into the Job through Batch Input, the reports and manufacturing output is for the COMBINATION of both areas. All cabinets and assemblies are included from both Batch Input and Custom Layout.

If you begin making a drawing in the Drawing Editor a Job is also established.

Finally, if you place items in the Shopping Cart you establish a Job.

Once a Job has been created, it can be saved under a Job name. It can then be reloaded and modified if necessary. This Job will have an .esj file extension. Therefore, when you do any of these four things, you can save your work as a Job.


Working with a Custom Layout

The Custom Layout area is used to create a three dimensional representation of the Job you are working on. This is accomplished by creating walls that represent the room or rooms where the job will be installed. Then you detail the walls and floor and install the appropriate cabinets and assemblies. When complete, you can view the layout from virtually any angle, output manufacturing data to help build the job, electronically buy the purchase items needed for the job, generate photo-realistic images of the complete job, estimate the cost and selling price for the job and generate a sales proposal for your customer.

As you can see, this is a powerful area and, as such, can get somewhat involved. We are going to show you the basic operation of the software in this section but we will also show, by example, techniques for using these features. In this area, perhaps more than anywhere else in the software, technique and imagination are important to the final result. We will try to show you basic techniques and build a foundation from which you can become even more creative.

Let’s start with the basic layout of this area. Custom Layout is comprised of four working areas. The Main area is used to rotate, zoom and view the results. In this area you position the layout, hide walls and generally look at your results. The one function that is performed in this area is changing wall and floor textures.

From the Main area you can access a Wall Editor which is used to create walls. This area is also used to modify walls, change ceiling height, cut openings and holes in the walls and generally build the room or rooms where we will install the cabinets.

A Detail Room area is used to install cabinets, assemblies, display objects, lighting and generally create a realistic representation of the layout. Dimensions are precisely controlled in this area to make sure the cabinets and other items actually fit.

The final area of Custom Layout is called Presentation View. In this area we define light intensity and reflectivity of items in the room and generate photo-realistic representations including shadows and reflections.


Setting up Custom Layout

We will start by setting up the Main page of the Custom Layout area.

Press the Custom Layout icon on the tool bar to open the Custom Layout area.

Right click in the center working area to bring up the menu. Select Show/Hide to open the dialog shown.

This dialog allows us to turn off display of certain items, but why would we want to do this?

If you begin working in Custom Layout placing cabinets with complex doors and pulls, you may find computer system response becomes quite slow. Some cabinets and assemblies may have components that are large and complex files. They consume substantial resources to render. When a number of these are in a single scene, even the fastest systems can slow to a crawl.

To address this, we can turn off certain items that render slowly, leaving the Main components, which is all we care about during the initial layout. When we are finished, we can turn these items back on to see the fully rendered final result.

Also note that by default, the Show Lines on cabinets are turned ON in this area. Show Lines are colored lines (set the color in Settings/Preferences by default they are black) that outline edges of a cabinet to make the shape easier to see. If you do not want them you must check the box to hide them.

At the beginning it is recommended that you hide doors, drawer fronts and pulls. These are typically the slowest to render although moldings and some Display Parts can also be slow.


Setting up the Wall Editor Area

When addressing the Wall Editor the first step is to set up the area. Press the Wall Editor button.

The system offers a background grid and a snap function that you can set. The background grid is used to visually locate items. The snap function causes the cursor to move from at fixed intervals rather than moving evenly. This assures you that every point selected is a number of fixed increments from any other point. For example, if you knew that every point on a wall was on even one foot increments, you could set the snap to one foot and the cursor would only access these one foot increments.

You can specify a different increment for the grid then you do the snap. A good starting point is to set the Grid to 12” and set the snap to 2”. These are set to the left.

If the grid is not showing, right click in the working area and select Show Grid and the grid will display.

There are three different displays for the grid. The grid display is selected by right clicking and selecting Grid Type. Then select one of the available types.

Dotted displays a grid that consists of a single dot at each intersection of horizontal and vertical grid lines.

Solid displays the grid as solid vertical and horizontal lines.

Dotted Line shows the same grid using dotted lines instead of solid lines.

Right click and make sure Show Origin is checked as are Snap and Object Snap. You can modify these later when you become more experienced with the software but they are an important aide in the beginning.

Next, set the wall height and width. A good starting point is to set wall height to 96 inches and wall thickness to 4 inches. As a last item, you may want to open the Settings/Preferences area and change Dimension Display to Feet, Inches and Fractions because this is the format in which wall dimensions are normally available. Switching to this format may make interpreting wall dimensions easier.


Creating Walls in the Wall Editor

We are now ready to create walls. All walls are vertical (no slanted walls) and all walls are straight (no curved walls). Walls can be created either perpendicular to or at angles with each other.

Curved walls can be simulated by creating a large Display Cube in the Cabinet Assembly Editor, taking it to the Part Editor and creating a curved wall of the appropriate size. This will then need to be taken to the Display Part Editor to get a reasonable texture. This is a fairly involved process that should probably wait until you are proficient with the software. For now we will focus on straight walls.

If your room is rectangular, this is pretty easy. There is a rectangle tool that allows you to create a rectangular room as a one-step process.

If the room is not rectangular, you will need to create the walls one at a time which is the process we will demonstrate here. We will generate a somewhat complex room to demonstrate the various functions.

Click on the Line Tool icon at the upper left toolbar which we will use to create one wall at a time. We will start our wall at the lower left where the two red lines (X and Y axes) cross. This is the 0,0 position.

The position of the cursor is displayed in the dimension box located under the tool selection buttons. This display shows the X and Y position of the cursor as measured from the 0,0 position. The origin or 0,0 position is designated by the crossing of the two red lines. These red lines are the X and Y Axes.

The X and Y Axes lines can be turned on and off by right clicking and selecting Show Origin from the Right Click Menu. We will leave them on for now.

Move the cursor to the origin and click to anchor one end of the wall line to the origin. At any time before completing the wall, you can press the Esc key and abandon the effort.

Now move the cursor upward until you have a wall line that is 12 feet long. Click to anchor the other end.

This line will be used to develop a wall once all the wall lines have been placed. Notice that there is a red arrowhead located in the center of the wall line. This tells you which direction the wall will be built. In this case, the wall will be built from the line to the left.

In this example, the walls will be built outward from the wall lines. Therefore, the wall line dimensions represent the INSIDE dimensions of the room.

In this example, the walls will be built inward from the wall lines. Therefore, the wall line dimensions represent the OUTSIDE dimensions of the room and the inside dimension will be reduced by the thickness of the walls.

You can change the build direction on any wall line by switching to the Select/Move Mode (the far left icon at the top with the arrow symbol) and highlighting the wall or walls you want to change. Then, right click and select Reverse Build Direction.

In addition to specifying the direction in which the wall is built, the red arrowhead also indicates the front active side of the wall. There is a default wall texture (which you can set) that is automatically placed on one side of a wall when it is created. The side of the wall line on which the red arrowhead is located will be given the wall texture and is considered the Front side.

You can work on both sides of the wall and you can add a texture to the back side, if needed.

After a wall has been placed, it can be deleted by highlighting it and pressing the Delete key.

Now, let’s create a room.

From 0,0 we created a 12 foot wall upward. To create this wall, we simply used the mouse and watched the position display.

When it read 12’ on Y and 0 on X, we clicked.

The next wall is 13’6” to the right.

This time we click on the end of the last wall and instead of using the mouse, we enter 13’6” in the dimension box for the X Axis and enter 12’ in the dimension box for the Y Axis. This is the absolute position of the end of the second wall, 13’6” on the X Axis and 12’ on the Y Axis.

You can change focus to the input box so you can enter the number by either moving the mouse and clicking in it (which also moves the wall until you input the numbers) or you can press the Tab key and type the number.

Pressing Tab again moves to the next box, pressing Shift and Tab moves back.

This defines the end of the second wall, which is at an absolute position of 13’6” on the X Axis and 12’ on the Y Axis.

Press Enter and the wall line is created.

We now want a 30” long wall straight down.

This time we will use yet another approach. Change the mode from Absolute ABS to Incremental INC. In the Absolute mode we define a point by specifying its location with respect to the 0,0 origin. In the Incremental mode, we define a wall by defining a start point and then defining how far, from the start point, the end of the wall is on each axis.

Define the start point of this wall by clicking on the end of the last wall. Press the Tab key to activate the input box.

The dimensions we now enter in the X and Y boxes are the incremental distances from the beginning of the line rather than from the origin. In this case, we put a zero in the X Axis box, since there will be no movement along the X Axis. We put -30” in the Y Axis box, since we want to move 30” and we want to move in the minus direction. For the Y Axis, plus is in the upward direction and minus is downward.

Press Enter and the wall line is created.

Next we want a 4’ wall line to the right. We will use yet another approach here.

Under the X and Y input boxes are two boxes labeled Dimension/Angle. These boxes display the distance and angle from the beginning of a wall line to the end of the wall line. In this case we click on the end of the last wall to establish a starting point. Then we enter 4’ as the distance and 0 degrees as the angle.

Angles in the software follow a convention used by many popular CAD systems. Zero degrees is to the right and angles are measured counterclockwise. 90 degrees is straight up, 180 degrees is to the left and 270 degrees is straight down.

After we input the numbers, press Enter.

The 4’ wall line to the right is created.

There is another way to use this feature that may be a bit quicker. Click on the start point, pull a wall in the direction you want and click to create a wall. Don’t worry about the length at this point.

When you click, the length box is highlighted. Type the length you want for the wall and press Enter. You now have a wall of the proper length in the proper direction.

Using this approach, the direction is supplied by the direction that the mouse is moved and the length is manually input.

Make sure Angle Snap is checked (right click and check it) before you use this technique to make establishing the angle with the mouse easy.

We will now use the mouse to pull a line down to the X Axis and create a vertical wall line and then we will close the room by connecting the end of the last wall to the beginning of the first wall, located at the origin.

The result is the wall line layout shown to the left.


Adjusting Walls in the Wall Editor

After the room has been created, any wall or walls can be adjusted or modified.

If you examine the toolbar at the upper left you will see a series of icons. The ones to the right are geometry tools we will work with shortly. The arrow at the far left puts the software into a mode we call the Select/Move Mode, probably because this is how we select and move things. To adjust an existing wall line, switch to the Select/Move Mode by pressing the Select/Move Mode icon (the arrow). You can also press F2.

Now, click on those items you want to modify. An item turns red when it is free to move. If the item is black, it is anchored and cannot move. This is important. Red moves, black doesn’t. Although these instructions sound simple, you need to understand their application to get the results you want.

A wall line is made up of three elements, two end points and a connecting line. To move anything, you must release everything you want to move.

For the example shown, the left end of the top line and the top line itself are both selected and are red. The top of the left line is also selected but the left line itself has not been selected.

The left line will not change because the line itself is still anchored.

To move the left end, hold the Shift key, click and move the point using the right mouse button. Here you see the movement that occurs with the selections made above.

When we try to move the left end, the top line will pivot around the right end since the right end is still anchored.

Here we highlighted the upper left end and both the top line and the left line. Both lines will pivot around their fixed ends and follow the released end.

Here you can see that when we move the end point, both lines follow the point since both were highlighted and freed to move.

Next, we highlight the top line and both ends. This also highlights the top end points of the connecting lines to the left and right, however those lines will not move since the lines themselves are not highlighted.

In this case, the top line is fee to move since the line and both ends have been highlighted. The lines it was connected to do not move since only the ends and not the lines themselves where highlighted.

Now, in addition to the top line and ends, we have also highlighted the two vertical connecting lines.

In this case, the top line as well as both connecting line move. You may want to spend some time experimenting to become familiar with the operation of this area.


Changing Ceiling Height or Slope of a Wall

There are several other features for modifying a wall. We will use the left wall in the room we just created to demonstrate these features.

Change to the Select/Move Mode and highlight the left wall by left clicking on it. Now right click and select Edit Wall.

You are presented with an elevation view of the wall. The two upper corners of the wall have handles that can be highlighted and moved. This adjusts the top edge of the wall.

To demonstrate, we highlight the upper left corner of the wall. Now, we can move it up and down using the mouse, or, we can input the new height for this side of the wall in the box labeled Enter Left Wall Height.

When the wall is first rendered, a display of the height of the center of the wall is also presented, in this case 9’.

If we now highlight the right corner of the wall, the entire top edge of the wall can be moved up and down without changing its angle. In this case, we specify the height of the center of the wall and the input box title has changed to Enter Center Wall Height. The top edge of the wall can also be moved up and down using the mouse.

To create a wall that has a center peak and slopes down on both ends, we break the wall into two walls aligned in a straight line and then slope the top of each in different direction.

To demonstrate, let’s take both ends of our wall back to 8’ and return to the Overhead View.

To return to the Overhead View you can either right click and select Show Overhead or press the Return button at the lower left in the control column.

Highlight the left wall and press Delete.

The wall we just deleted was 12’ long so we will replace it with two walls, each 6’ long.

Change to the Line Tool and create two walls, each 6’ long as shown.

Now take each to the elevation view and adjust the right end of the bottom wall up and the left end of the top wall.

When the room is rendered, the two walls appear to be a single wall with a peaked center.


Cutting Holes or Adding Sections to a Wall

We can modify a wall by cutting holes in it or adding sections to it. These functions are done using geometry tools. These tools create shapes or geometry on the wall. This geometry is then highlighted and either cut from or added to the wall.

To demonstrate we will return to an elevation view of our wall, select the Rectangle Tool and place two rectangles on the wall, one for a door and one for a window.

There are several ways to define the rectangle.

You can use the input boxes, defining the X and Y position of the starting point and the X and Y position of the ending point of the rectangle. The lower left corner of the wall is always the origin or the 0,0 position. Plus X measurements are to the right of the origin and plus Y measurements are above the origin.

Another approach is to locate the first point using the absolute position and then switch to incremental Inc and input the X and Y size of the rectangle. Absolute position is measured from the origin or 0,0 point, the lower left corner of the wall. Incremental position is measured from the last point, not from the origin. In this case you will locate the lower left corner of the rectangle as measured from the origin. You will then input the measurement from this point to the top right corner of the rectangle. The second set of measurements is actually the size of the rectangle.

Finally, you could turn the Snap function on and use the mouse to manually define the rectangle.

It is also possible to create circle geometry. To do this we switch to the Circle Tool and place a circle on the wall.

The first point defined when placing a circle is the center. We can use any of the methods described above to define this point.

Then, the diameter is defined, either using the mouse or entering it in the Diameter box.

The final tool available is the Arc Tool. This tool creates a closed arc, that is, an arc with a straight line connecting the end points of the arc.

To demonstrate we will put an arched top on our wall. We will start at the upper left corner of the wall, clicking to define the first point.

The arc requires three points.

The first is the starting point.

The second is a point anywhere on the arc between the starting point and the end point.

The last point is the end.

For our second point, we will move to the center of the wall and place a point two feet higher than the wall.

For our last point, we will use the other end of the wall.

This is what our wall looks like after the geometry we just described has been added.

Once added, the geometry can be moved although its shape cannot be changed. To move it, switch to the Select/Move Mode and double click on a geometric shape. It turns red.

It can now be moved either using the mouse, or it can be incrementally moved by entering an X and Y incremental distance and the pressing Enter.

The geometry will move that distance each time Enter is pressed.

Next, we will cut out the door, window and circle.

While in the Select/Move Mode, highlight the three geometries as shown.

Right click and select Cut From Wall. The geometry is cut from the wall. If the geometry extends off the wall, an open cut occurs. Geometric shapes can also be placed over or touching each other. In this case, the outside perimeter of the entire area that is highlighted red is cut through.

Now, let’s show how to add a section to a wall. In this case we will add the arch we created earlier to the top of the wall.

Highlight the arc geometry, right click and select Add to Wall.

The final result is a wall with an arched top and geometry cut from the wall.

At any time, when working with the wall, if the display does not appear correct, for example, holes partially filled in, it is likely that you have the Level of Detail set too low.

Simply press the Enhance View button and the display should correct itself.

The ability to cut holes in the wall can be combined with other features in the Detail Room area to offer a more realistic presentation.

To demonstrate we will cut a door opening in this wall and add a door frame.

From an overhead view of the room, bring up a wall elevation of the short horizontal wall at the top right.

Next, create a rectangle on this wall for the door opening. Here we specified a door opening 3’ wide and 83” high.

We now cut this geometry from the wall and press Return to return to the Overhead View. We are now ready to address the next major area in Custom Layout, the Detail Room Area. We will continue this example in that area.


Detailing a Room in Custom Layout

The Detail Room area is used to add details to our room. This is done through four primary functions, placing and changing texture on the walls and floor, installing doors and windows on walls, installing cabinets and assemblies and loading and placing miscellaneous objects and items.


Setting up Detail Room Area

We start with the grid. The system offers a background grid that you can set and that can help when placing items on walls or in the room. You can set the increment for the grid. A good starting point is to set the Grid to 12”. The distance between lines on the grid is set to the left.

If the grid is not showing, right click in the working area and select Show Grid and the grid will display.

There are three different displays for the grid. The grid display you want is selected by right clicking and selecting Grid Type, then select one of the available types.

Dotted displays a grid that consists of a single dot at each intersection of horizontal and vertical grid lines. Solid displays the grid as solid vertical and horizontal lines and Dotted Line shows the same grid using dotted lines instead of solid lines.

The next area is setting move increments. There are two move increment settings, one for objects and one for pan.

When working in this area you can move things in fixed increments using the arrow keys. The distance the item moves for each keystrokes is the Move Increment for objects. This is adjusted by right clicking and selecting Move Increment, then select Objects.

You can also pan the entire display by an incremental distance. This is especially important when you have zoomed in on an area and need to move over a bit. The distance the display moves each key stroke is called the Move Increment for pan. This is adjusted by right clicking and selecting Move Increment, then select Pan.

We have already set up the Show/Hide dialog when we set up the Main page but you might want to revisit the settings when you begin working in this area.


Placing Door and Window Images on a Wall

The software supports the ability to quickly place images of doors, door frames, windows and window frames on a wall. It also allows an image to be placed in a window to simulate viewing an outside scene. There are more realistic ways of doing this but they are more involved. This approach is quick and rather easy and works well for many applications. We will cover the more detail approach later.

From the Overhead View in the Detail Room area, right click on a wall and select Show Wall Elevation. An elevation view of the wall is displayed.

Now under Select Item to Install, select Door.

You are now presented with a dialog where you can define the door you wish to place.

In the Define Door dialog, you set the Width and Height of the door as well as selecting a texture for both the door and the trim around the door. Notice that you can apply either the door or the trim or both. These door images are placed directly on the wall but you can set the checkbox so the image appears on both sides of the wall.

Experiment placing doors on the wall to get a feel for the process.

In the last section we cut a hole in our room for a door as the start of an example of a realistic door presentation. It is possible to use the trim around a door to trim out this opening and then add a Display Panel to simulate an open door creating a realistic appearance.

To do this, from an overhead view of the room, bring up a wall elevation of the short horizontal wall at the top right. We have already cut an opening into this wall. Under Select Item to Install, select Door. Set the size to 36” by 83”, which was the size of the opening we cut in the wall. Select a dark image for the door trim.

Check Show Trim but uncheck Show Door. This will place the door trim but not the door itself.

Finally, check Apply to Both Sides and press OK.

Locate the door trim over the opening and click it in place.

Press return to the overhead view by pressing the Return button.

We now have a realistic door opening with a dark door frame.

It is shown here with the addition of a Display Panel used to simulate the door itself.

We will cover Display Panels later. You could also create a detailed 3D Display Object of a door and use that.

Now let’s look at handling windows.

Windows work much like doors. To demonstrate, we will create two windows in the long horizontal wall across the top or our room.

The first will be placed in the conventional manner. For the second we will cut a hole in the wall and place it in a manner similar to the way we just placed the door.

Start by cutting a 24” by 53” hole in the wall in the Create Wall area.

Then go to Detail Room, right click on the wall and select Show Wall Elevation.

From Select Items to Place, choose Window.

We will address the open hole first.

Set the width and height (24” X 53”) and set 2 vertical and 4 horizontal mullions.

Uncheck both Apply to Both Sides and Apply Image under the Outside Image display.

Press OK.

Place the window frame over the hole and click it in place.

Now, from Select Item to Install select Window again.

We want to place the frame on the outside of the wall, however, we do not want the mullions on this frame. Mullions on both sides of the wall doesn’t look right.

Again input the size, but this time set the Number of Vertical and Number of Horizontal to zero.

Make sure Apply to Both Sides of Wall and Apply Image are both unchecked.

Press OK.

Now right click on the wall and select Show Back.

This is the back or outside of the wall.

Locate and place the window frame.

Press Return to return to the Overhead View and then press Done.

The result is a fairly realistic mullion window.

This creates a fairly realistic window but is somewhat involved.

There is a simpler approach that may be satisfactory for many applications.

Go back to the Detail Room area and select Window from the Select Item to Place list.

This time, add the mullions but also check Apply Image in the Outside Image area.

Note that you can take actual images of the outside and substitute them for the image presented here.

The result is a fairly good looking window, however, the perspective of the outside scene through the window is not correct except from a single elevation and the scene doesn’t move as you move and rotate the room as it would in a real room.

It is possible to create more realistic appearance, especially when moving the scene around, by placing a copy of the outside scene on a large wall located a distance from the room. This is the approach used in Hollywood to create the illusion of outdoors. As you move around, the outdoor scene moves in the window, just like it would in real life.

For presentations to customers, it might be possible to take digital photos of their actual outside environment and place these on walls surrounding the room to offer an impressive and realistic presentation.

Windows applied in this manner are simply an image and are not three-dimensional objects. If you plan to use the Presentation View, which we will cover shortly, you may want sunlight coming through the window. In this case, you also want window muttons and mullions to shadow for a truly realistic presentation. To do this, you need to place the window using a different approach.

Instead of using the Window selection from Select Items to Place, select Item and then select Doors/Drawers. Press Define Door and select a Conestoga – Frame Only – Mullion Door. Set the mullion pattern for the window you want and save the door. Then Place the door in the room inside the rectangular opening in the wall.

Now, when you shine a light through the window the mullions will shadow properly.

There is another use for the Window function that can be quick with dramatic results and that is creating hanging pictures or paintings.

Create a window the same size as the painting, select an image of the painting as the Outside Image and position the result. The window now looks like a painting not a window.

As you can see, stunning results can be obtained with very little effort. There are thousands of art images available on the Internet and placing them in a room is very quick and easy using this technique.

In the room shown, we also added some lighting fixtures and applied a wood plank floor and decorative rug. We will show you how to do these things shortly.

All these decorative touches are actually both practical and useful because anything that enhances your presentation to your clients can help you compete and sell.


Changing Wall and Floor Texture

Wall and floor textures are specified and changed in the Main area. It is the only actual design function that is performed from this area.

We establish default textures in the Custom Layout Parameters area reached by pressing the Custom Layout Parameter button to the left.

These remain the default textures for this Job until they are specifically changed.

These define the texture that is used whenever a new wall is added. It is also defines the texture initially placed on the floor.

Changing the default texture of the floor changes the floor.

Changing the default texture for the walls, however, does not change existing walls but only specifies the texture to be used on new walls.

You can change the texture on an existing wall and/or the floor, by right clicking and selecting Floor/Wall Texture.

The Change Texture selection brings up the Change Texture dialog.

Click Image to select a new texture from those available in the system.

There are three ways that this texture can be applied to a wall.

Auto Tile has the system automatically determine how many rows and columns of the image should be placed on the wall. This uses the same functions used to apply wallpaper.

You can also select Stretch which stretches a single copy of the image over the wall. This is a very useful function which we will examine more carefully later.

Finally, you can specify Manual Tile where you specifically establish how many copies of the image are placed on the wall both vertically and horizontally.

We will start with the image shown and use Auto Tile.

If you hold the Ctrl key, the cursor turns into a paint roller. Now, any wall you click on changes to the selected image.

If you click on the floor it will also change to this image.

Now, let’s switch to Manual Tile and specify 4 columns and 2 rows.

Hold the Ctrl key and click on the wall again. Although it looks a little strange, here is the result of our manual tile.

To demonstrate the Stretch selection, we will change the image.

Click Image.

From the Image dialog press the Add Image button.

We will add a new image to those available in the system. In this case we will use an existing image however, you could import your own image using this same technique.

From the available files, go to the ecabinets directory and select outside.jpg.

Images must be in the jpg format. Press Open.

In the dialog, type a new directory called MyImages and save the file in that directory.

Then page down to MyImages and select the image we just loaded.

Press OK.

Now select Stretch, hold the Ctrl key and click on the outside wall.

A single copy of the image is stretched over the wall.

This technique can be useful in trying to duplicate existing walls for remodeling projects.

Shown here is a photo of a fireplace stretched over a wall.

This technique creates a rich visual effect that cannot be duplicated with strictly computer generated images.

This image was shot with a digital camera.

The original image was 1600 by 1200 pixels. This is too large for easy use so we used the Image Control (IrfanView) program incorporated in eCabinet Systems to Resize/Resample the image.

We set the new size as 20% of the original being careful to check Preserve Aspect Ratio.

Then, we cropped the image, also using the Image Control software, to include just the fireplace.

We then loaded the fireplace image in the same manner as the outside image earlier.

Images used in this manner can be prepared by almost any imaging software but must be in the jpg format and, as a general rule you should try to keep them under 1,000 pixels in each direction. You should also try to keep the aspect ratio of the image about the same as the aspect ratio of the wall it will be stretched over to keep from noticeably stretching it.

This same technique works for the floor.

You can stretch an image on the floor in the same manner as the walls by simply holding the Ctrl key and clicking on the floor instead of the walls.

This capability is especially important when trying to reproduce plank flooring.

There are several full size room floor images in a directory called Floor Images.

These are intended for a room 12 to 15 foot square but tend to provide acceptable results for residential rooms up to about 30’ long. Files are available for floors running left to right.

These same images have been turned 90 degrees to provide for floors that run front to back.

The fireplace shown previously displayed the fireplace and hearth as a single 2D image.

It is also possible to make the hearth a Display Cube, using an image of the actual hearth bricks.

This results in an even better presentation as seen here. This is especially noticeable when the room is rotated and moved or displayed in Presentation View..

We demonstrate the use of Display Cubes in the section titled “Working with Display Cubes”.


Adding Cabinets and Items to a Custom Layout

Adding cabinets to a room can be a bit confusing unless you know and understand how to use the available tools.

Items are placed in the layout in the Detail Room area reached by pressing the Detail Room button. In this area there are two “views”, an Overhead View and an Elevation View of a single wall. One of the things that can make this confusing is that certain items can be placed in the room from either the Overhead or Elevation view and others can only be placed from the Elevation View.

If you look to the upper left of the display in the Detail Room area you will see an area titled Items to Install. It contains a list of everything you can install in the room.

The first entry on this list is Item. If you select this you will see another list of various items starting with Cabinets. This entire list of items can be installed from either the overhead or the elevation view.

Under Items to Install, everything except the first selection (Item) can only be installed from the elevation view.

Let’s skip over Item and look at the remainder of the list then we will return and look at the various items that can be installed.

We discuss the Door and Window selections in the section titled “Placing Door and Window Images on a Wall”.

The next two, Water Pipe and Water Drain plus Cut Out and Vent are all utilities that are placed on a wall.

Early versions of the software envisioned these as utilities that the user could accurately place on walls, and then when the cabinets were placed in the room, the system could automatically add holes to the back of cabinets, or, shift the back of the cabinet forward to provide clearance for these utilities.

The ability to add the utilities to the wall remains, but the ability to automatically add clearance holes has not yet been developed.

Although the full functionality of these items is not complete, they are still a useful tool when laying out a room.

The pipes and drains display as copper colored pipes that stick straight out from the wall.

When you place a cabinet over these, the pipe sticks through the back of the cabinet. If you hide the doors, you can see the pipes inside the cabinet.

This can be quite useful when placing cabinets.

In the example shown, one pipe protrudes through the right side of the cabinet and another interferes with a shelf.

If you know about these problems before your layout is complete you may be able to shift the cabinet and/or move the shelf to avoid these kinds of problems during actual installation.

Of course, for this to be a truly useful tool, the walls and pipe locations must be accurately developed using precise measurements.

Available utilities include a Generic Cutout which is rectangular, a Vent, Water Pipe and Water Drain, which are all circular.

The size of each of these is established by right clicking and selecting Sizable Utility Properties.

From the dialog you can select the item you wish to size.

Note that there are two dimensions for Vent, Water Pipe and Water Drain, Cutout Diameter and Pipe Diameter.

This goes back to the original purpose of these tools which was to actually place holes in the cabinet parts to provide utility clearance.

The Pipe Diameter is the size of the actual pipe or vent.

The Cutout Diameter is the size of the hole you want to clear the pipe or vent.

The pipe is the only part that extends away from the wall. If you do not place a cabinet over it, the actual Cutout Diameter can also be seen drawn on the wall around the pipe.

This is one of those areas open for future enhancement should eCabinet Systems Members indicate that it is something they are interested in.

The Light Switch and Electrical Outlet are both for display purposes, although the Light Switch does have one function that can be used, sometimes to great amusement, during presentations. Later in the Items area we will talk about placing lights in the room. If lights are placed in the room, they can be turned on and off and one way of turning the lights on and off is by clicking on a light switch.

The final selection for placement on the elevation view of a wall is called Snap Marker.

This is also a carryover from earlier versions but can prove useful in some circumstances.

The Snap Marker is simply a marker, somewhat like a pencil mark on a wall used to locate cabinets during placement. For example, if you want a cabinet in a specific location, you can place a snap marker in that location and then use it to accurately locate the cabinet. It is called a Snap Marker because the cabinet (provided you are in one of the snap modes) will snap to the marker for placement. Once you snap a cabinet onto a Snap Marker and place the cabinet, the Snap Marker disappears.

When working with Snap Markers it appears that the marker has thickness, in its actual use it is a two dimensional plane with zero thickness.

If you set a Snap Marker at two feet and butt the edge of a cabinet against it, the edge of the cabinet will be located precisely at two feet.

Now, we will move to installing cabinets, appliances and other items. As we said, these can be installed from either the Overhead or the Elevation View. We will start with the Overhead View.

Loading the cabinet is easy, however, it is initially a wireframe image that moves around with the mouse. This wireframe is moved into position and when you click the cabinet is placed. There are several modes used to place the cabinet in position.

Basically the mode tells the system how to align the cabinet with adjoining cabinets. You move the cabinet close to where you want it and it snaps into place. This also keeps you from installing one cabinet meshed with another. That is, except for the Freestyle Mode which does let you mesh cabinets together and yes, there are reasons you might want to do this.

When cabinets are placed in a room, they are positioned at a specific height above the floor and then can be moved around the room at this height. Base cabinets are installed on the floor, detached toe cabinets are installed at the height of the detached toe base and upper cabinets are installed at a specified height above the floor.

This default mounting height is on the floor for base cabinets, is set in Settings Preferences - Standard Dimensions for the upper cabinet and is set in the Cabinet/Assembly Editor - Construction Settings – Toe Kick for a detached toe cabinet.

If these aren’t acceptable, when you load a cabinet you can specify a mounting height by pressing the Change Size button. Once installed, mounting height can still be moved up or down should that be necessary.

Although we are working in the Overhead View, we can tilt the room front to back by using the PageUp and PageDn keys on the keyboard. This isn’t quite as flexible as the Main page where the room can be both tilted and rotated but you will find this to be a useful tool when trying to precisely fit things together in three dimensions.

Note that items still move parallel to the floor, even when the room is tilted.

You can return the tilted room to the Overhead View by pressing the Home key.

Now, let’s explore installing cabinets.

Select Item from the Select Items to Install list, check Cabinets and select a directory and cabinet to load. Note that you should click on the picture of the cabinet itself to select it and not the checkbox. The checkbox is used to identify cabinets that you want to delete. There is a Delete Checked Items button at the bottom of the dialog.

When you select a cabinet a blue bar appears and the size of the cabinet is displayed at the lower left.

This can be changed by clicking Change Size.

In addition to allowing us to change the size of the cabinet we can also change the height at which the cabinet is initially placed in the room.

If you have not developed your own library of cabinets yet, you can practice with the Framed cabinets in the Standard Cabinets directory. These are complete cabinets with slab doors.

Press OK and we have a wireframe of the cabinet.

As we move the mouse around, the wireframe follows. The way it acts in relation to other cabinets and the walls depends, however, on the Insert Item Method that is currently active.

Right click and select Insert Item Method.

The software supports four insert methods.

The first three Insert Item Methods all depict how a cabinet will react to other cabinets in the room.

- Align to Back aligns the new cabinet to the back of any existing cabinet it touches.

- Align to Front aligns the fronts.

- Align to Center aligns the centers.

These are all essentially the same if the cabinets are the same depth and only come into play if the two cabinets are different depth.

The fourth Insert Item Method, Free Style means you can put the cabinet anyplace you like regardless of what else might be in the way. The cabinet can be placed halfway through the wall or meshed with another cabinet. You are free to place it anyplace you want, hence the name Free Style.

There are actually practical reasons why you might want to mesh a cabinet with a wall or another cabinet.

For example, some cabinetmakers add a scribe to the outside of cabinet face frames which they trim during installation to precisely fit. The mesh ability allows you to design the cabinet box with the scribe and then mesh the portion that will be trimmed away into the wall.

As you work in this area you will soon see that measurements and fits are quite accurate.

If you create the room accurately, and build your cabinets accurately, the cabinets can be fit to a tolerance impossible to measure with a ruler.

Let’s look at the behavior of the cabinet and the room when working in the Detail Room area.

The cabinet symbol will be the size of the actual cabinet as you move it around.

The background grid in this area works much like it does in other area we have covered.

The cabinet symbol has a V in the center that points to the front of the cabinet as shown.

The basic orientation of the cabinet changes as the cabinet comes in contact with wall or other cabinets.

When it contacts a wall, it turns its back to the wall and aligns with the wall.

It does the same thing when it contacts another cabinet.

If you are not in the Free Style mode, it snaps into alignment with other cabinets when it touches them.

Here we are working in the Free Style mode. You see a cabinet meshed with another cabinet and a wall. It has turned so that its front points away from the wall but is meshed with the wall.

If you continue to push it through the wall, it will reverse orientation when it reaches the other side so that it can be place on the other side.

Cabinets can be placed on both sides of a wall.

The red line you see on the wall indicates the position of the initial Wall Lines you developed in the Create Wall area. This is also defined as the front side of the wall.

If you are in the Free Style mode, the cabinet will move smoothly through the wall, changing orientation about halfway through.

If you are in any of the other modes, it will stop at the wall as you move and then snap to the other side of the wall if you keep moving the mouse.

There are two modes when working in Detail Room, Select/Move Mode and Insert Mode.

Insert Mode is used to initially load and position cabinets and assemblies. The Select/Move Mode is used to select cabinets or items for any reason or to select and move these items after they have been initially placed.

The mode is selected using the icons at the upper left as shown.

They can also be selected by right clicking and selecting from the menu or they can be toggled using the F2 key.

The system automatically switches to the Insert mode when you select an item to install.

If you want to select an item after installation for any reason, you must switch to the Select/Move mode.

If you are in the Select/Move Mode and pause the cursor over an installed cabinet, information about that cabinet is shown in an area to the left of the display.

Under this display information is another display showing the current Move Increment, Pan Increment and the active Insert Item Method.

This might be a good time to talk about cabinet numbers.

Each cabinet is given a number when placed in a room.

Cabinet numbers become important as the layout grows and reports are generated.

Cabinets are numbered consecutively as they are placed in the layout. The first cabinet is number one, the second number two, etc.

When a cabinet is deleted from the layout, all other cabinets with higher numbers are renumbered so that there is a complete, unbroken list of cabinet numbers.

This can be important if you run interim reports such, as Cut Lists, that rely on cabinet numbers. It is possible to run and print a report and then delete a cabinet and change the cabinet number of many of the cabinets in the report, making the report inaccurate.

Also, cabinet can be entered into the job in the Batch Cabinets area. Cabinets entered in Batch Cabinets are not numbered in the same sequence as those entered in Custom Layout.

Now back to installing cabinets. As we have already said, the cabinet will rotate to match a wall or other cabinets when installing it.

There are times, however, when you might want a cabinet at a specific angle and not necessarily have it match the wall or other cabinet.

This is accomplished using the Modify Angle function.

Right click and select Modify Angle to bring up the dialog shown.

Use this to rotate the cabinet to any angle.

You can also Lock the angle.

If you do not Lock the angle, it will maintain the angle you selected until it touches something else at which time it will take on the angle of the item it touched.

These characteristics can make developing an angled island or peninsula relatively easy.

Specify and lock an angle for one cabinet and install it.

Then, as other cabinets touch it, they automatically take on the correct angle.

Once it has been placed in the room, other functions allow you to further adjust the angle.

Switch to the Select/Move mode and highlight a cabinet.

Right click and select Edit Object and then Rotate Object.

The dialog shown will appear.

Until now we have been rotating the cabinet around the Z Axis, as you might rotate it on the floor.

This dialog also allows you to also rotate the cabinet around the X and Y Axes. The cabinet could be laid on its side or back or turned upside down and hung from the ceiling.

This can actually be quite useful and becomes mandatory as the software begins to be used for designing items beyond cabinets.

Another capability is the ability to rotate more than one item at a time.

You can highlight two or more cabinets, all the cabinets in an island for example, and then rotate them about their combined center.

When more than one cabinet is highlighted, rotation is again restricted to rotation about the Z Axis.

This function is automatically used when you select Modify Angle from the Right Click Menu and more than one cabinet is highlighted.

If a single cabinet is highlighted full 3D rotation is available.

The final point we want to make about installing cabinets is the mounting height of cabinets.

When a cabinet is designated as Upper, it is automatically installed a fixed distance above the floor.

This distance is specified in the Standard Dimensions area of Setting/Preferences.

This area also specifies other parameters about how cabinets are placed with respect to walls, appliances or other cabinets.

You can get to Standard Dimensions by either going to Settings/Preferences and selecting the Standard Dimension button, or there is a direct link to Standard Dimensions from the Right Click Menu.

You might want to go through the various settings to become familiar with the areas that are controlled from here.

Regardless of the upper cabinet mounting height set in Standard Dimensions you can change this using the Define Size dialog when you are installing a cabinet.

You can also adjust the height after the cabinet has been placed.

Cabinets can also be installed from the Elevation View. The Elevation View is essentially a face on view of a single wall.

To work in the Elevation View, you must understand the concept of Associations. In essence, each wall has certain items that are “Associated” with it. When you look at an Elevation View of a wall, the wall and all items that are associated with it are shown, regardless of their location in the room. Anything not associated with the wall is not shown.

So how are things “Associated” to a wall?

Anything placed from an Elevation View of a wall is automatically associated to that wall. Also, cabinets placed in the Overhead View that are located against a wall are generally associated to that wall.

We say “generally” because sometimes if the cabinet is not exactly against the wall the system may not associate it. Corner cabinets, placed tightly in a corner are associated with both walls it touches.

The final way to associate or disassociate items to a wall is by highlighting the item, then right clicking on the wall and selecting Associate to Wall or Disassociate From Wall from the menu selections.

You might also note that items can be associated with either one or two different walls.

Some functions available from the overhead view are not available in the elevation view. Duplicate Left, Duplicate Right and Auto Fill will not work in the elevation view because they must detect adjacent walls which are not present in the elevation view.

To get an elevation view of a wall, from Detail Room place the cursor on the wall and press the right mouse button. From the menu select Show Wall Elevation.

From Select Items to Install select Item, then select a directory and a base cabinet. Click OK.

From the Elevation View, cabinets are automatically placed against the wall. You will note that they can be moved left to right, in fact, they can be moved right off the wall.

In the Elevation View, there is nothing to stop the cabinets at either end of the wall. In the Overhead View, we have the adjoining walls for location. These are not available in the Elevation View of a single wall.

In this case, you have three choices.

You can simply eyeball the placement getting it as close as possible visually.

If you need precise location, you can use Snap Markers.

From the Select Items to Install select Snap Marker.

Install a snap marker on the left end by roughly positioning it and clicking

Make sure you set the height of the marker above the floor so that the cabinet will contact it. Unless a cabinet actually touches a Snap Marker it cannot be used to locate it.

Don’t worry about getting the position exactly perfect right now, just place it close to the left end of the wall.

Now, switch to the Select/Move Mode.

Highlight the Snap Marker by double clicking on it.

Now set the distance in the left dimension box to zero and press Enter.

You have now positioned the Snap Marker precisely at the edge of the wall. Press Esc to remove the highlight.

Here is what the wall now looks like (there are a couple of snap markers on the right side also).

Although the Snap Marker seems to have a width when we view it, in actual use it has a zero width. If we set it at zero, the edge of a cabinet touching it will be precisely at zero.

Now, switch back to the Place Item Mode and again select our cabinet. You will notice that when you move it over, the Snap Marker positions the cabinet correctly.

Note that when you install a cabinet against a Snap Marker, the Snap Marker disappears, its job being complete.

Another way of locating cabinets at the ends of the walls is to simply place them on the wall but away from the end. Then, switch to the Select Move Mode, highlight the cabinet, set the distance on that side to zero and press Enter. The cabinet will move to the end.

Note that the functions that automatically resize the cabinet for a smaller opening or the Expand to Fill command works from the Elevation View.

The height of a cabinet can be adjusted from the Elevation View by highlighting the cabinet. Then you can either type the new height above the floor in the position box to the left or you can move it up or down using the up and down arrow keys. Each time the key is pressed, the cabinet moves the distance specified in the Move Increment.

Once items have been placed they can be further adjusted in several ways. We cover these adjustments in the section “Adjusting Installed Cabinets in Custom Layout”.


Installing Appliances

Next, let’s discuss appliances.

In the Select Items to Install – Items area, there is a category for Appliances.

These are kind of generic three dimensional appliances that are placed much like cabinets.

They can be resized to simulate various appliances.

They do have the advantage that the software knows they are appliances. Therefore, the clearances set in Standard Dimensions are applied when they are installed. The disadvantage is that the selection of designs is somewhat generic and limited, and you may want a more accurate representation of appliances your customer plans to use.

The software offers a way to simulate almost any appliance that is essentially rectangular.

In an earlier section we showed you how to simulate a fireplace hearth using a Display Cube.

A Display Cube can also be used to create an appliance.

Go to the web site for the appliance manufacturer and get a front view jpg image of the appliance.

Then create a Display Cube of the correct overall size and map the image to the cube.

Although the result is flat, it does a fairly good job of simulating a wide variety of appliances.

Shown here is a dishwasher, cooktop and double oven created using this technique.

As you can see, the overall effect is quite acceptable.

One trick that lets you use the standard clearances for appliances and yet install Display Cube appliances is to install one of the generic appliances of the correct size and then install the cabinets around it. The delete it and replace it with the Display Cube.


Adjusting Installed Cabinets in Custom Layout

We will now look at some additional features of the Detail Room area and discuss changes that can be made to installed cabinets.

If you highlight a cabinet and then place the cursor over a wall, the length of the wall is displayed along with the distance from the cabinet to the wall as shown.

If you highlight two cabinets, the distances between them, X,Y and diagonal, are displayed.

We will explore the Adjust Cabinet Features by starting with a single cabinet on a wall. Highlight the cabinet, right click and select Adjust Cabinet Features.

All of the menu selections are applied to a cabinet or cabinets that have been installed and highlighted.

Let’s look at the selections, one at a time.

The first selection is Change.

This is normally used to change doors, drawers or pulls in a kitchen.

To use this feature, first change the default door, drawer front and/or pull selection.

To do this you must enter the Door/Drawer Front Designer from the Door/Drawer Editor in the Cabinet EditorCabinet/Assembly Editor.

Only if you enter through this area is the Set Default button available.

Once the default has been changed, we need to highlight all the cabinets we want to change. Then it is a simple matter of selecting what you want to change.

The next feature is called Autofill.

Duplicate Left, Duplicate Right and Autofill are three forms of essentially the same function. These functions only work in the Overhead View.

These only work if you have a single cabinet highlighted.

Duplicate Left places exact copies of the highlighted cabinet to the left until reaching a bounding wall, cabinet or appliance. This is essentially the same as if you continued to place cabinet on the left until you reached the wall.

Unless you are incredibly lucky, eventually you will end up with an opening that the cabinet doesn’t fit.

In this case, the cabinet symbol shrinks to fit the opening as shown.

This also happens if you place cabinets manually, one at a time or if you use the Duplicate or Autofill functions.

If using the Duplicate or Autofill functions, however, the system asks if you want to re-size all the cabinets to the same width.

This re-sizing function is also available as a separate command within the Re-Size/Equalize menu selection which we will discuss shortly.

Here is another common occurrence. The cabinet we are placing is too narrow for the available opening.

To handle this, there is a selection called Expand to Fill.

When selected, this expands the highlighted cabinet to exactly fill the space it is in.

This might be a good time to mention the hot keys shown to the right of the various menu selections.

Pressing these keys is the same as making selections from the menus.

Once the key sequences are known, most functions can be performed much faster and easier using hot keys.

For example, in this case, you highlight the cabinet and type SJX.

For anyone that plans to use the software extensively, it is worth the effort required to learn the hot keys. There is a chapter in this manual that discusses the hot keys in detail. Until then, you can access a list of hot keys and their use from the Help menu at the top.

The next area we will discuss is the Cabinet End selection.

For installations where the end of a cabinet is exposed, many cabinetmakers add an applied end.

The software supports two types of applied ends, a material selection or a door design.

The dialog shown is used to define the applied end.

The Scribe area only applies to face frame cabinets. This area is used to adjust the scribe or the amount that the face frame stile extends past the outside edge of the cabinet.

When an applied end is placed on a cabinet, many times we want the face frame to extend over the edge of the applied end.

Rather than going back to the Cabinet/Assembly Editor and making this change, it can be adjusted right here.

The next function, Insets are used to make the applied end either larger or smaller than it would normally be. Normally, the applied end will be the width and height of the cabinet end on which it was applied.

If you specify an inset for one edge, top, bottom, front or back, the corresponding edge of the applied end will be inset, or made smaller, than the original size. If you specify a negative inset, that edge is made larger or extended. In this way you can adjust the applied end for a variety of applications.

For example, you could have two base cabinets installed back to back as an island as shown here.

Then, on one of the base cabinets, place an applied end with a negative inset so that it extends over the end of the adjoining cabinet. In this case, we set the Back Inset to minus number so it covered the ends of not only the original cabinet but also the adjacent cabinet.

Moving down the list of available commands, the Edit Cabinet selection can be a useful feature.

Edit Cabinet takes the cabinet to the Cabinet/Assembly Editor where you can modify it.

Then, the modified cabinet is brought back into the room.

While in the Cabinet/Assembly Editor, you can save the modified cabinet under a new name Although it not necessary, it is usually a good idea in case you need to use the modified cabinet again.

Otherwise, you can simply make the changes, bring the cabinet back to the room and only this one cabinet in this room is changed.

The Merge/Separate command is not functioning in this version.

Its planned function is to merge two separate cabinets into one, substituting a single common end between the two cabinets instead of a separate end for each. The developers have left the menu selection here since they plan to add this feature in an upcoming update.

Next is the Re-Size/Equalize command.

Again, this command only applies to cabinets that have already been installed and have been highlighted.

The actual function of the command depends on what is highlighted.

If a single cabinet is highlighted when the function is called, the dialog shown appears.

This dialog is used to change the size of the highlighted cabinet.

Notice that for each of the parameters, not only can you set the size, but you can also specify which side moves to accomplish the size change.

If you choose Both for any of the dimensions, the center remains fixed and both sides move an equal amount.

If you highlight two or more adjoining cabinets as shown, and then press Re-Size/Equalize, the total width of all cabinet is maintained but the cabinets are each resized so that they are all the same width.

If you highlight an upper and base cabinet as shown and select Re-Size/Equalize, you have several choices.

If you select Equalize, both cabinets are made the same width and positioned directly above and below each other.

The cabinet that is specified as Anchor does not move. The other cabinet moves directly in line.

If you select Align Left, Right or Center, the cabinets are aligned above each other as specified without adjusting the width of either. Again, the Anchor cabinet does not move.


Working with Display Cubes

A Display Cube is essentially a cube, of any size on which we can place a texture image. It is one of the most powerful tools you have for creating realistic custom layouts. It can be used for pillars, beams, hearths, rugs, appliances, fireplaces, cereal boxes, books and a thousand other common items that will make your presentation better. They can even be created in the Cabinet/Assembly Editor taken to the Part Editor and machined into almost anything.

The best way to learn the use of Display Cubes is to run through some examples. Earlier, we use display cubes to simulate a fireplace hearth. Let us see exactly how we did this.

From Detail Room, select Display Cube from the list under Select Item to Install.

The dialog to the left appears.

In this case, our digital images were of a six foot section of the hearth so we will create two display cubes.

We took the original image of the left side of the original hearth and flipped it horizontally to create a second image we will use on the right cube.

Although this image appears compressed, the original image was long and narrow. The software compressed it for display here but will use the original image for the cube.

In this case, we will set the cube width to 6’ and the length to 2’.

The reason that we do this is that the width is the left to right dimension and the length is the up and down direction.

Our image is compressed but the original long dimension is left to right so we make that the 6’ dimension.

Check Stretched to indicate how the image is to map to the cube and then press OK.

The cube appears in the room, at floor level and highlighted.

The first thing we want to do is rotate it 90 degrees.

Right click, then select Edit Object and Rrotate Object.

This brings up the rotate dialog.

We want to rotate about the Z axis 90 degrees.

If you click on the slider, it will move in 90 degree increments.

The hearth is now properly rotated and since it is already on the floor, it is ready to move into position.

If the height above the floor was not correct, it can be moved up and down using the U and D keys, U for up and D for down.

It moves the Edit Move Increment each time a key is pressed.

We can now move it into position to the lower left of the wall by holding the Shift key and using the right mouse button.

It can also be moved by holding the Shift key and using the arrow keys.

Here the first half of the hearth is in position.

Double click on it to deselect it.

Repeat the process for the second half of the hearth, making certain to select the second, right hand image.

Here you see both halves of the hearth in position.

Double click on the second half to remove the highlight and press Done.

The result is a realistic hearth made of two brick image covered Display Cubes.

When a Display Cube is created, the image selected is placed on all six sides.

It is stretched and skewed as needed so that one copy of the image is placed on each surface.

Sometimes you need a cube that has a different image on one surface or another.

For example, you may need a special range, which is a three dimensional object that has a different image on the top and front.

In these cases, you may need to combine two or more Display Cubes to get the effect you want.

To demonstrate, we will develop a gas range using images obtained from the web.

Here you see an image of the range we would like to simulate.

It is shown loaded into IrfanView, which is the image control software that starts when you press the Image Control icon on the toolbar. Everything we do to images in this manual is done within eCabinet Systems using this software.

If you look closely, you will see that we have pulled a highlight rectangle over the very front of the range.

We will crop the image to this area and save it under a new file name.

Then we will do the same thing to the backsplash.

For the top, we could not find the exact range top but we found one that is similar and will use it.

Since it is black, details will not be all that visible.

The overall accuracy of presentation is dependent on each user and you need to make decisions about what is and is not acceptable yourself.

Now we will create the first cube, which is the range body itself.

One area that can be confusing is determining how to map the image to the actual cube for use in the room.

The diagram to the right shows the cube as it sits in the room.

The front surface is the Width and length.

The Depth is the distance front to back, just like the cabinets.

When the cube is first displayed, it will be turned 90 degrees on the X Axis with the front face facing upward.

You need to turn it 90 degrees as shown before you can use it.

This is the easiest way to get the effect we are looking for.

If we try to create the cube already in the correct orientation, the image will be upside down requiring even more manipulation.

Now we move it to the wall as shown using the Shift key and left mouse button.

We then right click on the wall and select Associate to Wall.

We are going to adjust the height of the range from the elevation view of this wall.

For the range to display in the elevation view of the wall it must be associated to the wall.

Next, right click on the wall again and select Show Wall Elevation.

The range is actually located partially under the floor.

This is because it was first generated on the floor and when we rotated it, the height of the range was greater than the depth so part of it rotated under the floor. This will occur many time when working with Display Cubes so be prepared for it.

You can move it up by holding the Shift key and using the left mouse button. (Make sure you are in the Free Style mode). You can also use Shift and the up arrow key.

Here we see the range and the front looks pretty good but the top clearly needs help.

Using the same technique, we will create a top using the range top image.

It will only be an inch deep.

We will also create another cube for the backsplash and use the backsplash image we took from the original range image.

Here is the completed range made from display cubes.

We added additional cubes 2x2x5 with the backsplash image to create the feet.

The result is very pleasing and adds to a customer presentation.

This particular appliance was developed in the Custom Layout area. You could also create it in the Cabinet/Assembly Editor and save it as an assembly. This might actually be easier since positioning Display Cubes in space is easier in the Cabinet/Assembly Editor than in Custom Layout.

Display Cubes can be used to simulate a wide variety of items in a room. They can be used for beams, pillars, doors, ceilings, etc.

As noted earlier, cabinets will not obey the clearance settings for appliances specified in Standard Dimensions when appliances are created in this manner.

If you want to use this feature, you can size and place the system appliances and then after the cabinet have been located, delete the system appliances and replace them with these Display Cube appliances.


Working with Countertops

The current version of the software does not have a separate interface for countertops but instead uses Display Cubes to create countertops. Simple countertops can simply be rectangular cubes with the correct texture image. More complex countertops can also be created but they may require that the top be processed through the Display Part Editor.

To demonstrate this area we will use some examples. In this first example we are creating a simple rectangular top to place over a set of two cabinets.

In the Detail Room area, Main page, under Select Item to Install select Item.

Then select Display Cube.

Input the size and then press Image to select an image for our countertop.

Press OK.

The Display Cube function places the top in the center of the room at floor level. You will need to orient the top to the cabinets and raise it to the proper height above the floor. Then it is moved into position.

In this case we need to spin it around 90 degrees to orient it properly with the cabinet. From the Right Click Menu, select Edit Object – Rotate Object.

This brings up the dialog shown.

Spin the top 90 degrees on the Z Axis.

It is now ready to position.

We will next cover positioning of the countertop in detail to show some common techniques.

Here we moved the countertop using the Shift key and right mouse button to a position near where it will eventually be.

We have not moved it totally into position because it is located on the floor.

If we move too far, we will place it inside the cabinet where we will not be able to highlight it when we switch to the elevation view.

The next step is to associate the countertop to the wall so it shows up on the elevation view of the wall.

Since the countertop is already highlighted, right click on the wall and select Associate to Wall.

Then right click on the wall again and select Show Wall Elevation.

Here we see the countertop, highlighted on the floor in the elevation view.

There are a couple of ways to move it up to the top of the cabinets.

The first, and probably easiest, is using the Edit Move Increment.

From the Right Click Menu select Edit Move Increment and change it to 34.5”.

This is the height of the cabinets.

Since the Display Cube is initially placed on the floor, moving it up 34.5” will place it at the top of the cabinets.

Simply highlight the cube and while holding the Shift key press the up arrow key one time.

The countertop is now at the correct height.

We can also use the Shift key and mouse to move it to the top of the cabinets if you are operating in the Free Style mode.

When you get close, press the Ctrl key and pull a blue rectangle over the top corner next to the range.

The view will zoom as shown.

Now, from this zoomed view, accurately position the countertop over the cabinet edge.

Then press the Return button to return to the overhead view.

We again want to zoom in, this time on the back corner, next to the range.

Hold the Ctrl key, pull the blue rectangle to zoom as shown.

Highlight the countertop and move it precisely into position over the corner of the cabinet and up against the wall.

Press Home to return to the original zoom view.

We now have a countertop on the two cabinets as shown.

If you want, you can create another Display Cube, using the same image, to simulate a backsplash as shown.

Although at first, this appears to be quite involved, with just a little practice you will be able to place and locate these very quickly.

Now let’s address a countertop with a sink.

There are two approaches to this. We can’t simply move the sink over a countertop because, unless we cut a hole in the cube, it will show in the center of the sink.

In the first approach, we place the sink and then place several cubes around it to simulate a countertop.

Start by moving the sink into position over the sink base.

We now simply create four separate Display Cubes which surround the sink, using the techniques just covered.

We also add a Display Cube as the backsplash.

Here is the finished sink side of our layout with the countertop and sink in place.

Another approach you can use for countertops is using Display Panels.

A Display Panel is similar to a Display Cube except it is a rectangular piece of a material we defined in Settings/Preferences.

To use a Display Panel as a countertop we first need to create a new Sheet material the thickness of the countertop.

Then we must select the proper image for the material.

Now, define a Display Panel instead of a Display Cube.

The process is almost identical and the final result is essentially the same.

The only real difference is that by using Display Panels, the countertop pieces will be nested in the countertop material.

When using Display Cubes, no nesting occurs and the cubes are used strictly for display.

If you have a use for the nest information, use Display Panels. If not, use Display Cubes.

Once the countertop has been installed, you can change its texture using the Texture Match command, but you can only change it to a texture that already exists in the drawing.

This is not really a problem but does require some technique.

Create a small Display Cube with the texture you want.

Place this in the room.

Next, highlight the countertop and from the Right Click Menu select Edit Object – Texture Match.

Now click on the new textured cube.

The highlighted countertop will change to the new texture.

You will need to change each Display Cube or Display Panel in the countertop, one at a time.

Once the entire countertop is changed, you can delete the cube you used to carry the texture image.

The Part Editor offers us another way to develop countertops using Display Cubes. This is a little more involved but can produce fairly complex countertops.

In this approach, we will create the entire countertop as a modified Display Cube. Then, we will export it to the Display Part Editor, texture it and turn it into a Display Part.

To do this we must return to the Cabinet/Assembly Editor and load a Display Cube large enough to cover all the cabinets. In our example, we create a cube that is 14’ wide, 10’ long and 2” thick.

Next, highlight it and take it to the Part Editor. Using the geometry tools and contour, cut the panel to the countertop shape you need. Notice you can cut out sink openings and even put radiuses in the corners.

You can also put a profile along the front edges if needed.

Take these changes back to the Cabinet/Assembly Editor.

Probably the first thing you will notice is that it is the correct shape but it doesn’t look very good. That is because, in this area of the software, texturing is automatic and is generally optimized for rectangular panels. These settings do not always work for randomly shaped pieces.

To correct this we will Export the Display Cube as an HSF file, load it into the Display Part Editor¸ adjust the texture and then save it as an HSF Display Part. We can then load this Display Part directly into our Custom Layout.

Start by pressing the Home key to access a straight on front view. If the item or items you are exporting are rotated, they will be copied in a rotated orientation and will be in that orientation when you load them into Custom Layout.

Once oriented properly, highlight the countertop by clicking on it. Then, from the File menu at the top, select Export Selection. This will export anything currently highlighted. If more than one item is highlighted, they will all export as a single HSF and become a single Display Object.

Specify a directory and name.

Now, go to the Display Part Editor. There is probably no reason to save the modified cube in the Cabinet/Assembly Editor since the texture is wrong and we already have the shape saved as an HSF.

Load the file. The texture should already look better. Generally with countertops, increasing the Texture Scale to 10 or 20 improves the appearance.

Once you have an image you are satisfied with, save it and you are ready to add it to you Custom Layout.

Note that during the save process you can specify that the countertop be added to the Cut List. You can also input a cost for the countertop that will be added to the Material Cost for the job. This is a great way to allow for the cost of countertops when estimating the cost of a job. See the chapter on Estimating Costs for more information about tracking costs in the software.

This basic approach can be used to create Display Objects within eCabinet Systems without the need for a separate CAD system. It also allows you to modify the appearance of Display Objects that you obtain from others. Simply Export the Display Object, modify the appearance in the Display Part Editor and then save it again.


Working with Floors and Rugs

Texturing the entire floor is covered in the section “Changing Wall and Floor Texture”, however, at times this simple approach is not adequate. In those instances, Display Cubes can be used to simulate wood floors and rugs and offer almost unlimited flexibility.

When you select a texture for the floor, the image is tiled, that is stacked in rows and columns to create the floor texture. This works well for tile, stone and parquet patterns but does not work well for wood plank floors.

You can stretch a floor image across the floor in the same manner as with walls. This, however, stretches the floor image over the entire Custom Layout.

There are times you may want to create a multi room layout with different floor images in each room. Or, you may want a different floor appearance in one section of a room or a hall.

The only way to get a different floor images in the same layout is to develop an image of the floor in each area and then map that image to a thin Display Cube that is laid on the floor.

There are a few of these large wood floor images in the software in a directory called Display Floor Images.

These images generally work for rooms of 15’ x 15’ or so.

You can generally expand the image along the length of the boards with little ill effects to about 30’ or so. If you expand the width, the boards will seem wider in the room. If you place them across a room smaller than about 15’, the boards seem narrower.

If you must maintain board width on a narrow room, you can crop the image and save the cropped image as another file and then use it for your room. You can do this in the Image Manager area.

If you need a wider image you may be able to duplicate the existing image and paste several together.

The process of placing the floor is straightforward.

Create a cube the size of the room and .1” thick.

This is thin enough it will have virtually no effect on the height of the floor.

Then map the wood floor image to the cube using the Stretched selection.

Position the cube in the room and you have a fairly realistic wood floor.

Since the bottom of the cube is automatically placed on the floor when it is created, all you will need to do is slide it into position from overhead.

The room shown also has a decorative rug.

This is also made of a Display Cube covered with the image of a rug obtained from the Internet.

When creating rugs to place on Display Cube floors, make the cube thickness .2” instead of .1” for the rug itself. This assures that the top surface of the rug cube will be above the floor cube and that the rug will be visible without having to move it up.

When working with a client, you can take digital photos of existing rugs and possibly even floors and incorporate these in your presentation. Just make sure that you take the photo from above looking down to get a front-on view.

This same idea works for unique paintings or other works of art.

Display Cubes and Display Panels and the image display features are valuable and powerful tools and over time you will find many, many uses for them.


Change Material for Cabinets in a Custom layout

You can change the material used in the cabinets currently installed in the layout. This allows you to see how different textured material might appear or to see how material with a different cost would affect the overall cost of the Job.

This feature is accessed by right clicking and selecting Change Materials then selecting Sheet Stock.

This opens the Change Sheet Stock dialog.

With this dialog, you can change the sheet stock used for the entire job or you can substitute the material used on any part or combination of parts.

There are two steps to this process. First, you designate the part of parts you want to change. The materials currently used in those parts are then displayed. Then, you specify the material you want to substitute for the existing material.

The first step, selecting or designating the parts you want to change, starts before you enter this dialog. In the room layout, highlight the cabinet, cabinets or items you want to modify. If you do not highlight anything, all items in the layout are displayed in the dialog.

The cabinets are displayed in a tree structure. When you expand this structure you can select specific parts to be changed for each cabinet, or you can specify the entire cabinet.

An area to the upper right helps you make this selection. If you check Deselect All and then click on Backs, the system will deselect all backs on all cabinets. If you want to select all backs and nothing else, check Deselect All and then click on All Parts. This deselects all parts of all cabinets. Then, check Select All and click on Backs. This will select all backs on all cabinets.

Once you have selected the parts you want to change material on, a listing of materials currently used is shown at the bottom. Highlight a material and you will see a complete description of the material above the list. To the right of that description you can specify the material you want to substitute for the existing material.

Once you have selected the replacement materials for each of the existing material, press the Apply button and the substitutions are made.

This action does cause a regeneration of the cabinet or Display Panel so, any modifications made to these parts by the Part Editor will be lost. We hope to address this area in future builds to eliminate this however, in the current version regeneration does remove editing from part designs.


Generating Photo-realistic Images using Presentation View

Presentation View is a sophisticated presentation program that can generate photo-realistic views of your layout. These images are valuable when trying to sell a job to a potential customer.

The purpose of the Presentation View is to try to develop as realistic a presentation as possible. To make this work, we will set it up much like you set up a scene in a photographer’s studio or like you might arrange a set for a play or movie.

In most cases, simply setting up lights as they might appear in the final job will likely not generate the quality image you want any more than using an overhead light bulb in a photo studio will create acceptable lighting. Many of the cabinet design software packages you will compete with use this simple approach. If you take the time to properly set up lighting and control shadows, your images will be better, perhaps much better than shops you compete with that use simple ambient lighting. All the software, including ours use essentially the same licensed software to generate these images. By spending a little more time and effort, you can generate results that are noticeably better than your competition, regardless of what software they use.

The Presentation View works with lights you place in the workspace, realistically generating lighting effects, reflections and shadows that are a result of the lights and their placement.

The Presentation View provides certain tools. The ways these tools are used determine how rich, realistic and nice the final “shot” is.

As we said, the most simplistic approach is to place lights in the scene in the position they will exist in the real room and then simply generate the image. While this does work, a little more thought and effort can result in immensely better shots. If you have ever watched a photographer set up lighting for a shot or have seen how a play or movie set is carefully lighted, you will get an idea of the approach we recommend. We will use lights in much the same manner as the photographer, except they will be virtual lights created in our layout.

We will start by adding details such as items on the countertop, rugs on the floor and the like.

Use your imagination in this area. Many 3D STL images can be found on the web which can be imported into the Display Part Editor, textured and then added to your layout.

Here is a simple kitchen with some design details.

Next, we need to light and pose our room so that we can create an image using the Presentation View.

Next we will create a scenery wall on the outside so that it appears that we are looking out the window and door openings at a back yard.

Go back to the Wall Editor and create a wall 12’ high across the back as shown. Also, create two walls that protrude straight back as shown. These will be used to block lights we place to simulate the sun shinning through the windows and door. We will use three lights for this so that the sunlight on the floor points in the same direction through all three openings. If we used a single light, unless we placed it a long distance away, the light would radiate out at different angles and not look natural.

We now need to add a scene to the back wall which will be viewed through the windows and door. If you are preparing the job for a client, you could use a digital photo of the actual scene outside his or her house for added impact.

We also added a light at the rear left corner to help light up the barn scene wall. Placing and adjusting these extra lights is a trial and error process. Generate the image and then add or adjust lights to get the effect you want.

We added two center lights at a height that will be seen in the final image and two more, toward the back which will not be seen. We will then adjust the intensity of the light coming from each of these to help light and highlight our room.

Notice how the two walls isolate the lights we will use for the sun so that each only shines through one opening but cannot shine through any other. We also adjusted the height of the lights so that they do not shine over the top of the back wall and into our room. The height is adjusted by associating the light to a wall and then moving it up or down from an Elevation View of the wall.

Note that lights are added to the room in the Detail Room area and that only a few actual light fixtures are available. These are the only lights that the software recognizes as lights and the only items that will generate light in the scene. As you will see, if you don’t need to show the actual fixture itself, you can place the light and then turn off lighting display in the Show/Hide menu selection. When you turn off lighting display, the fixtures do not display but they still are a light source, so you get the lighting effect from them even if you can’t see them. This offers tremendous flexibility because, unlike a photo studio, you can place a light source in view of the camera without it showing.

We are now ready to move to the Presentation View. At the beginning, it is important to make sure the lights are not hidden and to orient the room from the Main display so that all the lights can be seen. We must see and be able to click on a light to adjust the light intensity coming from it.

Press the Presentation View button.

The scene will now render using the settings that were in effect when you last left the Presentation View.

There is a control panel at the lower portion of the display. It disappears unless the cursor is over the lower area. This control panel contains some simple controls that we will use to adjust our scene. These are very basic in the current version however, you can create rich powerful images with them. Many more software techniques can add even more capability and we plan to add much more control in future releases.

The first thing you will notice is that it takes a long time to render an image. Since we will need to render the image many times while adjusting our scene, controls are provided that can speed this process.

The first of these controls is View Size. This controls how large the image of our room is. Since the process calculates the image one pixel at a time, the fewer pixels we need to process the faster the rendering time.

The second control is a selection of Render Style. Two selections are available, Full and Preview. Full renders every pixel creating the best possible image at each View Size.

Preview groups together pixels and renders these groups rather than individual pixels, providing an approximate image, but providing it much faster. The image from the Preview style is more than adequate for judging and adjusting the basic parameters.

The best approach at the beginning is to reduce the View Size and set Render Style to Preview. Once the image looks acceptable, go back to full View Size and set Render Style to Full.

There are two basic controls currently available, Light Intensity which only applies to lights, and Shine which applies to any item that has a texture, which is pretty much everything else except lights. Set the slide bar control for each, then any light you click on is given the current light intensity and any other texture is given the current shine. A red “ping” appears to indicate the parameter has been changed.

We will adjust our scene by first rotating it to approximately the orientation we will eventually want but moving out far enough that all lights are visible. We will then adjust the Light Intensity of each of the lights. Each light can be given a different Light Intensity. We might even need to exit the Presentation View to move some light around in the Detail Room area until we get the light and shadows we want. This can be done with a View Size of 25 - 40%. Don’t forget you can move the lights up and down by associating them to a wall and switching to the Elevation View of that wall. Then use the arrow keys or hold Shift and use the right mouse button.

Once the lights are set, we will increase the View Size to 50-75% to better see the result and we will adjust the Shine or reflectivity of all the items.

Once these all look acceptable, we can change the View Size to 100% and change the Render Style to Full. We will then see a full display view of our layout with the best possible image quality. For some scenes, this can take quite awhile, especially on slower computers.

When setting the Shine, it is a good idea to add a Shine to pretty much everything. Items such as walls can be given a 1% Shine. This is because only after a Shine value is assigned to a texture does the true rendering power of the system start.

Start by setting the Light Intensity. We used 60% for the outside lights that simulate the sun. Then, click on each light you want to have that intensity. A red ping will occur when the current setting is applied to an item.

When setting Shine on a texture, you need only click on the texture one time and every item in the room that has that texture will be given the same Shine. If you click on a cabinet door, all doors as well as cabinets and anything else that uses the same texture as the door will be assigned the Shine value.

Once you adjust the Light Intensity and Shine settings, clicking on a texture assigns the current Shine value to that texture. Clicking on a light assigns the current Light Intensity to that light.

Here is the finished image of our farm kitchen.

The entire screen can now be captured as a JPG image by pressing the JPG button, setting the size image you want and specifying a directory and name. This process can take quite awhile, during which time the bottom control panel cannot be accessed. Simply wait until the control panel appears, signifying the process is complete. The image can also be sent to a color printer although, normally you will want to make further adjustments before you print as we will cover shortly.

Before you leave the Presentation View by pressing the Done button, reset the View Size and Render Style to reduce the initial rendering time when you again return. When you return to the Presentation View, the settings that were active when you left will be used. By resetting these you can keep for starting the next job with a full screen, Full quality rendering.

Once you have the image, you can open the Image Control area of the software and make adjustments to the image. You normally need to crop the image and normally it benefits from an increase in Contrast and Saturation. You can also adjust color balance, brightness and other parameters. Controls for these settings are accessed by selecting Enhance Colors from the Image menu selection at the top. Save the corrected file.

Should you find your system slowing down during this process, you could use the Show/Hide function to hide the pulls and doors until the process is complete.

Processing a complete kitchen requires substantial computing power and you will find things slow during this process. Because of this, it is normally best to position all the cabinets first and then add moldings and other detail.


Adding and Positioning Lighting

A limited number of lighting fixtures are available for placement. When placed, they generate lighting that changes the color and shading on everything in the room.

Here is a fairly complex kitchen with a somewhat involved lighting arrangement. We have indicated the light intensity and shine on all major items to offer a starting point for your own layouts.

Here is the kitchen image that resulted from the above settings.

As indicated earlier, many more tools will become available in the future, however, with creative lighting and the techniques shown here, really rich images can be developed that are sure to help in marketing and selling your products.

As a final illustration, we will show you the lighting setups for several cabinet and furniture images along with the resulting images.


Using the Line Drawing Editor

The Line Drawing Editor is used to develop traditional line drawings of different aspects of the job. It offers computer assisted tools that make the process fairly quick and easy.

The process starts by sending a cabinet, group of cabinets or assembly from the Cabinet/Assembly Editor or sending a cabinet, group of cabinets, wall or entire room from Custom Layout to the Line Drawing Editor. There, items are rotated and positioned, copied and pasted between pages to obtain the basic drawing layout and then dimensions and notes are added.

The key ingredient in the Line Drawing Editor is a concept called a Line Drawing Object. A Line Drawing Object is essentially a three-dimensional line drawing, geometric representation of parts, cabinets, walls and complete custom layouts. The Line Drawing Object contains every bit of geometric data about the object.

Although the Line Drawing Object is a full three-dimensional representation of the object, a cabinet for example, you cannot access all the information at once. From a front view, it appears to be a two-dimensional line drawing of the cabinet front and all dimensions for the front area available. Data for the back is not available from the front view, however. To get data for the back, you need to rotate the Line Drawing Object of the cabinet until you have a back view. Now, the same object looks like a line drawing of the back of the cabinet. Turn it to the side and you have what appears to be a two-dimensional drawing of the side. Turn the Line Drawing Object to an angle and you have what appears to be an isometric drawing of the cabinet.

This simple concept is rather important because it forms the basis for the entire Line Drawing Editor.

To understand how this is used, let’s look at a cabinet drawing. A common drawing is a front, side and top view of a cabinet. Typically this requires three two-dimensional line drawings, one for the front, one for the side and one for the top. In the Line Drawing Editor it requires three copies of the Line Drawing Object for the cabinet. One is turned to the front where it looks like a two-dimensional front view, one is turned to the top where it appears to be a two dimensional drawing of the top and the third is turned toward the side where it appears to be a two-dimensional view of the side.

It appears to be three separate line drawings but it is actually three identical three-dimensional Line Drawing Objects each turned a different direction.

The process for creating this is straightforward. The original Line Drawing Object of the cabinet is copied and pasted twice resulting in three complete copies of the cabinet. One drawing is turned to the side, a second is turned to the top. The drawings are then moved to the proper position relative to each other and dimensions are added.

There are four types of Line Drawing Objects, Parts, Cabinets, Walls and Rooms. Some objects are contained inside others. For example let’s consider a wall populated with cabinets. You can copy and paste the entire wall, but you can also copy and paste any of the cabinets on the wall. You can also copy and paste any individual part of any cabinet on the wall. In the same manner, you can copy any wall from a room, any cabinet from that wall and any part from that cabinet.

You should begin to see the incredible power and flexibility in this approach. The flexibility gets ever greater when you consider some of the options available when selecting Line Drawing Objects to send to the Line Drawing Editor.

There are two sources for Line Drawing Objects, the Cabinet/Assembly Editor and Custom Layout. The Cabinet/Assembly Editor only sends the Line Drawing Objects of cabinets that are highlighted. From Custom Layout, you can also select what you want to send. You can send the entire Job, a single wall with all associated items or, you can specifically select the items you want to send. When you do this they show up in the drawing in the correct dimensional relationship to each other.

You should recognize that when you send an entire layout as a Line Drawing Object, you are dealing with a lot of data so system response will be slower than if you work with a wall or a single cabinet. This means that you should try to work with the smallest object possible to achieve your goal, rather than send an entire layout and then copy a single cabinet to make a drawing.

Because of the high level of flexibility in selecting objects, you need to tell the system what type of object you are looking for. You do this by selecting one of the first four icons on the toolbar. They are Cabinet, Part, Wall and Room. If you select Cabinet complete cabinets highlight when you pass over them, if you select Part then individual cabinet parts highlight and can be selected. You cannot select a cabinet in the Part mode. You cannot select a part in the Cabinet mode. You can only select the type of object that is currently active, based on your toolbar selection.

One additional note, although the icon says Room it actually means the entire Custom Layout. If you have a layout that includes several rooms, they are all treated as a single room and are all selected when the Room icon is active.

You can highlight multiple objects by holding the Ctrl key while selecting. Therefore, if you want one room from a multi-room layout, you can switch to Wall select the walls that make up the room you want and send them. You now have a Line Drawing Object for the one room.

When you pass the cursor over an item, it will turn magenta color. This does not mean it is selected but does indicate what the system sees. If you click when a part is magenta it turns green which indicate that it is selected and can be copied, pasted, rotated and moved. If you click on a green highlighted part, it is de-selected.

You can move and rotate only parts that are independent Line Drawing Objects. If the selected object is part of another object, it cannot be moved or rotated independently. You cannot disassemble a Line Drawing Object. If a cabinet is part of a wall, you cannot move or rotate it by itself. You must copy it and paste it as an independent object. Then it can be moved and rotated. The same thing applies to parts on a cabinet. You cannot move a door away from a cabinet. You can, however, highlight the door, copy it and paste it somewhere else on the drawing or on another page where it can be moved and rotated at will.

This brings up another potential problem. What if the part you want to highlight is hidden by another part, or perhaps it is inside the cabinet. The system offers a Hide command that lets you hide a selected object so you can access objects behind it. When the object you want to hide is magenta, click on it. This will green highlight it. Right click to bring up the Right Click Menu. Select Hide and the object will disappear offering access to objects behind it.

The Esc key deselects everything.

The Line Drawing Editor supports multiple pages. Each page is a separate drawing. Objects can be copied and pasted between pages. Each time you send a Line Drawing Object to the Line Drawing Editor it is placed on a new page. You can also create a blank new page using the Add Page icon. You can also rename the pages to anything you want.

The page size is automatically set to the active page size of the current default printer on your computer. If you want a different page size, set the desired page size in the File – Print area. Select the printer or plotter you want to use and select the proper page size before accessing the Line Drawing Editor.

Once the printer and page size are properly set, let’s set up the page area. Go to the Line Drawing Editor. There are two ways to access function here. You can use the various icons from the toolbar located across the top of the drawing page, just under the system toolbar. The same functions can also be accessed using the Right Click Menu.

By the way, the toolbars are standard windows toolbars so they can be relocated to the sides, bottom or anyplace else you like. An example of an alternate layout is shown here.

We will use the default layout in this guide.

Next, we will set the grid. Press the Grid icon and the dialog to the left appears. Grid dimensions are the actual measurements on the drawing page itself. You can turn the background grid on and off and, as with the other grids, there is a choice of three types of grid to display.

We will set the parameters to a half inch by half inch, solid line grid. Press OK

Next, we will select the font for the text on our drawing. There is a Font icon on the toolbar that can be used to access this function or you can right click and select Font.

The dialog to the left appears. We will use Microsoft Sans Serf in Regular form, 11 point size and black color. We will be able to change specific text on our drawing if needed by highlighting the text we want to change and either pressing the Font icon or using the Right Click Menu as we just did here. Changes are applied to new text and any text that is highlighted when the OK button is pressed.

The next area to define is called Drafting Parameters. It is accessed either through the icon at the top or selecting Drafting Parameters from the Right Click Menu.

This area defines two functions. The first is the appearance of Extension Lines. Extension Lines are the lines that run from the object to the dimension line.

Overrun is how far the extension line extends past the dimension line. All measurements here are based on the printed page. If you set Overrun to ¼”, the line will extend past the dimension line ¼” as measured on the final printed page.

The Gap specifies how far away from the node being measured before the extension line starts.

The bottom half of Drafting Parameters determines the line-to-line spacing of text. This affects text in each area including Notes, Leaders and Tables.

All the settings in Drafting Parameters will be used on new items placed on the drawing.

Changes to these parameters also affect any items that were highlighted when the change was made. If you highlight a dimension line and change the Gap or Overrun, the gap and overrun of the highlighted line will change. If you highlight existing text on the drawing and change the Text Line Spacing the line-to-line spacing of the highlighted text will change.

Changes do not affect existing items that are not highlighted.

The final item in setting up the drawing page is the Edit Move Increment. This is the distance items move, as measured on the page, when the arrow keys are used.

Select the Edit Move Increment icon to bring up the dialog. We will set it to .125 inch for this demonstration.

Now that the drawing area is set up, Let us create a standard front, side and top view of a three drawer base cabinet.

From the Cabinet/Assembly Editor we will load a base cabinet and then press the Line Drawing Icon.

From the dialog, select Take Cabinet.

This sends us to the Line Drawing Editor and takes the currently displayed cabinet with us.

The cabinet appears on a new page.

The cabinet appears too large and there is a temptation to zoom it down in size before you copy and paste it. Don’t do it. When you copy and paste an image, the pasted image will be full size, regardless of the size of the image you copied. At that point it will be almost impossible to zoom the copies to the same scale as the original.

Instead, copy and paste all images you want even if they don’t fit properly and then select and zoom down everything at once. This way you know that all the images are at the same scale.

Set the select mode to Cabinet by clicking the Cab icon on the toolbar or by right clicking and selecting Select Mode – Cabinet.

Move the cursor over the cabinet, when it turns magenta click on the cabinet to highlight it.

Copy it by holding the Ctrl key and pressing C on the keyboard.

Now, you must move the original out of the way so you can paste a copy. While it is still highlighted, press and hold the Shift key and move the cabinet using the right mouse button.

Now paste a new copy by holding the Ctrl key and pressing V.

Press Esc to remove highlights from all items. Otherwise, if you try to move one you will move them all because they are all highlighted. You can now move the new copy out of the way so you can paste yet another copy.

You should now have three copies of the cabinet.

Highlight all three and zoom them down to a smaller size. Hold the Shift key and zoom using both mouse buttons. You now have three identical drawings of the front of the cabinet.

This might be a good time to note that you can highlight any items on the screen by clicking on them, or, if you click and hold the left mouse button you can pull a green rectangle over the items you want to highlight. Any item that the green rectangle touches is highlighted.

Press Esc to deselect everything.

Select and move one cabinet at a time by highlighting it, holding the Shift key and using the right mouse button, until they are positioned properly with respect to each other.

Now, highlight one of the cabinets. Then right click to bring up the Right Click Menu.

Select Rotate Dialog and a dialog screen appears that you can use to rotate the highlighted cabinet.

Turn one cabinet 90 degrees on the Y Axis and one cabinet 90 Degrees on the X Axis. The result is a standard front, side and top view drawing.

Now we will add dimensions to our drawing.

The Line Drawing Objects that make up our drawings are full geometric representations of the original items. This means that the relative position of everything on the object is known accurately. This means that you will not need to know any dimension number, but instead every dimension is developed by simply letting the system know what you want to measure.

We specify what we want to measure by clicking on nodes.

A node is the intersection of any two lines or the center of hole. Press M to see all available nodes on the page.

Because of the total flexibility, we can dimension almost anything. In two dimensions we can dimension the horizontal or vertical distance between two nodes. We can also dimension the diagonal distance between two nodes. We can also dimension in three dimensions. This is useful for dimensioning isometric orientations of the Line Drawing Object.

We will start by looking at two-dimensional (2D) dimensioning on our current drawing and then examine dimensioning in 3D.

Because of the variety of dimensions we can develop, we need to tell the system what kind of dimension we are trying to develop. We do this by setting a drafting mode.

If you look to the left of the drawing toolbar you will see a set of icon selections where we will indicate the drafting mode we want to use.

The first two specify we want the vertical or horizontal distance between the two nodes we select. These two modes are interconnected so that should you select two nodes whose dimension in the selected direction is zero, it automatically switches to the other mode. For example, should you set the Vertical Mode and then select two nodes, say the two top corners of a cabinet where the vertical dimension is zero, the system automatically switches to the Horizontal Mode and displays the width of the cabinet.

Since there is no practical reason to ever display a zero dimension between two points, this automatic switching saves a lot of time when developing horizontal and vertical dimensions.

Should you ever need to display a zero dimension, you can use the Note feature which will result in the same presentation. Now let’s look at the creation of some dimensions.

Start by making certain that the 2D icon is selected on the toolbar. Now move the cursor over the various nodes on the cabinet. When you pass the cursor over a node, it highlights as shown to the left.

Now, click on a node and move the cursor away. A dimension line attached to the node follows the cursor.

Highlight and click on a second node and a dynamic dimension line appears. Now, the dimension text follows the cursor. You move this into position and click again to anchor it.

You can leave the dimension between the extension lines or you can move it outside the lines as shown to the left.

This is useful when dimensioning nodes that are too close together to fit the dimension text as shown. Once the dimension text is placed, the actual text itself can be moved on a pivot line by highlighting the text as shown and, while holding the Shift key moving it using the left mouse button.

Actually, every aspect of the dimension and text position, other than the nodes that define it, can be repositioned after it has been placed. There are two things you might want to change on a dimension, the position of the text or the position of the dimension line itself.

Here the 24” dimension text is highlighted. It can now be moved left and right along the dimension line.

Here the text and the dimension lines are both highlighted. Now, the distance of the dimension line from the cabinet as well as the position of the text can be adjusted.

You can delete a dimension by highlighting either the text or the text and lines and pressing Delete. Should you delete a dimension by mistake, the Undo icon or Ctrl Z restores it.

At times there are a lot of nodes concentrated in an area making it is difficult to select the exact node you want. When this occurs, you can easily zoom in and out during the dimensioning process.

Hold the Ctrl key and pull a rectangle. This time the rectangle is blue instead of red. When you release the mouse button, the screen zooms to the area defined by the blue rectangle.

Here, the entire display has been zoomed to the area defined by the blue rectangle.

Press the Home key to return to a full view of the drawing.

After pressing Home, you can press the End key to return to this zoomed view. Now, let’s look at defining a dimension using the zoom functions.

From this full view of the drawing page, we will place a dimension line showing the width of the top drawer in the drawer stack from the front view.

If you look carefully, you will see that there are a lot of nodes around each upper corner. It would be all but impossible to select the proper nodes without the zoom functions.

Notice that a blue zoom rectangle has been pulled over the upper left corner of the cabinet.

When the mouse button is released, it is easy to locate and click on the corner of the drawer front as shown.

Once the first point of the dimension lines has been established, press Home and the display returns to a full view of the drawing page.

From the full view and while dragging the dimension line, pull a zoom rectangle over the right corner.

Again, when you release the mouse button, the view zooms to the area defined by the blue zoom rectangle.

Again, it is easy to locate and click on the second corner of the drawer front.

Now the dimension line has been established, again press the Home key to zoom back to full view of the drawing page.

From the full view, you can locate and lock the dimension line and text.

This overall technique is critical to making the dimensioning process easy and accurate. It is actually fairly easy to do and should quickly become second nature with a little practice.

Let’s take a closer look at the extension line and some special dimensioning techniques.

Here is a front and side view of a cabinet.

We want to create extension lines between the cabinets and dimension the height.

To do this we need to reset our Drafting Parameters.

We will use these settings to place a dimension line between the cabinets.

Set the Gap to 1/8 inch and set the Overrun to 1.5 inch. Now place the dimension.

As you can see, we use the Overrun to extend the extension line from the dimension line to the cabinet on the right.

Changes to Drafting Parameters affect new dimensions that are placed as well as any dimensions that were highlighted when the change was made.

Next, we will examine how holes are dimensioned.

Shown here is a zoomed image of the inside surface of a cabinet side showing the holes for an adjustable shelf.

Notice that when you place the cursor over the center of a hole, it highlights like a node.

If you click on it and move away, the dimensions of the hole are displayed as shown.

Again, you can position and anchor the text anyplace you want.

If instead of placing the text, you highlight another node, either another hole as shown here, or any other node, and then click on it, a standard dimension display is created between the nodes.

Now, let’s look at how we create a dimension line between the row of holes and the edge of the part.

It is not really possible to dimension directly to the edge line since there are no nodes there.

Therefore, we set the Drafting Mode to Horizontal indicating that we will measure the horizontal distance between nodes.

Then, we find a node that is the same horizontal distance from the hole as the edge of the part.

In this example we are using the top right corner.

After clicking on the upper right corner, we pull the dimension line down creating an extension line that goes through the entire line of holes and provides the dimension display we want.

All of the dimensions we have placed so far have been either horizontal or vertical. It is also possible to dimension the diagonal distance between two nodes.

This requires that we select Set Aligned Dimensioning from the toolbar or select Aligned from the Right Click Menu.

At this point, dimensioning works the same except that the dimension line maintains the same angle as the two nodes that were selected and the distance displayed is not the horizontal or vertical distance between the nodes but instead it is the diagonal distance between the nodes.


Dimensioning in 3D

All dimensioning until now has been measurements in two dimensions. This is specified by the 2D icon. The system also allows for three-dimensional dimensioning. The three-dimensional mode is entered by selecting the 3D icon from the toolbar.

When working in the three-dimensional mode, the distance measured between two nodes is the absolute three-dimensional diagonal distance in space. This is a powerful tool for certain applications but it can also be confusing in some circumstances and can lead to drawings whose dimensions appear to be wrong. We will cover this in detail after we demonstrate the use of 3D dimensioning.

Before we start, notice that the 2D toolbar icon is blue with a red underline. If you also look carefully you will see that the dimension lines while working in 2D are blue with red arrows, the same as the colors of the icon.

The 3D icon is red underlined in blue. You will soon see that dimension lines created in the 3D mode are red with blue arrows, the same as the 3D icon and opposite of the 2D dimensions. Therefore, when looking at a drawing you can instantly tell if a dimension was created in 2D or in 3D. This is IMPORTANT!

To demonstrate 3D dimensioning we copied the base cabinet and pasted it on a new page. We then highlighted it and holding the Shift key and using the left mouse button, we rotated it into this isometric view.

We now select the 3D icon to put us in the 3D mode.

We will now introduce a new Drafting Mode called Free Form. In all the Drafting Modes so far, the extension lines from the node to the dimension line were essentially fixed. Their angle was set and could not be rotated. In the Free Form mode, the extension lines can be tilted to whatever angle is appropriate for proper presentation.

The examples to the left show the same dimension line moved about. This demonstrates the flexibility in positioning the dimension. The actual dimension is the distance in three-dimensional space between the two selected nodes.

Also, in selecting the nodes in 3D, the zoom feature works the same as in 2D.

As you can see, 3D dimensioning offers a high level of flexibility and is especially valuable when dimensioning isometric drawings.

This same capability, however, can cause problems if it is used to dimension two-dimensional drawings or Line Drawing Objects that are positioned in a standard orientation where it appears to be a two dimensional line drawing.

Here is a good example of how you can get into trouble using the 3D mode when dimensioning a 2D drawing.

Look at the actual dimension on each side of the cabinet. Both dimensions were created in the Vertical dimensioning mode and both appear to show the height of the cabinet.

One, however, shows the cabinet to be 34.50” high and the other shows the same cabinet to be 34.86”high. They cannot both be correct, or can they?

Actually, they are both correct, they are just not measuring the same thing. The dimension line to the right, the blue line with red arrows, is a 2D line that measures the height from the floor to the top of the cabinet. The second line, the red line with blue arrows, actually measures the diagonal from the top of the cabinet to the bottom corner of the toe kick as shown. In the front view above, the angle of the dimension line cannot be seen and the viewer naturally misinterprets what the line is measuring. You must take great care when using 3D measuring to not create misleading dimensions like these.

The problem is even more confusing if you use 2D when dimensioning an isometric view.

Here we see three different dimensions between the same two nodes. All are correct but all do not measure the same thing.

The 29.083” dimension is the diagonal distance between the two nodes AS MEASURED ON THE XY PLANE. The 28.594” dimension is the horizontal distance between the two nodes AS MEASURED ON THE XY PLANE. Both of these lines are in blue, indicating that they are 2D measurements. Since the cabinet is not oriented so that you are measuring two dimensional distances, they appear to be incorrect when applied to the cabinet. These dimensions actually depends on the angle at which the object is rotated and have no practical use other than knowing how far the two nodes are apart on the page.

When a person sees a dimension like this between two points, they automatically make an assumption as to what the dimension is measuring, and normally they assume it is measuring a distance on the cabinet. Make sure that the dimension you present is measuring the thing people would normally assume you are measuring.

To avoid these problems, you should restrict the use of 3D measuring mode to isometric rotations and use 2D measurement only when working with a cabinet oriented in a standard 2D orientation (front, side, top, bottom, back). Another way to check for this is that ALL dimension lines should be RED for an isometric drawing and ALL dimension lines should be BLUE for a 2D drawing.

As you work with drawings you will find that a Line Drawing Object can be freely rotated until a dimension is added. Once a dimension is added, the object cannot be further rotated.

An object can be zoomed at any time, even after dimensions have been added. The text size for dimensions on an object does not change in relation to the drawing page as the object is zoomed. Whatever the text size specified, it will remain unchanged with respect to the drawing page as the size of the object increases or decreases. You must highlight the text and use Font Control if you need to change text size.

Once dimensioning is completed, there are some additional features that can be added to the drawing. The first of these is a Leader.

A Leader is a line with an arrow pointing to something and perhaps text on the other end describing what we are pointing to.

A Leader is placed by first selecting the Insert Leader icon from the toolbar or selecting Leader as the Drafting Mode from the Right Click Menu. Now, click where you want the tip of the leader arrow, pull out the leader line and click where you want the tail. Now, type the text you want and press Enter.

Once the leader has been placed, the position of the tail and text or the position of the entire leader can be adjusted.

To leave the arrow tip fixed and move the tail and text, click on the text to highlight it and which holding the Shift key, move the text using the left mouse button. To move the entire leader including the text, hold the Shift key and use the right mouse button.

Shown here is a typical assembly drawing for our cabinet using leaders to designate each part. Notice that the three drawer fronts use a single call letter. This was done by inserting the first two leaders without adding text and then adding the call letter for the third leader. You will need to highlight and reposition the text after it is placed because to the way text is initially placed.

We will use this drawing to demonstrate another feature, tables.

A drawing like this is often accompanied by a lined table listing a description of each part. We will now add such a table.

Click the Insert Table icon on the toolbar and the dialog to the right appears. We will create a table with three columns and eight rows. Press OK.

The table is inserted onto the drawing in the center. Hold the Shift key and using the right mouse button move the entire table to the upper right corner of the drawing as shown.

Next, we will move the vertical lines to the left as shown. As you move the cursor over the lines, they turn magenta, indicating that the system see them. If you click on a magenta line, it highlights in blue. The blue highlighted line can be moved by holding the Shift key and using the left mouse button.

If more than one line is highlighted, they will move together, maintaining their position with respect to each other. Also, the outside lines defining the perimeter of the table can also be moved. To the left we have highlighted the three left vertical lines and moved them farther to the left, stretching the table.

Now we are ready to add text to the table. Text is added by holding the Shift key and clicking on a cell. The cell turns green and then you can type into it. Use the Backspace to erase text. Note that you can highlight more than one cell and any text typed appears in all highlighted cells as shown. Use the Esc key to remove highlights.

Here is the result so far.

To demonstrate other table features, let’s create a title block at the lower right of our drawing. This time we will specify six columns each 1 ½ inches wide and 1 row, one inch high.

Here we see our table after it was moved to the lower right. We will now adjust the vertical lines.

Here we have moved the lines and have highlighted the far right cell. We will split this cell into three horizontal cells. Using the Split Cells icon, we specify one column and three rows. This means that this cell will be subdivided into one column and three rows.

Here you can see the cell we just split. We now highlight the two left cells and will split these in half.

After splitting them in half, we moved the line down and split the right cell again. We have now completed our title block.

We have added titles to some of the cells but have not added specific information about this particular drawing such as drawing numbers, etc. We can now copy and paste this title block to other drawing pages in this job. To copy, highlight any cell and press Ctrl C. Go to the next page and click anyplace on the page then press Ctrl V. The title block will be pasted in the same location on that drawing page as on the original. Any table can be copied and pasted in this manner.

You can also place text on the drawing in any location. Set the font you want and then press the Note icon. Click on the drawing where you want the text located and type the text you want.

Once placed, text can be highlighted and moved as needed.

Also, you can copy and paste text from other applications using the Windows copy and paste commands (Ctrl C to copy and Ctrl V to paste.

One final area to cove for text placement, which applies everywhere text is placed, is Text Line Spacing in Drafting Parameters. Again, Drafting Parameters are accessed through an icon on the toolbar.

This offers a familiar control over the line to line text spacing. As with other Drafting Parameters, changes here affect any new text added as well as being applied to any text that was highlighted when the change was made.

The next area we will cover in the Line Drawing Editor concerns the density of the drawings lines. Because of the technique used to create the image, sometimes lines are broken and not solid as shown in the highlighted area to the left.

It is also possible that interior lines defining shelves or other interior components could bleed through to the front surface.

Because of this effect, which can vary from system to system, an adjustment has been provided. This adjustment is called Line Enhance and is accessed through an icon on the Line Drawing toolbar.

Increasing the number makes the lines more dense. Decreasing the number makes the lines less dense and will eliminate bleed through if it exists.

You need to find the best balance for your applications. Here, we changed the setting from 0 above, which resulted in a broken line, to 3, which closed the line and made it solid. 3 is the system default unless you change it. These changes are on a page by page basis so if your change it for this page, the change will not be applied to any other drawing pages. Each drawing page must be adjusted independently.

The final area we will cover in the Line Drawing Editor is Cabinet Numbers. When cabinets are placed in a Custom Layout each is given a number. This cabinet number is used to identify the cabinet in all areas of the software. If you run a Cut List, Buy List or other reports, you will find cabinets identified by their cabinet number. These cabinet numbers are also associated with the Line Drawing Object of the cabinet in the Line Drawing Editor.

To display the cabinet numbers, click on the Cabinet Number icon in the Line Drawing Editor toolbar. Cabinet numbers, in the current font and text size, are placed over each cabinet.

Once placed, these numbers can be highlighted and moved as needed. Make sure you don’t move them over another cabinet. You can press the Cabinet Number icon at any time and return the cabinet numbers to their initial default locations over the cabinets.

This completes our overview of the Line Drawing Editor. As you have seen it offers a powerful tool for creating almost any type of drawings needed.


Using the Display Part Editor

The Display Part Editor is an area of the software that offers a powerful graphics tools used to add color and texture to three-dimensional objects which can then be used in the Cabinet/Assembly Editor or in Custom Layout.

This process starts with a three-dimensional graphics file that is generated by a third-party software program. The file must be in the .stl or .hsf file format. Many three-dimensional CAD packages can output .stl files. In addition, several web sites provide .stl files for download. Some of these sites charge for downloads and others are free.

The eCabinet Systems web site also has an area where Members post three-dimensional files. Some of these are .stl and others are .hsf, already fully rendered and ready to use.

In addition, in the directory ecabinets/sample_STLs you will find some .stl files that you can process through the Display Part Editor.

Finally, any part in the Cabinet/Assembly Editor or Custom Layout can be exported in the .hsf format and loaded into the Display Part Editor. These can then be textured and saved as .hsf where they can then be used as Display Objects in the Cabinet/Assembly Editor or Custom Layout.

You can export an item, display part or part of a cabinet in the .stl format from the Cabinet/Assembly Editor and then load it into the Display Part Editor where appearance and texture can be added or adjusted. This is especially important for some parts that are modified in the Part Editor. Cabinet parts automatically receive a texture using standard settings. When a part is modified, many times the texture settings do not produce an acceptable appearance. Exporting these parts and then texturing them using the Display Part Editor is a way to improve the appearance.

There is a downside to this, however. When a cabinet part is exported and textured in the Display Part Editor, it is saved as an .hsf file. It is then loaded back into the Cabinet/Assembly Editor as a display part. At this point it is no longer a cabinet part, it is a display part. It will not be included with the cabinet parts in the Cut List and will not be nested with other cabinet parts.

We will describe the operation of this area by creating some examples. You can work along with these examples using your system.

Bring up the Display Part Editor using the icon located in the toolbar at the top.

We will use one of the .stl files from the sample_STLs directory for our example here. We will show how the item changes appearance as various settings are adjusted.

Controls available in the Display Part Editor are shown to the left.

Start by pressing the Load STL/HSF button. We will select the file Sample_Plate1.STL.

The work area in the Display Part Editor is oriented the same as the Overhead view in Custom Layout. When the image first loads, it is oriented as it would appear in the Overhead view in a Custom Layout and is pure black. It can be manipulated using the standard mouse controls and after rotating looks something like this.

We will start by changing color. The Red, Green and Blue at the top control the color of the item. Each can be adjusted from zero to 255. Change the Red to 255 and you get the following:

If you look at the image carefully, you will see that it does not look particularly smooth but has ridges and color variations.

If you look at the controls you will see that Flat is checked as the Render Mode. Change this to Gouraud.

This result is much smoother and more realistic. This might be just the opposite for a flatter part. As a general rule, try both Flat and Gouraud and use the setting that gives the best overall appearance.

Change the Blue Setting from zero to 255.

The plate is now a purple or magenta color.

Changing the Green setting to 255 results in a pure white color. 0,0,0 is a black, 255,255,255 is pure white. Numbers between these can create 24 million different colors.

In trying to determine a color, you can turn to a typical color definition dialog. These can be found in a variety of formats in a lot of different software. You can access one right from this area by pressing the Select Image button and then selecting Add Custom Solid Color and then selecting Define Custom Color>>. Work with the mouse to develop the color you want and then copy the Red, Green and Blue settings for that color into the Display Part Editor.

We have changed the color to a blue and will now show you how the Gloss and Specular controls function.

Here is the plate with both Gloss and Specular set to minimum. It appears flat with few highlights.

Increasing the Specular increases the effect of the color and adds a three-dimensional aspect to the image.

Now, increasing the Gloss makes the surface shinier. Gloss and Specular interact in determining the appearance and you will need to experiment with the settings to get the appearance you actually want.

Checking Transmission On makes the image transparent, like it was made of glass.

The darker and more intense the color, the more opaque the appearance. A pure white color results in an almost perfectly clear glass look.

Both Gloss and Specular still function with Transmission On. High Specular and Gloss result in a clear glass look with a shiny surface. Low Gloss and Specular result in a product that is transparent but with a flat less reflective surface.

The Gloss control makes the surface shiny or reflective. In the real world, as a surface becomes more reflective, it begins to reflect its environment. A mirror is a good example of this.

To simulate this, the Display Part Editor uses a selection called Environmental Mapping. Before this works, you must select an image to reflect. This is done by pressing the Select Image button. Within the selections is a directory called Reflections. This contains images that result in various shiny appearances. These images look a little strange but do create some really nice appearances.

As a general rule, the sharper and more abrupt the contrast between colors the more reflective the surface will appear. As the boundary between colors becomes more gradual, the surface it reflects from will appear less reflective and shiny.

The Mirror control adjusts the brightness of the reflected image, changing the appearance. To the left it becomes less shinny and uses the color set above. As it is moved to the right, it becomes more reflective and takes on more of the color of the image being reflected. You may want to try several of these images and work with the Mirror control to get a feel for the effects you get. Following are some composite images showing the image used and the effect on our plate.

Another way to use an image is to map the image to the surface of the part. Select an image and then select Texture Mapping. There are two additional controls that affect how the selected image or texture is mapped to the surface of the object. The first is Texture Scale and it determines the size of the texture image with respect to the size of the object itself. Increasing the number increases the size of the texture image. The second control rotates the image with respect to the object. Using these is a trial and error process. Rotate the image to achieve the best overall appearance. Here are some images mapped to our plate.

As you can see, the variety of appearances possible is virtually unlimited. You can even use flowered wallpaper to create flower patterns on the plate.

Using the tools just shown, a single object can be colored and textured and given almost any surface appearance. Some items, however, are comprised of two or more components each with a different appearance. It is possible to duplicate these items by loading more than one .stl file and then locating and texturing them individually. They can then be saved as a single .hsf display part.

To demonstrate this we will load another .stl file from the same directory. This time we will use a glass represented by the file sample_glass1.stl. Here you see the original plate and the glass we just loaded. You will notice that the glass is oriented upside down and under the plate. This most likely means that the coordinate system that the glass was created in is oriented differently than the coordinate system that the plate was created in. This is a common occurrence, especially when using files from different sources. The Display Part Editor provides controls that let you invert various axes as needed to match coordinate systems.

It is not absolutely necessary to match coordinate systems, however, if you don’t, objects will rotate and move in the wrong direction when you try to manipulate them. In this case, we will reverse all the axes since not only is the Z axis backward but the glass moves in the wrong direction when you try to move it.

The buttons under Invert Part invert the various axes by depressing them. As you see, the glass has moved to the top side of the plate. We have made the plate transparent to show that it is not, however sitting on the plate but is suspended above it.

It is possible to move or rotate the plate and, in fact it is possible to modify the appearance of either of the two objects individually. Notice at the top that the Number of Part display now reads 0. This is the first part loaded, in this case the plate. Any changes made will apply to just the plate. To select the glass, RIGHT click on it and the Number of Part will read 1. You can now make changes to the glass. Moving parts, however, gets a little more involved.

If you look at the top of the control column you will see an area called Operator. In this area are four selections. The selection determines what moves when you use the mouse controls.

The first is called Camera. When this is selected, everything moves. It is called Camera because it is very much like having a fixed scene and simply moving the camera to view the fixed scene from different directions and orientations. In Camera, the scene doesn’t change, only your view of the scene changes.

This is actually fairly important because the orientation of the object with respect to the real world, the scene, is the orientation the object will be in when it is placed in a room. If you actually rotated the glass on its side in the real world, when you placed it in a room it would be lying on its side.

The next three selections actually move or re-orient the active object. If you select Rotate Part, the active part will rotate with respect to all other parts and with respect to the real world. To the left you can see what happens when we use the Rotate Part function on the glass, which is part 1. You need to hold down the Shift key while using the right mouse button to rotate or move a part.

Here we see our plate and glass positioned next to each other and at a common height as it might be used as a place setting. Doing this required switching between Move Part X&Y and Move Part Z to position the glass next to the plate and adjust the height. It also required us to switch back to the Camera view several times to evaluate how we were doing. Take some time and play with the controls to get familiar with the various operators.

Once the object or objects are complete, you can save them as an .hsf file that can be used by the program. You can specify a directory name and file name. They are saved with your directory becoming a sub-directory of the ecabinets directory because that is where the system looks when placing a Display Object. You can also input a cost for this item and indicate that you want it added to the Cut List. Then, when you add the object to a Job, it is also added to the Cut List and its cost is added to Material Cost.

Developing a pleasing appearance for an object can take some time and effort so, once you develop one that you like, you can save the appearance settings by pressing the Appearance Settings button. From this dialog you can save the current setting, load previously saved settings or delete settings you may have saved in the past. There are several saved appearances already available in this area that you might want to experiment with.


Using the Hardware Hole Editor

The Hardware Hole Editor is an area of the software used to create a mounting hole pattern that is then associated with a piece of hardware. When that hardware is used on a cabinet, the hole pattern is automatically added to the appropriate parts.

Most hardware offered in the eCabinet Systems program already has a hole pattern associated with it. If that hole pattern is acceptable, you need do nothing else. If not, this editor can be used to either create a new pattern or modify the one that currently exists.

The basic approach is to define a geometric hole pattern, save the pattern and then associate it with one or more components. When these components are used on a cabinet, the associated hole pattern is automatically added to the appropriate cabinet parts.

If your parts are to be processed on a CNC router these hole definitions are important because they will be machined into each component. This saves substantial time, allowing hardware components to be mounted to cabinet panels prior to assembly.

The key to using this area is understanding the basic concept behind the layout of the hardware hole patterns.

The single most important point to understand is that the way a hole pattern is defined is different for different types of hardware. The way the pattern is defined depends on the type of hardware the pattern is for. Although the workspace is the same, the procedure is different for different types of hardware. Once you understand this, creating the pattern is fairly easy.

The workspace is a CAD type drawing area bisected by an X and Y Axis. The X and Y Axes are a key to understanding how to develop the hole pattern. The significance changes for the X and Y Axis, based on the type of hardware that the hole pattern is for. For example, for a door hinge, the Y Axis separates holes that are drilled into the cabinet side (those to the right of the Y Axis) from the holes that are drilled in the back of the door (holes to the left of the Y axis). The same Y Axis functions differently when used to define holes for KD/RTA fasteners. Holes to the right of the Y Axis are cut into the edge of one panel and holes to the left of the Y Axis are machined into the face of the mating panel. The Area Overview for this area details the way hole patterns must be located for each type of hardware. You should print out this information and the diagrams and use these for developing hole patterns.

The X Axis is also significant because it defines how the hole pattern is located along the edge. For example, when specifying hinge location for a door, you specify a distance that the hinge is located from the door edge. What you are really specifying is the location of the X Axis in the hole pattern for the hinge. If you locate the holes so the X Axis is in the center of the hinge, you are then locating the center of the hinge.

Understanding Depth is also important. As a general rule, a Minus depth in cut into the cabinet component. The dimension is measured from the surface of the part, so a minus ½ inch depth is drilled one half inch into the part.

Plus depth is primarily used for locating drill holes into a drawer body. On a drawer slide, a minus ½ inch depth and a plus ¼ inch depth for a single location will drill a hole ½ inch deep into the side of the cabinet and will drill a second hole in the same location ¼ inch deep into the drawer body.

Note that even though the drawer body and cabinet side are separated by the thickness of the drawer slide, the hole depth for both parts is measured from the surface of the part and not from a common center point, even though that is how they are displayed.

To demonstrate, we will develop a hole pattern for a hinge and drawer slide. The process for other components is similar.

Above are diagrams similar to those found in hardware catalogs that define the required hole pattern for a component. The diagram to the left is a machining pattern required to attach the hinge to the door and the pattern to the right shows the mounting holes that must be drilled into the cabinet side.

For the particular hinge and overlay we are using, the Tab dimension above is 3mm.

Start by setting up the editor for this task. Since the dimensions in our drawing are in millimeters, go to Settings/Preferences and change Dimension Display to Metric.

Next, since some dimensions are in half millimeters, we will set the Grid to 1mm and the Snap to .5mm. Next, use the plus key to zoom to a comfortable working height.

Start by defining the 35mm hole. The right hand vertical edge of the door is the Y Axis on the drawing. The center of the hole is half of 35, or 17.5mm plus the Tab which is 3mm for a total of 20.5mm.

Set the hole depth, in this case -12.5mm. Then locate the three holes. The result looks like this.

You can view the pattern we just developed in 3D by pressing the View button and using the mouse controls to move and rotate it as shown to the right.

Now let’s place the holes for the mounting plate. These holes are placed to the right of the Y Axis. Leave the hole depth at 12.5mm and locate two holes 37mm from the edge and 32mm apart. In 3D, the final hole pattern looks like this.

Now that this hole pattern is complete, we save it under a name. Then we will associate it to the actual hinge and mounting plate we plan to use. Press Attach to Part and select the type of part and the vendor. Then, select the actual piece and associate it to the hole pattern.

Note that if you are using a hinge and separate mounting plate, you have the choice of creating a hole pattern for the hinge and mounting plate combination and associating it to the hinge or, creating a separate pattern for the hinge and the mounting plate and associating one pattern to each component. If you always use a particular combination you can use a single pattern. If you mix hinges and mounting plates you should probably create a separate pattern for each.

Next, we will develop a mounting hole pattern for a drawer slide. Start with a diagram of the slide that shows mounting hole locations for both the cabinet side as well as the drawer box.

This is a little different than the hinge since all holes are located to the right of the Y Axis.

Holes with a Minus depth are put into the cabinet side and holes with a Plus depth are drilled into the drawer box.

We will start by locating the holes in the cabinet side. Set the minus hole depth and locate the required holes. In 3D, the resulting pattern looks like this.

Now we are going to define holes in the same location but this time they will be in the Plus direction and only half the depth. We have also added two additional holes in the positive direction for illustration. The 3D view of these is:

You will notice a small red area on each hole. This separates the holes that extend above, which are the ones that go into the drawer box, from the holes that extend downward, which go into the cabinet side. In actual operation the holes that extend in both directions can be placed at one time by specifying both a Plus and a Minus direction.

This gives you an overview of the operation of this area. Other types of hardware use the X and Y Axes in somewhat different manners, but the basic principles are the same.


Using the Shape manager

The primary purpose of the Shape Manager is to create shapes or profiles. These shapes or profiles can then be used to create profile tools which can then be used to cut a profile on a cabinet component in the Part Editor. In future releases, the Shape Manager will be expanded to develop and save shapes, such as the shape of a cut-out for a sink, which can then be imported into the Part Editor and added to a part.

Tools created by the Shape Manager are a bit different than what you are used to. You can, of course, create symmetrical tools that will then function like a router bit. In addition, you can create non-symmetrical tools, that is tools that are different on one side than the other or even tools that only have one side.

The tool shape you create in the Shape Manager is swept along a path defined in the Part Editor. The tool does not rotate, it just moves along the path sweeping out the shape, almost magically. Obviously since the tool is not symmetrical, it will create a different result if it is swept along a path in one direction rather then the other. This means that when using non-symmetrical tool, you must pay special attention to the direction you are cutting.

A good way to visualize the way a tool will cut is to imagine you are standing behind the tool shape and it is cutting while moving away from you. This is also a good way to visualize Right and Left directions for tool compensation and other adjustments. We will cover those shortly.

You might wonder whether you could ever cut a profile made by a non-symmetrical tool, especially a groove where the profile on one side of the groove is different than the groove on the other side. Surprisingly, the answer is yes.

The cut is not machined by a traditional tool but instead is “modeled”. This uses a small diameter ball nose cutter and a small diameter square bottom tool. The ball nose tool moves along the profile, shifting over a small distance each pass until the basic shape of the profile has been generated. Then, sharp inside corners are finished using the square bottom tool. This same approach works on a symmetrical cut when the required profile cutter is not available. It can be especially valuable on wide or complex moldings where tooling cost might otherwise be substantial.

Profile tools are created by first creating a closed geometric shape and then using this shape to create the tool. Geometric shapes created in this area can be saved and then loaded and used again.

The Shape Manager operates in a separate window and consists of a basic two-dimensional CAD system. The background grid appearance, axes display and pick box size are controlled through Grid Settings reached through the Grid Settings icon or through the Grid Settings selection from the Right Click Menu.

While working in the Shape Manager, an area to the lower left offers step by step guidance for each function. There is also a place to enter X,Y positions manually.

The point where the X and Y axes cross is the Origin or the 0,0 point. The vertical Y Axis represents the centerline of the tool. The Origin or 0,0 point should be located at the bottom of the shape that defines the tool.

The Zoom Controls allow you to zoom in and out using either the + and – buttons on the display or using the + and – keys on the keyboard. In addition, you can hold the Ctrl key and pull a blue rectangle over the area you want to zoom to.

The Entities button zooms the scene to just include all the entities that currently exist.

The scene can be panned left and right and up and down using the arrow keys. If it doesn’t seem to move, open the Right Click Menu and check that the Pan Move Increment is not set to zero.

A background grid and axes displays can help keep you oriented during the drawing process. These are controlled through a dialog accessed by pressing the Grid icon.

Also, because you are generally working in a smaller scene when creating tools, a Local Settings/Preferences dimension display is available through the Local Settings/Preferences icon. This allows you to select a numeric display for this area that is different than the rest of the program. Changing the numeric display here will not affect the display anyplace else except here.

Geometry is created using a series of tools, accessed through the toolbar or the Right Click Menu. Some of these tools (line, arc, circle and spline) create geometry. Others (fillet, chamfer, extend, trim, move and offset) modify geometry. Together, they can draw any two dimensional geometric shape. The same CAD engine used here is also used in other areas of the program. Once you learn how it functions, you will be able to use it in each of these areas.

Each of the tools that creates geometry requires that points be precisely located. There are two ways to accurately locate points. First, you can type the X and Y coordinate position of the point by typing the X position, then a comma, then the Y position. Be sure to use a – sign for X positions to the left of zero or for Y positions below the zero point although normally the zero position on the Y Axis is the bottom of the tool.

The second way of precisely locating points is to set the grid spacing to an increment from which all required points can be reached and then turn on Snap. The cursor will then position on the grid points and it is simply necessary to move it to the desired point. It is normally necessary to zoom in enough that the individual grid points are far enough apart that they can be accessed easily.

Object Snap is another useful tool. With Object Snap turned on, the cursor will snap to the end point of a line or arc if it is within the Pick Box when the mouse is clicked. This assures that there is a continuous unbroken path between geometric entities which is important when you begin to use the geometry to create a tool.

The tools used to create geometry are straightforward and the Guide Info area displays each step as you do it.

Create lines by specifying each end point.

Create a three point arc by specifying the start point, one intermediate point and the end point.

Create a circle by specifying the center and the radius.

You can also create a Spline curve, which is a smooth curve through several points. Enter the Spline mode and begin specifying points on the curve. Press Esc to exit the Spline mode.

Once created, these entities can be modified.

A Chamfer or a Fillet can be placed at the intersection of two lines or arcs. To modify a Chamfer or Fillet you must first erase the existing Chamfer or Fillet using the Delete mode and then define the new one.

Lines, arcs and circles can be trimmed at their intersection.

To trim a single line at an intersection, select Trim-Trim One, click on the line portion you want to keep, then click on the entity that it intersects with.

If the original line extended past the intersection, it will be trimmed to the intersection point and the section of the line you didn’t click on is discarded.

If the original line did not extend to the intersection, it is extended until it intersects.

To trim two lines at their intersection, select Trim-Trim Two, click on the portion of the first line you want to keep, then click on the portion of the second line you want to keep.

If the two lines intersected, they are trimmed at the intersection point, keeping the portion of each you clicked on.

If either line did not extend to the intersection, it is extended until it intersects.

Note, in either case, arcs extend along the arc path to the intersection.

When trying to create a tool from your geometry, at times, you may be notified that the path you selected is not a closed path. The Trim Two function can be very useful in correcting this. Simply trim each intersection until the open intersection has been closed.

A Circle can also be trimmed. To understand how this works, think of a circle as a 360 degree arc with both the start and end points located at 3 o’clock to the right.

The circle is then made up of two sections, one that starts at 3 o’clock and extends counterclockwise to the first intersection and a second section that starts at the intersection point and extends counterclockwise back to the 3 o’clock or zero position.

When trimming, the section of the circle you first click on will remain and the other section is discarded.

In the above example, if you click on the section labeled First Section and then select the line, the entire arc labeled Second Section is trimmed leaving only the first section.

If you click on the arc labeled Second Section and then click on the line, the arc labeled First Section is trimmed away leaving the arc labeled Second Section.

Sometimes when trimming a circle, you may need to perform the trim operation more than once. For example, if you wanted to keep the arc located above the line, you first need to trim away the first section. Now it is no longer a circle but is an arc and will trim like an arc segment. Perform a second trim to remove the arc between the zero point and the line by clicking on the arc above the line and the trimming to the line.

To keep the arc below the line, click on the second section below the line and trim to the line. In this case, everything from the intersection to the lower left to the zero point will be gone. Then, trim the lower arc back to the line and it is extended until it meets the trim line.

Experimenting with trimming circles combined with the above explanation will make this clear.

Lines and arcs can be extended by a fixed distance by selecting the Extend icon. A dialog will ask for a distance to extend. After entering a distance, whichever end of a line or arc you click on is extended. Note that arcs extend along the curved arc path.

The Offset command, when applied to an entity, either creates an offset copy of the entity or offsets the entity a fixed distance. This command is executed by selecting the Offset icon or selecting Modify – Offset from the Right Click Menu. In the dialog that appears, you set the offset distance and select whether the entity is copied or moved. Then, click on the entity you want to offset and then click the side of the entity you want to offset to.

Offset straight lines are the same length as the original. Offset arcs have the same included angle as the original as seen to the right.

The Move command is used to move and existing entity. The entity must be selected BEFORE the Move command is initiated. Press Esc to cancel any current modes and enter the select mode and click on the entity you want to move. Then press the Move icon or select Modify-Move from the Right Click Menu. You will now define two points. The entity will move a distance the same as the relative distance between the two points.

Entities can be deleted by entering the Delete mode. Press the Delete icon or select Delete from the Right Click Menu and several Delete modes are available.

Single Delete will delete any single entity that you click on. When in this mode, any single entity you click on is deleted.

Inside Window will open a mode where you can pull a red rectangle or window using the mouse. Any entity that is completely within the window is deleted. An entity that touches or crosses the window frame is not deleted, the entity must be completely inside the window.

Inside Intersect Window also opens a mode where you can pull a window, however, in this mode any entity that has any part of it inside or touching the window is deleted.

Finally, All Entities does just what it says, it deletes everything.

Undo can be a lifesaver. It reverses or undoes that last thing you did. It only goes back one step, however, pressing it reverts to the state you were in prior to the last action you took.

Once the geometry is complete, you can create a tool using the Create Tool icon or by selecting Create Tool from the Right Click Menu. To create a tool, you must have closed geometry. This means that the outline must be a continuous closed curve with no gaps or openings.

Tool shapes should generally be drawn symmetrical with their full shape. It is possible to draw a tool whose left and right sides have different profiles and, when applied to a part, it will cut a different profile on each side of the cut. You cannot use a rotating router bit to actually cut this shape, however, as discussed earlier this asymmetrical shape can be modeled using standard modeling tools.

The tool diameter is the shank diameter from the beginning of the cut profile on one side to the cut profile on the other side. This is also generally the diameter of the shank that mounts in the router collet. This diameter will be needed when the tool is applied to an edge in the Part Editor.

To create a tool file you simply need to press the Create Tool icon, then select the closed curve by clicking on it to highlight it. Press the Next button then specify a file name to save the tool under.

We will now develop a simple tool as an example. The image to the right shows the edge part profile we would like to create a tool for.

Open the Shape Manager and select Line Mode. We will use numeric input for this design.

We will make the tool ½” shank diameter.

Start at -.25, 0. This is .25 to the left on the X axis (which is always input first, followed by a comma). The zero means the point is on the Y axis. The plus direction is to the right on the X Axis and upward on the Y axis.

The second point is .25, 0. We now have our first line which defines the bottom of the bit.

It is now a good idea to zoom to the area we will be working in.

Hold the Ctrl key and pull a blue rectangle over the working area.

Here is what we have so far, after zooming.

Notice that we are still in the Line mode. When a mode is selected, you remain in that mode until you either change it or press Esc, which puts you is a default or Select mode. This allows you to select individual entities, primarily so that you can Move them.

We will now create the circle segment on each side of this line. Make sure Object Snap is turned on by right clicking the mouse and verifying that it is checked in the Right Click Menu.

The circles will have a ½” radius so enter the Circle – Circle mode. Input .75,0 for the center of the first circle. Then, place the pick box over the right end of the line and click. A circle is created.

Next, do the same on the left side using -.75, 0 as the center. The result looks like this.

We need to trim the circles, but first we will add the rest of the straight line which we can then use in this trimming process.

Enter the Line Mode.

Draw the first line from .75, 0 to .75, .75.

Draw the second line from -.75, 0 to -.75, .75

Finally, click on the top of the first line and then click on the top of the second line, creating a line across the top connecting the two.

This is the result so far.

We are now ready to trim the circle. This area can get a little tricky so we will detail it step by step.

Select the Trim Mode – Trim Two.

Select the upper left quadrant of the circle marked (1) as the first entity to trim. Then select the upper portion of the line marked (2) as the second entity to trim.

The image to the right shows that the circle from the zero point to the right to the line we selected has been trimmed. The line has also been trimmed, keeping the segment we clicked on.

Now we need to trim the bottom two quadrants of the circle.

In the Trim Two mode, click on the upper left quadrant of the circle indicated by (1), indicating that this is the segment we want to keep. Then click on the line (2).

The result is shown to the right.

Now we are going to trim the left side. The steps here are a little different.

Trim will occur counterclockwise from zero degrees (to the right) to the trim point or from the trim point to zero degrees. In this case, select Trim – Trim Two. Then click on the upper right quadrant of the circle (1) indicating that we want to keep this area and click on the upper portion of the left line (2).

The system will now trim from the intersection of the two entities we selected, counterclockwise to the zero point. This is actually the entire trim we want. The resulting profile is shown to the right.

We can save this geometry if we need to use it again in developing another shape. In this case, we will simply make a tool using this shape.

Press the Create Tool icon, select the geometry we just created and press Done.

A dialog now asks for the diameter of the tool. The diameter requested is the diameter referred to earlier, from the beginning of the cutting surfaces of the tool. For this tool it is .5”.

You can now specify a directory and file name to save the tool under. We will call it “cove5.tol”. Note, the “.tol “ extension indicates a tool file in eCabinet Systems.

Although this is a relatively simple example, it does illustrate several techniques for using the geometry tools in the Shape Manager. As you work with the program, you will develop methods and techniques of your own.

We will now address one additional feature that might be useful, a non-symmetrical tool.

Here we have created a non-symmetrical tool that we can use to make a simulated raised panel door.

Obviously, this tool cannot actually be made as a rotating router bit. It can however, be used in eCabinet Systems to create a machined channel in a part that has a different profile on each side as shown.

Depending on the actual shape, the resulting part may not be able to be machined using traditional techniques.

When sent to a Thermwood CNC router, however, these shapes can be modeled.

Modeling consists of machining with a 1/8 or 1/4 inch ball nose router bit that steps over .01” to .02” each pass as it develops the shape. Square inside corners are then machined using a square bottom bit.

The Thermwood control automatically develops the modeling program needed to make a part if a tool does not exist with the correct profile. Since a non-symmetrical tool doesn’t really exist, any non-symmetrical machining must be modeled.

This ability to model almost any profile without specially ground tooling can dramatically decrease costs when a limited amount of production is needed. It also dramatically increases flexibility for shops that build custom products.

If the channel in the part is cut with a rotating router bit, inside corners are typically round with the same radius as the router bit. If you create a contour with square corners, the inside profile will be squared off as shown.

In this version of the software it is not possible to create a profiled corner on an inside cut that has a radius less than the radius of the router bit at its largest radius. For example, on our tool, the minimum fillet you can use is .75” which is the largest radius of the tool. At least for now, if you want to simulate the effect of the radius corner that results from using a router bit, you will need to use a fillet equal to the radius of the tool. This area will be addressed in future releases of the software.


Benefits of Purchasing Through eCabinet Systems

Purchasing is the key driving force behind the software you are using. It is also an opportunity for you to save a great deal of time and perhaps some money. If you are interested in a CNC router in the future, purchasing through the program can also earn you a discount, perhaps a large discount on a Thermwood CNC router system.

Software similar to eCabinet Systems sells for thousands if not tens of thousands of dollars a copy and costs more EACH YEAR to maintain and update. Your copy of the software did not cost you anything. It was free, but software is not free.

It has taken years and well over a million of dollars to develop eCabinet Systems and it requires a huge investment every year to continue expanding and supporting the software. Portions of the software are licensed from others and in some cases, we must pay them for each copy. Although the software is free to you, it has a very real cost to the program. These bills are paid as the result of purchases that Members like you make through the eCabinet Systems program.

This is a win-win approach for both us and our Members if we both do our part. You buy a lot of items to run your business. Our prices are generally as good as, and in many cases better than what you are paying today. Therefore, purchasing through the program should not cost you anything.

In effect, you get thousands of dollars a year in software and service and if you work with us, it is all essentially free.

In addition, purchasing through the software also gives you an opportunity to earn discounts on Thermwood CNC router systems. By simply requesting it, we will track your purchases and place 5% of them in an account for you. These earned discounts remain in your account for five years or until they are used. At any time you can apply any or all of your account toward the purchase of a Thermwood CNC router system.

You can sign up for this program on the www.eCabientSystems.com web site under CNC Router Discount Program.

Your business requires that you purchase these items on an ongoing basis. It just makes sense to use these ongoing purchases to support the software you rely on and also generate a discount, perhaps a large discount on a modern CNC router system.

These are some compelling reasons to buy through the program but, you do have to change buying habits and for some this is difficult. Difficult as it might be, it is also very important. If you use the software you are changing the very core of how your run your business. These changes will benefit you substantially. While you are making changes, we ask that you also change your buying habits and begin using eCabinet Systems for all your purchases.

If you do, and sales through the program increase, more and more vendors will begin using the program to sell you their products. As they compete with each other, prices, the prices you pay will come down even farther. You will win again.

If however, you, and other Members use the software and use the service and call support and do not support the program and buy through the program, it will become impossible to continue investing in it and the program will eventually fail. At that point you can return to doing things manually on scraps of paper or you can shell out thousands or tens of thousands of dollars to actually buy software then pay every year to maintain it. Should this happen, we all lose.

eCabinet System Members have no legal obligation to purchase through the program. You do, however, have a moral obligation. If you use our tools and benefit from those tools, you should purchase through the program.

We have seen instances where current supplier have matched or even discounted below our prices to try to keep the business from going to eCabinet Systems. If you are getting these discounts, don’t kid yourself, it is strictly because of eCabinet Systems. If you fall for this and decide not to buy through the program because of a few cents difference, the program will ultimately fail. You will lose thousands of dollars a year in benefits and soon, your old higher prices will be back, guaranteed.

This program is based on a truly cooperative approach and places a high level of trust in human nature. If we all work together, we all benefit. If instead, everyone enjoys the program benefits but relies on others to support the program through purchases, it won’t work long term.

The software offers another major advantage to traditional purchasing. It tracks everything you need to purchase while developing the Job and allows you to purchase these with the push of a button. This saves time and your time is worth money. When analyzing costs, be sure to take into account the time savings in addition to actual component cost.


Using the Shopping Cart

The buying process in eCabinet Systems is actually quite straightforward and easy. We will go through the process in detail but you do not need to deal with most of the details unless you want to.

Buying is a two phase process. First, the Shopping Cart is used to gather items you want to purchase. Then you go through a checkout process.

A Shopping Cart is associated with each Job. If you have two Jobs, there is a separate Shopping Cart for each Job.

There are two ways to put items into the Shopping Cart. First, purchased items from Batch Input and Custom Layout are automatically placed in the Shopping Cart. These are items associated with cabinets in those areas. This also includes purchased items that were added to the Custom Layout. This happens automatically unless you indicate you don’t want them.

The second way to add items to the Shopping Cart is to simply go shopping, select the items you want and add them manually.

During checkout you will fill out several forms indicating where to ship and how to pay. You only need to fill these out once. Once the information is input, it is stored and will be filled out automatically for you on subsequent orders. The only exception is your credit card information which, as a security measure, is not stored on you local computer where others may be able to hack it. In order for us to get paid, your credit card information must be retained on our highly secure server, therefore you can request that a card used previously be used again when you place a new order to save you the effort of inputting the data again.


Adding Items from Batch Input and Custom Layout to the Shopping

Adding Items from Batch Input and Custom Layout to the Shopping Cart

As you add cabinets and items to a Job, either using Batch Input or by adding them to a Custom Layout, the system tracks the items that must be purchased for the Job in the Buy List. You can print out or display a copy of this Buy List whenever you want. The list is dynamic and changes any time you change the Job.

A checkbox in the Shopping Cart determines if you want to add the items from the Buy List to the Shopping Cart. This checkbox, labeled Automatically Include Buy List can be checked or unchecked at any time.

If it is checked, all the items needed for your Custom Layout plus all the items needed for the cabinets added in Batch Cabinets are automatically added to the Shopping Cart along with any vendor items you may have added to the Custom Layout.

If you uncheck it, only items that you specifically add (we will cover that shortly) are in the Shopping Cart and none of the items required for either the Custom Layout or Batch Cabinets are included.

When you check Automatically Include Buy List, the Shopping Cart reflects the current Job. If you leave the Shopping Cart and make changes to the Job, when you return, all changes will be reflected in the Shopping Cart. The Shopping Cart always knows exactly what you need for the Job.


Manually Adding Items to the Shopping Cart - Overview

From the Shopping Cart area, you can go shopping. You can explore all the categories of product offered and add any of them to the Shopping Cart. Let’s take a closer look at this process.

Three fundamentally different types of product can be added to the Shopping Cart. These are selected by three red buttons located at the upper right as shown.

The Add Drawer Box selection and the Add Door/Drawer Fronts selection both refer to purchasing these items from Conestoga. Each includes a dialog area that allows you to define the specific items you wish to add.

With respect to doors and drawer fronts, the items added here are in addition to doors and drawer fronts that are already on cabinets in the Job. When you add a door or drawer front to a cabinet, if you specify either Purchase Finished or Purchase Unfinished, the door in the correct size and specification is automatically added to the Buy List and subsequently to the Shopping Cart.

You will use this area when you want to specifically purchase doors or drawer fronts of a specific size and design in addition to any doors or drawer fronts already in the Job.

The Add Drawer Box area is used to order high-quality drawer boxes from Conestoga.

The third area, Add Components allows you to select from thousands and thousands of items that can be purchased through the software. These items include the typical cabinet hardware and components but extend to include almost anything a cabinet shop might need. Selections include tooling, sandpaper, tape and other disposables, virtually every type and size nut, bolt screw and nail, a wide variety of hand tools and almost anything else you can think of.

The cost of any items added to the Shopping Cart is automatically added to the Cost Sheet for that Job. If you want a purchased item added to the cost for a Job, load the Job and then add the item to the Shopping Cart for that Job.

You may want to purchase many of these items separate from a cabinet Job. In this case, start the software and go immediately to the Shopping Cart. There you can select and buy the items you want. As soon as you add an item to the Shopping Cart, a Job is created but the Job only has Shopping Cart items in it. The Buy List and Cut List are both empty but the Cost Sheet reflects the cost of the items in the Shopping Cart. At this point, you can save the contents of the Shopping Cart as an eCabinet Systems Job file (.esj).

This can be quite useful if you purchase the same items on a regular basis. Simply put the items in a Shopping Cart and save the Job. Then, any time you need the items, you can load the Job, go directly to the Shopping Cart and buy them.


Adding Drawer Boxes to the Shopping Cart

This area allows you to define and add dovetail drawer boxes available from Conestoga to the Shopping Cart. You must determine the drawer sizes required and enter them here. This, however, is not difficult, as you will see.

If you run a Cut List for your Job, there is an area that provides you with the outside dimensions for the drawer boxes you will need. It is simply a matter of printing this list out and entering it here.

If you recall, when you set parameters in the Door/Drawer dialog in Construction Settings, you specified some information about the drawer boxes. This information is used to determine these sizes.

Shown here is the Construction Settings area where the drawer box size was determined. Drawer box size is set using a series of minimum dimensions. Since the drawer box is only available in certain incremental sizes, the software will assign the first available size for each dimension that meets the minimum requirements.

For example, the Left and Right Insets are available in 1/16 inch increments. You should set this increment to provide adequate clearance between the drawer box and the cabinet side for the drawer slide you selected. In this way you are assured of at least the minimum clearance although the actual clearance could be up to 1/16 inch greater. Slightly more clearance is much easier to handle than slightly too little clearance.

So, from the settings you used when the cabinet was designed and the dimensions generated by the Cut List, you are ready to specify the drawers you want.

The Height, Width and Depth of each drawer box needs to be entered in the drawer box dialog as shown.

The only thing you need to watch is that the drawer boxes are not available in every size. They are available in certain increments so you must determine which way to round the number for your application. In general, you should round in the direction that makes the drawer box smaller, rather than larger, to assure proper clearances. In most cases, however, because of the rounding that goes on in the Cut List, you should be able to just use the sizes provided.

As we said earlier, we hope to better integrate this into the design process in future releases.

There are quite a few options and specifications that you can select for your drawer boxes. The software does a good job of describing and explaining these using the Detail buttons so we will not go over each here.

One really nice feature is the ability to determine the exact cost for any combination of features and options. Just press the Update Cost button to calculate a cost for the drawer box as currently specified.

When you are done just press the Add button and the drawer or drawers if you are buying more than one of this size, are added to the Shopping Cart.


Adding Components to the Shopping Cart

To reach an area where you can add a wide variety of items to the Shopping Cart press the button labeled Add Components.

This opens the huge vendor database. Now all you have to do is find what you want.

You have two choices. You can search the entire database for a part number or using words from the description or you can select the category of product you want from the list.

Most items needed by cabinet shops are found in the Cabinet Supplies area, however, power tools, tooling and other items are found throughout the offering.

You might want to explore the offering to become familiar with the types of products offered and the general layout of the vendor database.

The software may include vendors that you may not be familiar with. You can access a descriptive page that describes the vendor through the Help menu at the top of the page. Select About Vendors and then select the vendor you are interested in.

Once you select a category, you are presented with a list of item types for that category.

You now have a choice of how to proceed. You can select the item type, and then select vendor and browse to find the item you want.

You can also search the entire database for the part using the Search button. From this page, the entire database is searched, both the part number field as well as the short description field. If you know the manufacturer’s part number, you can simply type it here and press Search. This will take you directly to the part. You could also search for the part by its description, “pull” for example.

From this screen, or the previous one, the Search button will search all offerings for all vendors. Once a vendor is selected, the Search button only searches that vendor’s product offering.

You can tell if there is an active vendor by looking at the center top for the vendor’s logo. If a vendor logo is displayed, it means you are working within that vendor’s database. Any Search command will only search that one vendor’s database.

If, on the other hand, there is no vendor logo as seen on the first screen, the Search command will search every vendor database in the system for the part number.

It might help if you understand how eCabinet Systems handles part numbers. Part numbers for hardware and cabinet supplies in the software start with a two letter identifier followed by a dash and then the remainder of the number. These first two characters are the vendor identifier and are unique for each vendor. AM- for Amerock, HF- for Hafele, BL- for Blume, WT- for Wood Technologies, etc.

This two letter identifier is then followed by the part number the vendor uses to identify the component. When you search for a part you should use the vendor number without the two letter identifier just as the vendor supplies it.

The Search function returns a listing of every part that matches, either from the complete database, if the Search was conducted from one of the main screens or from the single vendor database if Search was run from a vendor screen.

The results are presented in pages of twelve.

At the bottom of each page you are shown the item numbers for this page, the total number of items and an area to click to bring up the next page of items.

The vendor database is presented to you in HTML format so the Back and Forward navigation icons work. These make navigation fast and easy.

The Favorites button offers a short cut to those items you purchase regularly. Pressing it opens a listing of all of the items you have added to the Favorites. There are a couple of ways to order from this list.

You can select items, one at a time, and add them to the Shopping Cart. A quantity dialog will appear for each part where you can specify the quantity of that part you want to order.

As an alternative, you can place a check mark in front of every item you want to add to the Shopping Cart and select Add Checked Items to Cart. In this case, you will be offered a single quantity dialog where you can specify the quantity. This same quantity of every item selected is added to the Shopping Cart.

If you need different quantities for different items, it is probably easier to add them all at once and then adjust purchase quantity in the Shopping Cart itself.

The decision as to whether to add items from My Favorites one item at a time or as a group using the check boxes is based on your preference. The final result is the same.


Adding Doors and Drawer Fronts to the Shopping Cart

This area is used to add doors and drawer fronts to the Shopping Cart. If you only want to purchase doors and drawer fronts for cabinets you have added to the Job in either Custom Layout or Batch Cabinets, you do not need to add any doors or drawer fronts here. Doors and drawer fronts for cabinets in the Job are automatically added to the Shopping Cart provided you check Automatically Include Buy List and you specified that the doors and drawer fronts are either Purchased Finished or Purchased Unfinished when you placed them on the cabinets.

Since currently the only outside source for purchased doors and drawer fronts is Conestoga, this area offers a simple way of purchasing Conestoga doors.

If however, you want to add additional doors and drawer fronts or simply want to place an order for these, this is the proper place.

When you press the Add Door/Drawer Front button, the Door/Drawer Front Designer opens. You can now select a door or drawer front design you previously designed and saved or you can develop and save new designs. You could also just develop a door design and add it to the Shopping Cart without saving it but we do not recommend this. If the design is worth developing and ordering, it is worth saving.

We are not going to detail operation of the Door/Drawer Front Designer which is covered in another section. Once the design is ready, however, we are ready to add it to the Shopping Cart. Press the Add to Cart button to bring up a dialog used to create a list of quantity and sizes of this item that you want to add to the Shopping Cart.

This dialog has been developed to work as a standard data input screen and makes it easy to enter lists of required sizes.

You step between fields using either the Tab or the Enter key. Shift plus Tab steps back one field.

To add a line, type the quantity, Enter, Width – Enter, Length – Enter and then press Enter again to add the line to the list. This blanks all the fields and moves you back to the first, Quantity field where the process starts again.

With just a little practice, data entry of even long lists of doors can be both quick and easy.

Once all the sizes of this design have been added, the list can be edited.

To delete a line, highlight it by clicking on it as shown. Now you can press the Delete button or use the Delete key on the keyboard.

To change any field in the list, first highlight the line and the double click on the field you want to change. It will highlight as shown and you can then make the necessary changes.

When the entire list is complete and correct, press the OK button to add it to the Shopping Cart.


Understanding the Shopping Cart Layout

The layout of the Shopping Cart has been carefully thought out and contains a huge amount of information. Understanding the layout and use of the Shopping Cart will make the entire purchasing process more comfortable.

The first thing you will notice in the Shopping Cart is the name and image of each item as shown. This tells you the vendor and part number. If you double click on any image it takes you directly to a full description, a larger image, pricing and any other information available for that part.

You will notice that doors that were added to the Shopping Cart using the Add Door/Drawer Fronts can be opened in the Door/Drawer Designer by double clicking on them, allowing you to examine all the details of the design. You can make changes; however, the changes are NOT automatically made to the door already in the Shopping Cart. Items can be added to or removed from the Shopping Cart but they cannot be modified while in the Shopping Cart.

If you want to change characteristics of a door in the Shopping Cart, you can make the changes right here using the Door/Drawer Designer and then you can add the new design to the Shopping Cart as a new entry. Then, when you return, Remove the old entry.

Doors in the shopping cart because they are part of a cabinet cannot be opened.

The only way to change them is to actually change them on the cabinet itself.

The next column is the total number of the item in the Shopping Cart. This is how many you need, it is not necessarily how many you will buy.

When you move through the purchasing process, you will determine exactly how many you want to buy. Right now, this is simply a list of how many you need based on this Job and how many you manually added.

The next four columns tell you where the quantity actually came from. The column we just looked at told you the total number of each item you need. This area tells you what you need these for.

Added Items are those items you manually shopped for and specifically added to the Shopping Cart. Other than you saying you wanted to buy them they have no other tie to the Job or to any other part of the software.

Because you added these manually, you can edit them right here. Press the Remove button to remove the entire item from the list. If you want to change quantity, click on the quantity and a dialog will open allowing you to change the number.

The last three columns show how many of each item are needed for other areas of the software. Custom Layout Cabinets means that this is the quantity of the item needed to build cabinets installed in the Custom Layout area.

These numbers are fixed and you cannot change them here. This is the number of items needed for the cabinets you installed and the only way to change it is to change the number of cabinets installed. Again, you don’t necessarily need to buy all these, this is simply a listing of the requirements for this Job. The amount you actually purchase is determined later.

The next column, Batch Cabinets does the same thing for cabinets placed in the Job through the Batch Cabinets area.

The final category is for Display Objects. In the Custom Layout area, you can select and position many items available from vendors. The thing that determines whether you can display an object or not is whether there is a three-dimensional image available for it. If there is, it can be placed in the Custom Layout as a Display Object. When this happens, the item shows up in the Shopping Cart in this column.

Again, you cannot change the number here, but remember, this is not the quantity you will buy, it is the quantity you need. Once you click Order Now, you can then specify the quantity you want to buy.

Before we order, we need to understand the Unit Description column.

This column describes exactly what you buy for the Unit Price. It lets you know if you are buying a piece (ea.), a box of 100, a set of three, etc.

Most items are available by the piece but there are exceptions, primarily for relatively low cost items such as screws, fittings, etc. In the case of these items, the software determines how many UNITS you need for the Job. For example, if you have a Job that needs 260 KD fasteners and they come in boxes of 200, it will indicate you need 2 Units (boxes). In these cases, you need to factor in the number of these items you have on hand and adjust the order quantity accordingly.


Placing the Order

Now, let’s place the order. Click Order Now.

Here we see the same information reorganized into a Buy Now purchase order. Unlike the Shopping Cart which showed the quantity of each item you need for the Job, the Buy Now purchase order shows the number of items you will buy as the Order Qty. Let’s look at this form in more detail.

The center columns circled above provide detail from the Shopping Cart showing the quantity of each item required for various areas of the Job. The various quantities in these columns cannot be changed because they are simply a list of what is needed for the Job, and what you need is what you need.

The Order Qty column circled above is the QUANTITY YOU WANT TO BUY.

This quantity is initially set equal to the total number of items you need for the Job.

You can change the quantity to either more or less than what you need. If you not want to buy any of a certain item, set the quantity to zero.

To change quantity, click on the number you want to change and the Enter Quantity dialog appears. Change the number and press OK.

Now, let’s focus on the bottom part of the order form.

The black circled area is a summary of shipping costs for this order. Each vendor or source of product ships directly to you so there is normally a shipping cost associated with each. If no shipping cost is shown for a vendor it means that shipping is included in their price. This area details the exact shipping cost from each vendor. This is how much you will be charged for shipping.

The red circled area is used to specify shipping method. If you change shipping method, the system will calculate and display the new shipping costs.

Note that Conestoga shipping is stated as Unknown. In the case of doors and other large items, shipping is calculated on a per order basis depending on the overall order and shipping distance. In these cases you will be contacted directly with shipping cost and YOU MUST AGREE TO THE COST BEFORE YOUR ORDER IS PROCESSED. Until shipping cost has been communicated to you and you specifically agree, that portion of your order will not be processed. eCabinet Systems can provide a quotation for shipping prior to you placing the order should you want. Contact them directly for this type of quote.

The total purchases, total shipping, taxes and total order are then detailed at the bottom. Your account number is also shown.

If this is all correct and you wish to proceed, press the Submit Order button.

You will then see the Security Alert screen verifying that the coming transmissions will be fully encoded and secure.

Press OK.

You are now presented with Billing and Shipping Information form. You will only need to fill this out one time and the information is then stored in your system and will be automatically entered when you access this page again.

Note that the fields with a red asterisk must have an entry. The Billing Information is actually the address at which you receive your credit card bill. The name on the card and the Billing Address must match to avoid problems in billing.

You may notice that the Shipping Address information is all optional. If the shipping address is the same as the billing address you do not need to enter the information here. If, however, you want the product shipped to a different address than where you are billed you must complete the Shipping Information.

Note that we cannot ship to a PO Box.

Once your billing and shipping information is entered, it will be stored and automatically supplied the next time you access this form.

You may change the information any time you want, however, we attempt to monitor changes for security purposes, especially when the shipping address is significantly different than the billing address. If you make changes to your account information between Jobs we may need to call you to verify that you actually placed the order before actually processing it.

The final step is entering your payment method. Payment for purchases through eCabinet Systems is via credit or debit card. You can supply the information required here or, if you do not want to transmit your credit card information, you can submit the order and then call us with your credit card information. To do this simply select Phone In and submit the order.

One important fact to note is that we do not store your credit card data in your local system. This is for security purposes. We do maintain it in our secure system for billing purposes so, once you place an order, you can simply select Use Card on File and we will use the same credit card you used on the last order.

When you press Submit Order, you are presented with a final summary of the order, in detail as shown to the left.

If the information is all correct, press the Send Order Now button at the bottom.

Your order is then sent. It uses the Internet for communications. The communications are directly from your computer to the eCabinet Systems server.

If your default web browser is not open the system will ask for permission to open the web browser.

At his point you will receive the receipt shown to the left. If you receive this, we received your order.

This is actually a reflection of what we received. We get your data, store it and then generate this receipt from our files. If it is correct, you are assured that we have the correct information in our files. The receipt also contains a telephone number to call if you have any questions at all.

The receipt is a full document much like the Order Summary we just looked at. It is stored as a file in the receipt file directory and can be accessed at any time using the File – Receipt File menu selection at the top of the page.

Remember we are a cooperative in every sense of the word. We want to make you money as we try to make money. If you have any problems at all, please let us know. If you made a mistake on the order or have any other problem, just give us a call and we will try to fix it. Standard commodity items like hardware are easy to fix. Products specifically built for you like doors can be a bit more difficult, depending on how far the vendors are into the building process. In either case, give us a call with any problem at all and we will do our absolute best to try and help.

By the way, THANKS FOR THE ORDER !!!


Combining Shopping Carts in the Master Purchase Order

There is one more aspect to purchasing. Once you become comfortable and confident in your purchasing activity, there is a way to group purchases from more than one Job in a single order. It is called the Master Purchase Order.

The Shopping Cart we have been working with is part of the Job we have been working on. When we load a new Job, we get a new Shopping Cart. If we reload this Job, we get this Shopping Cart back.

The Master Purchase Order is not part of any Job. It exists as a stand-alone independent entity. You can access the Master Purchase Order from any Job, however, the Master Purchase Order is the same one, regardless of which Job you access it from.

Unlike the Shopping Cart, there is no way for things to automatically show up on the Master Purchase Order. You must specifically send things to the Master Purchase Order.

The things that are sent to the Master Purchase Order are the complete contents of Shopping Carts. The contents of an entire Shopping Cart is sent to the Master Purchase Order by pressing the Add to Master PO button. There is no way to send a partial list or just a few items, the complete Shopping Cart is sent each time Add to Master PO is pressed.

If you just want to send a few items, start a new Job, place the items in the Shopping Cart for the new Job and send it to the Master Purchase Order.

Another important concept is that, within the Master Purchase Order all the items from a particular Shopping Cart are associated with that cart and the cart is identified by the Job name. If you already sent the contents of a Shopping Cart to the Master Purchase Order and you send it again, the system first removes all the items currently existing for that Job and replaces it with the current contents of the Shopping Cart.

This means that you can update the Master Purchase Order from a Shopping Cart at any time by just pressing the Add to Master PO button. And, you can press the Add to Master PO button as many times as you want and all it does each time is make sure that the requirements in the Master Purchase Order match the requirements in the current Shopping Cart.

This also means that the Job you are working on must have a name and must have been saved so that the Master Purchase Order knows what Job name to assign. It is common to get to this point before ever having saved the Job so, should that happen, a dialog appears asking you to save the Job.

The dialog can be a bit confusing because it doesn’t specifically tell you what you are saving. You are, in fact, saving the Job under a Job name so that the Master Purchase Order can assign a Job name to the items you are sending to it.

We now end up with a document that looks much like the Buy Now purchase order we worked with in the Shopping Cart with a couple of additions.

The first thing you will notice is that items are grouped by Job. All the items for a particular Job are together and are identified by the Job Name.

Notice that our Job, which we just saved under the name User Guide Job is circled.

The four columns showing the origin of the quantity requirements remains the same. Again, this is simply the quantity of items you need for that Job.

The Order Qty. is the quantity of the item you plan to purchase, and as before, it can be changed at will.

In addition, there are some other controls for managing the contents of the Master Purchase Order.

There are two buttons at the upper left of each Job that affect the entire Job within the Master Purchase Order.

The first, Clear All leaves the Job in the Master Purchase Order but clears all items from the Job.

The second, Remove removes the Job and all items associated with the Job from the Master Purchase Order.

In either case, the Job and all associated items can be added back by going to the Shopping Cart for that Job and pressing the Add to Master PO button.

At the bottom you will notice that there is a single shipping cost for each vendor even though you are buying for two or more Jobs. This is the real benefit of the Master Purchase Order. The only negative is that you must wait to purchase until two or more Jobs are ready. If you run several Jobs a day or even several Jobs a week this might make sense. If you don’t, then it is probably better to send each Job in one at a time using the Buy Now approach.

Once you press the Submit Order button, the procedure is identical to that we just covered in the Buy Now process.

A feature of both this area and the Buy Now process is that they are operating using HTML so you can move back and forward through the screens using the navigation icons.

Once the Master Purchase Order has been successfully sent, it is cleared and ready to begin collecting Shopping Cart items for the next order. A receipt file is generated, just like the Buy Now process.

The same satisfaction guarantee and return policy applies to orders received thorough the Master Purchase Order as applied to the Buy Now order.

Once you use this process and these screens a few times they become easy and comfortable. They are actually much harder to explain in a guide like this than to actually use.

An again, we want to stress the importance of purchasing through our program. When you need something, anything, check and see if you can get it through eCabinet Systems first. When you compare prices, please remember that the eCabinet Systems cooperative gives you software, technology and support worth thousands of dollars a year so if the prices are close you should support the people that are supporting you.


Hot Keys

Throughout this guide we have been describing the functioning of the software based on the use of menus and mouse selections. There is another way of operating the software that, once learned, is substantially faster and easier, Hot Keys.

Most of us are familiar with hot keys. In most software a key or combination of keys can be used to perform functions that otherwise require menu selections using the mouse.

Hot keys do require learning. You must learn, and then remember the key or sequence of keys needed to launch a function. If, however, you plan to make extensive use of the software it makes sense to learn these key sequences because they will dramatically speed your input. For example, in a typical three level selection you must first set a mode by moving to and clicking on a mode button or icon. Then you must double click or right click to bring up a menu. Then you must move to and click on the menu selection. This opens additional selections. You must then move to and make the final selection.

Or, you can type three letters.

You do have to know and remember the three letters but just see how fast it is if you do.

You can get a list of all Hot Keys from the Help menu. We suggest that you print out the Hot Key list from the Help menu and keep it handy.

Let’s look at the operation of the Hot Keys one area at a time.


Main Screen:

F1 = Help

Ctrl + N = New Job

Ctrl + O = Open Job

Ctrl + S = Save Job

Ctrl + P = Print

Ctrl + E = Settings/Preferences dialog

Ctrl + Z = Undo last Action

Ctrl + X = Cut

Ctrl + C = Copy

Ctrl + V = Paste

The Main Screen Hot Keys consist of essentially commands that use the Ctrl key plus a letter. To function the Ctrl key needs to be held down when the letter key is pressed.

Most of these keys are the same as hot keys in Windows so many of you may already know them.

Some of these Hot Keys, Ctrl + C, Ctrl + V and Ctrl + Z are used in many areas of the software. Any time something needs to be copied or pasted, the standard Ctrl + C and Ctrl + V can be used. These should be used by pretty much everybody. There are a lot of places in the software where this is required and these are real time savers.

So is Ctrl + Z. This is the standard Undo command. It generally reverses the last thing you did. In Version 3.0, the Ctrl + Z or Undo command only works to restore an item that was inadvertently deleted in the Drawing Editor or in Custom Layout. It may be expanded in the future to other areas, but in its current form it can be a real lifesaver if you didn’t realize certain items were highlighted until you accidentally delete them. If you remember Ctrl + Z it is quickly restored. Be sure to restore as soon as you realize you have a problem. As you continue to work, certain commands eliminate the possibility of restoring deleted items. Once you process one of those items, you are out of luck.

Also, if you change dimension display often, the Ctrl + E keys quickly open the Settings/Preferences area.


Cabinet/Assembly Editor:

F12 = Returns to the full screen view.

Home = Reset to the Front view.


Wall Editor:

Ctrl + A = Selects all walls when in overhead or all geometry when in elevation view.

Home = Zooms the screen to its full extents. (except when focus is on an entry box)

R = Reverses the Build direction of the wall currently being drawn or the highlighted wall(s).

S = Brings up the Right Click Menu in the Select Move Mode.

P = Brings up the Right Click Menu in the Place Item Mode.

F2 = Toggles between Select and Create mode.

F3 = Toggles Object Snap on or off.

F6 = Toggles Angle Snap on or off.

F7 = Toggles Screen Grid on or off.

F8 = Toggles Ortho mode on or off.

F9 = Toggles Cursor Snap on or off.

Arrow Keys = Pans the View area by the currently set move increment (except when focus is on an entry box)

Shift + Arrow Keys = Moves highlighted items by the currently set move increment.

+ Key = Zooms in on the view area.

- Key = Zooms out on the view area.

Delete Key = Deletes the last created wall or deletes currently highlighted walls or geometry items.

Esc = Aborts line, rectangle or circle creation as long as the second point has not been entered or deselects all highlighted items.

Shift + Home = When in elevation view will return back out to overhead view (must be in select mode).

Left Click + Drag Window = Creates a Select window. Any wall or geometry that exists inside the window will be highlighted once the left button is released.

Ctrl + Left Click + Drag Window = Creates a Zoom window. Zooms to the extents of the window once the left button is released.

Double Click on a Wall = In overhead will take the wall to elevation view (must be in select mode).

A = Adds highlighted geometry to a wall (elevation view only).

C = Cuts highlighted geometry from a wall (elevation view only).

N = Sets highlighted geometry to a neutral state (elevation view only).

There are a lot of things to remember here, but there are some great tools. Some of these should be learned and used by everyone while others are more for power users.

The Esc key is one of those that everyone should remember. Any time you are in the middle of anything and want to stop, the Esc key is a good bet. Most times it will do exactly what you want.

The final area for Hot Keys is Detail Room.


Detail Room:

Ctrl + A = Selects (highlights) all items in the room. (Excludes windows and doors placed on walls)

F2 = Toggles between Select and Place Item mode.

P = Opens the Right Click menu in Place Item mode. Allows further selection of hot keys listed in the menu.

S = Opens the Right Click menu in Select mode. Allows further selection of hot keys listed in the menu.

D = Moves highlighted display objects down by the currently set move increment.

U = Moves highlighted display objects up by the currently set move increment.

W = Switches display to wireframe.

Arrow Keys = Pans the View area by the currently set move increment.

Shift + Arrow Keys = Moves highlighted items by the currently set move increment.

+ Key = Zooms in on the view area.

- Key = Zooms out on the view area.

Delete Key = Deletes the last Cabinet placed or deletes currently highlighted items.

Esc = Cancels the active placement items or deselects all highlighted items.

Home = Zooms the screen to its full extents.

Shift + Home = When in elevation view will return back out to overhead view.

Left Click + Drag Window = In Select Mode, creates a Select window. Any wall or geometry that exists inside the window will be highlighted once the left button is released.

Left Click + Drag Window = In Place Item Mode, Creates a Zoom window. Zooms to the extents of the window once the left button is released.

Ctrl + Left Click + Drag Window = In any mode, Creates a Zoom window. Zooms to the extents of the window once the left button is released.

Double Click on a Wall = In overhead will take the wall to elevation view (must be in select mode).

It is in the Detail Room area where Hot Key sequences can save the most time. The listing of Hot Keys above include those that function from the Main operating area. Two of these keys, P and S open the Right Click Menu where additional hot keys are available.

P opens the Right Click Menu in the Place Item Mode and S opens the Right Click Menu in the Select Move Mode. Once the Right Click Menu is opened, additional Hot Keys access other menu selections. The Hot Key required to access the menu selection is shown to the right on the menu. By knowing the key to open the Right Click Menu, the menu can guide you through the remainder of Hot Keys.

From these, key sequences develop that directly access certain functions. Although you do not need to memorize these sequences, since you can look them up each time you open the Right Click Menu, it is quicker if you do. You can actually complete typing the sequence before the menu appears. Let’s look at the sequences.

PC – switches to the Place Item Mode and brings up the dialog where we choose the item to place.

PA – when placing a cabinet in the Place Item Mode this brings up the dialog where the angle is controlled.

PL – locks and unlocks the angle of the cabinet being placed in the Place Item Mode.

PIF – sets the Freestyle mode for placement in the Place Item Mode.

SIF – sets the Freestyle mode for moving items in the Select Move Mode.

PIB – sets the Align to Back mode for placement in the Place Item Mode.

SIB – sets the Align to Back mode for moving items in the Select Move Mode.

PIR - sets the Align to Front mode for placement in the Place Item Mode.

SIR - sets the Align to Front mode for moving items in the Select Move Mode.

PIC - sets the Align to Center mode for placement in the Place Item Mode.

SIC - sets the Align to Center mode for moving items in the Select Move Mode.

SSN – removes selection from all items in the Select Move Mode. Ecs key does the same thing.

SSA – selects and highlights all items in the Select Move Mode.

SSC – selects and highlights all cabinets in the Select Move Mode.

SSP – selects and highlights all appliances in the Select Move Mode.

SSB – selects and highlights all base cabinets in the Select Move Mode.

SSU – selects and highlights all upper cabinets in the Select Move Mode.

SD – delete all highlighted items in the Select Move Mode. The Delete key does the same thing.

SJAD – this will change the doors on all highlighted cabinets to the current default door. You must be in the Select Move Mode to highlight the cabinets.

SJAF – this will change the drawer fronts on all highlighted cabinets to the current default drawer front. You must be in the Select Move Mode to highlight cabinets.

SJAP – this will change the door pulls on all highlighted cabinets to the current default door pull. You must be in the Select Move Mode to highlight cabinets.

SJAU – this will change the drawer pulls on all highlighted cabinets to the current default drawer pull. You must be in the Select Move Mode to highlight cabinets.

SJF – this will duplicate the highlighted cabinet in both directions to completely fill the wall. You must be in the Select Move Mode to highlight a cabinet.

SJC – this opens the Cabinet End dialog for the highlighted cabinet where you can define an applied end on the cabinet. You must be in the Select Move Mode to highlight a cabinet.

SJR – This will duplicate the highlighted cabinet to the right until the wall is filled. You must be in the Select Move Mode to highlight a cabinet.

SJL – This will duplicate the highlighted cabinet to the left until the wall is filled. You must be in the Select Move Mode to highlight a cabinet.

SJE – this will take the highlighted cabinet to the Cabinet/Assembly Editor where it can be modified. You must be in the Select Move Mode to highlight a cabinet.

SJX – expand the width of the highlighted cabinet until it just fits the space it is currently in. You must be in the Select Move Mode to highlight a cabinet.

SJM – this is reserved for the Merge/Separate command although the command is not available in this version.

SJS – this opens the ReSize/Equalize dialog where you can resize a single cabinet that is highlighted or equalize two or more cabinets that are highlighted. You must be in the Select Move Mode to highlight cabinets.

ST or PT – opens the Standard Dimensions area of Settings Preferences where you can modify standard dimensions that affect the placement of cabinets.

SU or PU – opens a dialog where you can change the size of utilities.

SM or PM – opens a dialog where you can change the Edit Move Increment, which is the distance items move in response to arrow key input.

SOR – opens the Rotate Object dialog where the highlighted item can be rotated. You must be in the Select Move Mode to highlight an object or cabinet.

SOT – activates Texture Match for a highlighted molding or Display Object. The molding or Display Object will take on the texture of the first item you click on after the command is activated. You must be in the Select Move Mode to highlight a molding or Display Object.

SH – toggled Show Dimensions on and off. When on, dimensions between two highlighted cabinets or between one highlighted cabinet and a wall are automatically displayed. You must be in the Select Move Mode to select cabinets.

SP or PP – recalculated cost and price information displayed across the bottom of the screen.

SRC or PRC – creates a Cut List Report for highlighted items or for the entire Job if nothing is highlighted.

SRB or PRB – creates a Buy List Report for the highlighted items or for the entire Job is nothing is highlighted.

SRS or PRS – creates a Cost Sheet Report for the highlighted items or for the entire Job if nothing is highlighted.

Although this appears to be an extensive list, the letters have a pattern that, once learned, makes it easier to remember. All sequences start with S or P, depending on whether the command can be accessed from the Select Move Mode or the Place Item Mode. Some commands can be accessed from both so the first letter can be either.

You may want to print out this list and also follow along on the menu selections as you learn to use the Hot Keys. After awhile, the sequences start to become second nature and you will find the speed at which you can work with the software increases dramatically.


Software Reports to Help Build the Job

OK, the Job is done and sold. Now we have to build it.

The software offers some valuable tools to help you actually build the Job. The tools you use depend on how you are actually going to manufacture the parts.


Cut List

A Cut List is a report listing of all the parts you need to make for a cabinet or a Job. It lists the parts, material they are made from and their size.

An icon in the top toolbar launches the Cut List in a separate window. Certain areas of the software also have selections from right click menus that will run the Cut List report.

The first thing you must realize about the eCabinet Systems Cut List is that you can run a Cut List for any cabinet, combination of cabinets or an entire Job. A Cut List can be run from the Cabinet/Assembly Editor, from Custom Layout or from pretty much anywhere else in the software. Therefore, when you run a Cut List report, it is important to realize and understand where it is run from and exactly what it includes.

Also, the Cut List reflects the cabinet or job as it exists when the report is run. When the Cut List is run, the window that contains it remains open until you close it. Therefore, should you run a Cut List, then change the job, that Cut List report is no longer accurate although, until you close the window, you can still access it.

There may be times when this can be useful. You can run a Cut List for a job, then make a change and run it again. Both Cut Lists now exist in separate windows and you can compare them side by side.

From the Cabinet/Assembly Editor, the Cut List reflects any cabinet or combination of cabinets that are highlighted. If nothing is highlighted, the Cut List reflects everything currently loaded in the workspace.

It works pretty much the same way in Custom Layout. If one or more cabinets or items are highlighted, the Cut List reflects those items. If nothing is highlighted, the Cut List reflects the entire Job.

It is important to note that in this case, the Cut List not only includes everything in the Custom Layout but also includes any cabinets loaded in the Job through Batch Input.


Buy List

A Buy List is a report listing of all the parts you need to buy for a cabinet or a Job.

An icon in the top toolbar launches the Buy List in a separate window. Certain areas of the software also have selections from right click menus that will run the Buy List report.

As with the Cut List, you can run a Buy List for any cabinet, combination of cabinets or an entire Job. A Buy List can be run from the Cabinet/Assembly Editor, from Custom Layout or from pretty much anywhere else in the software. Therefore, should you run a Buy List, then change the job, that Buy List report is no longer accurate although, until you close the window, you can still access it.

Also, the Buy List reflects the cabinet or job as it exists when the report is run. When the Buy List is run, the window that contains it remains open until you close it. Therefore, you can run a Buy List, then change the job and that existing Buy List is no longer accurate although you can still access it.

There may be times when this can be useful. You can run a Buy List for a job, then make a change and run it again. Both Buy Lists now exist in separate windows and you can compare them side by side.

From the Cabinet/Assembly Editor, the Buy List reflects any cabinet or combination of cabinets that are highlighted. If nothing is highlighted, the Buy List reflects everything currently loaded in the workspace.

It works pretty much the same way in Custom Layout. If one or more cabinets or items are highlighted, the Buy List reflects those items. If nothing is highlighted, the Buy List reflects the entire Job.

It is important to note that in this case, the Buy List not only includes everything in the Custom Layout but also includes any cabinets loaded in the Job through Batch Input.

All the items in the Buy List for the current job are automatically added to the Shopping Cart which you can then use to actually buy these items. It is important to note that whenever the job changes, the Buy List items in the Shopping Cart automatically change to reflect the change. You do not need to run the report or do anything else. The Buy List as reflected in the Shopping Cart is always accurate and up to date.


Nest Diagrams

If we are going to cut the parts out using any technique other than nested based CNC machining we will need to lay them out on full sheets of material. This is a process that has become known as “nesting”. When this process is complete, we will also know exactly how many sheets of material will be needed for the Job. This nesting process can be done by the software.

If we are going to process the parts on a CNC router, we really don’t need to nest the parts here in the software, since the final nesting process will be done at the machine. There is a reason, however, to nest the parts in the software even if you are going to use a CNC.

Once a Job has been processed through nesting, the software knows exactly how much material is needed. Then, and only then, will the Cost Sheet be really accurate. Until the nest is run, the Cost Sheet uses estimated yield to calculate cost. Once the nest is run, it uses the actual cost, because it knows exactly how many sheets it will take to make the parts.

The nesting area is also where you can get printed diagrams of the layout of parts on each sheet and shop drawings of each part.

Before we actually perform a nest, let’s take a look at the available controls.

The nesting area is accessed through an icon in the top toolbar.

At the very top is a selection for Nest Type. Two selections are available, Cut Line and True Shape.

These define two different methods of developing the nest. The one you select depends on how you will process the parts.

A common way to cut parts from sheets is to cut them into panels using a panel saw or table saw and then perform any additional machining on the rectangular panels.

To be able to do this, however, requires that the parts be lined up along cut lines. We need to be able to cut all the way through the sheet separating panels without cutting into adjoining parts.

This is called a “Cut Line” nest. Parts are lined up along cut lines.

If parts are to be machined on a CNC router there is no real need to line them up. In fact, for odd shaped parts we could actually interweave them.

This approach is called “True Shape” nesting and, depending on the Job, can save material and result in better yield.

The next selection is the Nest Direction.

This determines whether the software nests the Job across the bottom first and then vertically or up the side first and then across.

In True Shape nests, this can affect the yield, so both directions should be tried and the one with the best yield used.

For Cut Line nests, this determines whether the first saw cuts are rip or cross cut.

We will skip the Print area for now and jump down to Collar.

Sheet stock seldom has edges that are smooth, square and finished adequately enough for cabinet applications. Therefore, it is usually necessary to trim the outside edges when we are machining the sheet.

In order to do this, we must allow some material around the entire edge of the sheet. This trim material around the edge of the sheet we call the Collar.

Above are nest diagrams for three sheets of material using a 2” collar.

Normally an eighth to a quarter of an inch is sufficient for most applications but we used a large collar here to make it easier to see the effect.

The Collar dimension is reserved around the entire sheet and parts are not nested into this area.

The next area to consider is the width of the saw blade or router bit.

Both of these parameters are defined in the Standard Dimensions area of Settings/Preferences. There are two input fields, Saw Blade Kerf and True Shape Nesting Cutter Diameter.

If you select Cut Line nest, the Saw Blade Kerf width is used between parts.

If you select True Shape nest, the True Shape Nesting Cutter Diameter is used, although this is not necessarily the gap between parts.

The actual space in True Shape nesting is slightly larger than the tool diameter. The software creates the program to cut each side of each part independently.

This is because you cannot ever get exactly the diameter tool you want.

To get accurate sized parts, the program must be adjusted for the exact diameter of the tool by a feature called Tool Radius Compensation. For this to work, each edge of each part must be cut separately.

The only thing you need to know is where the separation between parts comes from (Settings/Preferences – Standard Dimensions) and that for True Shape Nesting the result will be the same using a tool that is approximately the diameter you specify.

Above is a typical output for a Cut Line nest. Let’s look at the various features of this output.

At the top is the Job name and the material. If the Job uses more than one material, nests for each material are grouped together. The vertical Scroll bar is used to scroll down the list of sheets.

The total number of full sheets is shown, in this case 11.

The yield for this Job is shown assuming that all 11 sheets are used and that you discard any material left over. There are also two lines concerning Rolling Nest Yield. This is a good time to examine nests, yield and a concept called Rolling Nest.

If you look at the nest diagrams, you will see different colors.

These colors actually have meaning.

Tan parts are the actual parts needed for the Job.

Red areas are scrap.

Green areas are also scrap for purposes of the standard yield calculation, however, they are large enough to be used on new jobs if some way could be found to use them. This is where the concept of Rolling Nest comes in.

If the system knew the sizes of material or drops left from the last job, it could start by nesting parts on those pieces and then continue the job using full sheets. Although this is a simple idea, its execution in the real world is a bit tricky.

The most obvious approach is to simply keep tract of the drops in the computer and then use them the next time you run a nest. As simple and straightforward as this sounds, it presents some serious problems in a real shop.

When you use the drops in the new nest, you need to somehow communicate back to the machine which drops to use, in what order and how to orient them for machining. This is not all that easy.

Sometimes, it can be awhile between jobs that use the same material. What if the operator can’t find the drops he needs after the programs are written for them? What if they were used for something else? In the real, practical world, the simple straightforward approach does not work. It commonly costs more trying to use this material than you possibly save in improved yield.

Many of these problems disappear if you can create the nest and CNC code at the CNC machine, rather than in the office. At the machine, just before you are ready to run the job, you know exactly what material you have handy. It is right there in front of you.

If there was an easy way to identify the drops and tell the control the order in which you want to run them, it would actually be practical to use them.

This is the basic idea behind Rolling Nest.

In addition to creating nests at the control, the Rolling Nest package also includes two printers. One prints a diagram of each nested sheet, identifying parts on that sheet. The second prints an adhesive backed label for each part.

The operator uses the diagram to identify the parts and places a label on each.

In addition to normal text information, some of the part labels also have a bar code. Actually two different types of parts have a bar code on their labels. The first includes all parts that need to be machined from both sides.

Some parts have machining operation on both sides. They need to be turned over and located and then the back side machined.

There are two requirements for this. First you must properly orient the part for the flip operations and then you must load the correct CNC program. The part label accomplishes both.

When the label is placed on the part after the front side machining is complete, it is always placed in a specific location. The location of the label is then used to properly orient the part when it is flipped over.

The part label also has a bar code. This bar code tells the control what CNC program to load. Just scan the label, locate the part and press Start.

The second type of part that has a bar code on its label is a drop.

Whenever a piece of scrap is larger than a minimum size, a bar code label is printed for it. This bar code identifies the size, shape and material.

As you might imagine, you can set the minimum size drop you want to save. For Rolling Nest yield calculations in the eCabinet Systems software we set this size as 18” x 18” but different shops use different sizes. There are also some other sophisticated touches to managing drops.

The actual shape of the scrap can be unhandy, with protrusions, lips and narrow outcroppings. During machining the system squares off the drop, cutting away any areas that are not suitable for nesting. The result is a rectangular or possibly an L shaped drop that is both easy to handle and practical.

Using drops in a new Job is easy.

When the Job starts, the system asks for any drops you might want to use.

Scan the drops in the order you want to run them and generate the nest. Parts will be nested on the drops first, in the order in which you scanned them. The remainder of the Job is then nested on full sheets and labels are printed for any remaining drops.

This approach makes using material from one Job on another truly practical. It requires little effort and the resulting improvement in yield can be significant.

While we are discussing Rolling Nest, there is one other aspect that makes it an incredible tool. This is called Easy Link.

Rolling Nest of course accepts Jobs from eCabinet Systems. Each Job is actually a collection of all the parts needed for the Job. You can, while setting up a Rolling Nest job, combine two or more eCabinet Systems Jobs. Rolling Nest will intermix the parts, trying to achieve the best yield.

In addition to parts from eCabinet Systems, Rolling Nest also accepts parts from every other major cabinet design software and every major CAD system. Not only does it accept these parts but it can accept parts from multiple sources in a single job and will intermix these parts to achieve the best nest.

As incredible as this is, it gets even better.

To understand this next part we need to talk a little about how CNC programs are created.

First comes the design.

Parts can be designed on a variety of software systems. These are collectively referred to as CAD or Computer Aided Design. The CAD system develops a geometric representation of the part. This design can be saved in a number of formats. Most CAD systems have their own format but, virtually all can also save the design in a format called DXF.

The DXF format came from a software company called AutoDesk, developers of AutoCAD. These were the first folks to develop a CAD system for PCs and they stored their files in a format they called data exchange format or DXF.

AutoCAD was quite successful which inspired others to create their own CAD systems. Since there were so many AutoCAD users, each new system needed to read and write to the DXF format so it became a type of unofficial standard. You will see why this is important in a minute.

Now back to how we generate CNC code.

Once we have a design, we must prepare it for CNC machining.

There are a lot of additional things needed before we can machine the part we designed.

First, the geometry is probably not in the correct order. The various geometric entities that make up our part are likely in random order, a result of our design process. It won’t work very well to try and machine the parts in this order.

To get an idea of this problem, watch a pen plotter sometime. It draws the parts in the order in which they appear in the design file. It skips all over the place, apparently at random until the drawing eventually emerges. This works for plotters. It will not work for CNC machines.

So the first thing we need to do is to re-order the geometry. We need to determine the direction we want to cut and then string the entities together, reversing some, to generate a continuous part outline from start to finish.

We are, however, not done yet.

The geometry we now have is the part itself. What we really need is the path the tool must take to make that part. Therefore, we must offset the tool path from the part and generate the tool path required.

Still not done.

The machine itself will have certain requirements to get a good part. Some parts may need a lead-in and/or lead-out. This means you start off the part, begin moving and them move onto the part, machine it and end off the part again. This can get quite sophisticated.

When using Universal Vacuum to hold the part, it may be necessary to cut the part in two passes, the first leaving a thin skin and the second cutting the skin away. In this way, smaller parts can be cut without moving. So, the system must decide if any of these special features are needed and add them to the program. You might want to start and end along the longest end of the part which also minimizes the risk of moving. In a nest, you may want to machine the smaller parts first and then the big parts so the big parts can hold the small parts in place for as long as possible. While we are at it let’s make sure the joint between the small part and the big part is the last one to get cut away.

This has all gotten pretty complex, but we still aren’t done.

What we now have is a tool path. We know the path the tool must take to cut the part.

We now have to go through another piece of software to tailor the program to each machine we want to run on. You see, the same program cannot run on any CNC machine. In fact, a typical CNC program can only run on one CNC machine. You have to create a different program for every machine, even to make the same parts.

WHY?

It is because no two CNC machines are the same. A good example is a machine with a router spindle and a separate drill head. Let’s say the drill is mounted to the left of the router.

In order to switch from routing to drilling the machine must shift to the left. No problem, just program the machine to move to the left.

What if you try to run this program on a second machine, but the drill is on the right on this machine, not on the left. The program will shift to the left which clearly won’t work.

You need a different program to make the part on this machine.

You would encounter the same problem if the drill was on the left on this machine but was not in exactly the same location as on the first machine. Unless the machines are absolutely identical, you will need a slightly different CNC program for each machine.

It is impossible to make the machines absolutely identical.

The industry handles this by using a software program called a Post Processor.

A Post Processor is created for each machine. This program knows all the mechanical details about the machine and adjusts the program to run properly on that one machine.

So, that’s how the industry created CNC programs before Rolling Nest. Part designs created on a CAD system were processed through CAM software that reordered the geometry, offset for tooling, adjusted for special requirements of the machine and output center line data. This data was then run through a Post Processor for the particular machine it would run on.

Rolling Nest has changed all that.

As we said earlier, all major CAD systems and kitchen design software outputs their designs in DXF format.

Rolling Nest can accept these DXF files directly from the CAD system without the need for CAM, Post Processor or any further processing. All the work we just described is done inside the CNC control.

It is all automatic.

Not only can it create CNC programs for these parts but it can nest them with DXF parts from other CAD systems in the same nest. Imagine, you can have parts from multiple design sources nested together in the same job.

So as you can see, Rolling Nest is a powerful package, but what if you don’t have access to a Thermwood CNC router?

There is an additional tool in the eCabinet Systems Nesting package that might help. It is called Filter.

Filter is used to filter out or remove certain parts from the nesting process. As it naturally exists, every part of every cabinet in the Job is nested. When you press the Filter button, a dialog opens where you can identify certain parts that you want removed from the nesting process.

When you first open the Filter dialog, the Job name is displayed.

Click on the plus sign to expand the Job to show a list of cabinets that make up the Job.

Notice the green checkmark in front of each of the cabinets. This means that the cabinet is included in the nest.

Click on the plus sign in front of one of the cabinets to get a list of the parts that make up that cabinet. Again notice the green checkmark in front of each of the parts.

Again, this means that all these parts are included in the nest.

Here we have clicked on several checkboxes, changing them to a red X. The red X means that these parts will not be included in the nest.

Notice that we also clicked on a cabinet with qty 4. The red X means that this line item, all four cabinets and all parts for those cabinets will not be included in the nest.

Also notice the yellow exclamation point symbol in front of Std Tall cabinet and in front of the Job name. This means that [image] somewhere in the Job parts have been filtered and somewhere in the Std Tall cabinet parts have been filtered. When you can see all the parts it is not important but if you collapse the presentation as shown, it indicates that somewhere in the list, parts are filtered out.

Let’s look at some places where this can be useful.

Let’s assume you have a standard job you run repeatedly, a dormitory layout perhaps. Perhaps on the new run you have a couple of cabinets left over.

Instead of changing the saved Job, you can simply filter out the cabinets, producing everything but those cabinets.

Another possible use would be to offer a method of using some larger pieces of scrap, or drops, when cutting parts manually. Instead of throwing this material away, you could find a few parts and manually nest them on the drop. Then filter them out of the Job, nest and run the rest of the parts.

It takes a little more work but does save material.

Now let’s go back and look at some additional output from the Nesting system.

When first run, the nest displays all the nests for the entire Job, color coded and three across. This gives you a general idea of the scope of the job as well as summary of material requirements.

For a more detailed look at a single sheet, double click on it. You will then see a more detailed view of the sheet including dimensions as shown.

The text is shown in red because this display reacts to the Screen Shade slide control and if the background is black, black text would not show.

You can now double click on any part on this screen to bring up a part display as shown.

This display provides all the data needed to make the part.

To move back to the last screen press the Back button to the left. Note that the Back icon on the toolbar does not work in this are since this display is not HTML. The Back button, however, does the same thing.

At any time you can press the Reset View button and return to the top display page.

Now that the nest is complete, you can print drawings for the Job as well as labels for each part. Let’s start with drawings.

There are three selections for what you might want to print, View, Sheets or Job.

You select View you print a single sheet showing the view you currently see on the screen regardless of what it is.

Sheets print a page for each sheet of material showing the dimensioned sheet layout for each.

Job prints all the Sheets pages as well as a page for each distinct part in the Job. If two or more identical parts are needed, it only prints a single page for the part but indicates on the page how many of that part design are required.

The Print Labels button prints adhesive labels for every part in the Job. Currently the system is set up for printing labels designated as 5366.

These automated drawings and layouts are designed primarily for in-house use. They require little effort to generate and contain all required information but are likely not adequate for [image] external use. If you need part drawings for outside use, you may need to use the Line Drawing Editor to develop acceptable presentations as shown to the left.

The nesting area, when combined with the Cut List, provides the primary manufacturing output from the software. It is intended that they contain enough information to machine and produce all the components required for the Job.


CNC Output

eCabinet Systems software generates a CNC output file that sends information about every part needed for the job to a Thermwood CNC control system. It does not generate standard CNC code but instead generates a file that informs the control what it needs to produce. The control system then performs whatever functions are necessary to actually make the parts.

For nested sheet parts, the control performs the nesting process rather than nesting with the software in the office. Why do this at the machine instead of in eCabinet Systems?

There are actually several good reasons but they are all centered around the fact that you will know more about the production process and what you actually want to do at the machine then you will in the office. For example, you may have some partial sheets of material left from a previous job that you would like to use. You can scan these into the control and it will nest on them first. At the end of each job, the control prints a label for any material left over that is large enough to reuse so scanning the piece in is easy.

This makes using left over material easy and over a year amounts to a lot of money saved. Trying to do this from measurements in the office is clumsy at best and for most shops it just doesn’t work. For example, what if you nest a job on a scrap piece and then can’t find it? Nesting at the machine is just plain better.

Another plus is that the control can accept DXF output files from almost every cabinet design and CAD program and nest them with your eCabient Systems job. This adds huge flexibility that is even better when done at the machine.

If some of your eCabinet System parts have edge profiles, the control asks if you have a custom tool that matches the profile. If you do, it uses it. If you don’t, it creates a modeling program using a ball nose and flat bottom tool to model the profile.

This is a great feature when you only need a part or two and can save huge amounts of tooling money over time. It is even nice as a backup when your one and only profile tool breaks with only two parts to go in the job.

The other major advantage to creating the actual CNC programs in the control is that you can send the same eCabinet Systems CNC output file to any Thermwood CNC router and you will get the same parts even if the machines are configured quite differently.

With standard CNC programs, the program will literally run only one machine. If you need to run the same program on a second machine, even if it is supposed to be exactly the same, you need to adjust it using a post processor software package. It is not easy to exchange programs between different CNC machines.

CNC Routers are like fingerprints. They all look sort of the same but they are all really different. The approach we take eliminates the effect of machines being different and allows eCabient Systems Members to freely send jobs to Thermwood machine owners and have them run with no hassles.

This approach is the key to Thermwood’s Production Sharing program. Hundreds of eCabinet Systems Members who do not own a Thermwood CNC router send jobs to other Members with machines for processing. For more information on this program, see our web site.


Downloading and Using Carving Files

Thermwood has established a library of wood carving designs that are available to eCabinet Systems Members. The library contains hundreds and should soon contain thousands of carving designs of every type and design period.

eCabinet Systems Members can download these files for free from the eCabinet Systems or Thermwood web sites in the area titled “Carving Library”. Each carving design has three files associated with it, an .hsf file which will display in the eCabinet Systems software, a CNC program for use on a Thermwood CNC router and a .pdf file that contains instructions for actually making the part on the router.

There is no cost to download these files. There is no cost to use the .hsf files in the eCabinet Systems software. There is a small rental fee associated with actually making the part on a CNC router using the downloaded program.

To access these files, click on Carving Library from the eCabinetSystems.com we site.

There are two links. One allows you to browse the available carvings in the carving library as well as review the parts associated with the Thermwood Furniture Network, which is covered in detail in the section “Thermwood Furniture Network”.

To actually download the files, select the second link Download the hsf files here. Note that you must be a registered eCabinet Systems Member to download files.

You will need your account number as well as your zip code to download the files. You can find your account number by starting eCabinet Systems software and clicking Help from the top menu. Then select My Account Number.


The Thermwood Furniture Network

The Thermwood Furniture Network is a program established by Thermwood to bring to eCabinet Systems Members the ability to customize and build professionally designed furniture in a way that allows them sell it at a high profit.

The idea behind the program is to provide to Members elements of furniture manufacturing not normally available to smaller shops and to provide these in a format that allows the furniture designs to be easily customized by each individual shop. The fact that it is “custom built” adds to its desirability and enhances the profit that can be realized from each piece.

The first element is truly professional furniture design. This can only come from true professional furniture designers. Several world renowned furniture designers have joined the program and are providing exciting designs. We plan to increase the number of available designs and the number of participating designers as the program matures.

The next element required to build this furniture is an economical method to make the myriad of complex parts, moldings, turnings, legs and carvings needed for these designs. Large furniture manufacturers spend tens and at times hundreds of thousands of dollars tooling up for a new line of furniture. Obviously this requires large production volume to justify and their traditional methods for making these parts will not work for our program.

We must economically produce essentially the same parts in single quantity without a major tooling investment. To achieve this we turn to modern technology and the Thermwood CNC router.

A CNC router can produce virtually any part using pretty much standard tooling. In most cases, you trade off the ability to make almost anything without special tooling for a longer production cycle. Custom machinery and custom tooling allows these parts to be produced faster, so large furniture companies wouldn’t necessarily make them our way. However, if you only need one or two pieces, they can be economically made with a CNC router and the appropriate CNC program.

Developing the CNC program can be a costly and time-consuming affair but this investment is justified if the same CNC program can be used by everyone in the eCabinet Systems program. To accomplish this we have committed to developing the required CNC programs needed to make the parts for these designs and then rent these CNC programs to Members. A fee is charged each time the program is run. This fee pays the designer for their designs and repays Thermwood for developing the program.

The Thermwood CNC control has special abilities that enhance this program including the ability to resize parts, including intricate carvings. This allows the designs to be customized and dramatically increases the value of the program.

The control also handles the rental fee. You purchase credits either directly through the Thermwood control or through an office computer. If you buy carving credits through an office computer you are given an access number that must be typed into the control and the control registers with our server to keep track of credits. If you have more than one machine there is a method for transferring credits between machines.

When you run a part the control tells you how many credits it requires and how many you have available on the control. At some point during program execution the fee is actually charged against your account. This charge point is generally far enough through the program to uncover voids or possible problems with the material. At this point you can stop, and restart the program without additional cost. Once the charge point is reached, you need to pay the fee again to restart the program.

A rotary playback axis is used to make legs, posts and turnings on the same machine.

This approach to complex parts brings incredible flexibility to small shops and makes the furniture network possible.

This might be a good time to discuss customizing. Designs offered through this program have a strong theme that can generally be applied to other applications. For example, carvings, moldings and corner posts from a dresser or china cabinet could be used on an elaborate bathroom vanity. A carved table skirt could be resized and used on a range hood. The possibilities are endless.

Since designers get paid through the CNC program rental, the more elements of their design you use the higher their fee, so we and they encourage you to use your imagination. There is one caution however. The overall scale, proportion and balance of a design are as important as individual design elements. When using design elements in a modified version, it is important to download the display files for each part resize them and build the customized design in the software so that you can see the final result. Design files and software tools are available for doing this. This process is covered in the section “Downloading and Using Furniture Network Files”.

The last element needed to build world class custom furniture is a world class finish. Even the best furniture designs won’t measure up if you use a typical cabinet finish. Until this program, really top finishes used by major furniture manufacturers were not available to small shops.

The whole structure of the furniture industry is geared toward big companies. First, there are no standard finishes. When a major furniture company creates a new design, their designers work with the color development laboratories of the finishing supplier to develop a finish specifically for that product. Good finishes tend to be twelve to eighteen steps and these steps can be different for every product.

Once the finish has been created, technicians from the finishing supplier travel to the furniture manufacturing plant and teach the line workers how to apply the new finish. The whole process is involved, expensive and time-consuming and only makes sense if finishing material is sold in large quantity.

In fact, since material is only sold in large quantity, major finishing suppliers literally can’t blend less than several hundred gallons of anything. Their equipment simply isn’t set up for it.

To address this last element, we have, working with Valspar, the largest supplier of furniture finishes in the world, established a blending facility in our plant to blend finishes in the smaller quantity needed for the furniture network.

We started by working with the designers to develop seven standard finishes (more are coming). These are quality furniture finishes with twelve to eighteen steps, blended to work in a typical cabinet shop. We have created a DVD video for the application of each of these finishes although, if you are not familiar with application of finishing material, you should attend an actual hands-on training class. We conduct formal classes to teach all the processes needed to build this furniture including the finishing process. Once you have some experience with the material, the videos should suffice for adding different finishes to your offering.

Through this program, all the elements needed for eCabinet Systems Members to build world class custom furniture are in place. For those Members who don’t already have a Thermwood CNC router, there are many shops on our web site that offer to make parts for others.

Not only does this give you the ability to build truly great furniture but also to make a very high profit doing it. Typical furniture from major manufacturers is marked up from 100% to 300% before reaching the consumer. It will certainly cost you more to build this furniture than a major manufacturer with a big factory and heavy tooling investment but you do not have the same distribution markup. This means you can be price competitive and yet make profits unheard of in traditional furniture manufacturing. In fact, since your products are “custom” you should be able to command a price premium, enhancing profits even more.


Downloading and Using Furniture Network Files

There are two sets of files associated with each line of designer furniture offered through the Thermwood Furniture Network. These files are found in the “Thermwood Furniture Network” area of the eCabinet Systems web site.

The first set of files is called “Plans” and includes assembly files of each of the pieces in the group plus individual Display Part files for each of the individual components plus a PDF file containing manufacturing and assembly instructions. This set of plans can be purchased from the web site and downloaded.

The second set of files contain the actual CNC programs needed to make the parts. These files can be downloaded from the web site for free and run on a Thermwood CNC router set up for program rental. There is a fee, however, each time the program is run.

All new machines from Thermwood are set up for program rental. Machines built before this feature was available can be upgraded to add this feature.

Note that you can save considerable download time by purchasing all the files for a design as a CD that is shipped to you.

To download the files, go to the eCabinetSystems.com web site and click on Thermwood Furniture Network. Select the collection you want to download plans for. Go to the bottom and click on To purchase and download the plans file click here.

Then click Add to Shopping Cart.

At this point you can add additional items to the shopping cart or just check out.

When these files are installed, they are automatically placed in the appropriate directories so that the software can access them easily.


Sharing Design Files

In eCabinet Systems, cabinet designs and assemblies are individual files that contain all the information and data support including textures, images, etc. You can exchange designs by simply exchanging these files.

In order to be able to share a design by simply sharing a file, all data concerning the design, regardless of how it is stored in the system, needs to be included in the file. This information must then be integrated with the new host system in an orderly manner.

For most cabinet data, the transfer between systems is relatively easy as many areas, door design for example, use standard design elements that are the same for all systems. The one area where this is not the case is Materials.

Each user defines their own sheet stock material and the chances of two independent systems having the exact same material definitions are unlikely. When you load a cabinet design from another system, it is quite likely that you will need to attend to material differences.

The material specified for the incoming cabinet may not be available on your system or, perhaps the name specified is available but it is not correct. In either case, the system will alert you to the discrepancy and offer methods to resolve the conflict.

The only specification actually checked by the system if the material does exist is the thickness. If the material exists in the receiving system and it is the correct thickness, it is accepted. If the thickness is not correct, the material is rejected and a conflict established.

This also means that if the material exists in the proper thickness but the color or texture is incorrect, it will be accepted and the surface texture that exists on the receiving system is used.

To prevent these types of problems, it is best if the parties exchanging designs communicate about material specifications and agree on the proper handling of materials.

In the software, when a material conflict arises, a resolution dialog appears. From this screen, there are basically two choices. You can add the material from the cabinet you are importing to your material list as it was defined by the person that developed the design or, you could substitute a material you currently have defined for use in the cabinet. The system will only offer you selections for substitution that are the same thickness as the material in the cabinet design.

Another possibility is that a material exists in your system that has the same name as the material used in the incoming cabinet. In this case, if the system will check the thickness and if it is the same, the material in your system will be used.

If the material name is the same but the thickness is different, you are again given a choice to resolve the conflict.

You can change the thickness of the material defined in your system to match the material on the incoming cabinet. This will work for this one cabinet, however, the material thickness of this material for any cabinets you previously saved that used this material will be wrong. When you load the other cabinet, the conflict will be detected and you will again be given this choice. If you change the thickness back, you will have the same problem when you load the new cabinet again.

The second, and better choice, is to substitute an existing material of the proper thickness for the material currently specified for the cabinet.

Another area where conflict can occur is with hardware hole definitions. An incoming cabinet may include specific hardware, a drawer slide for example. This drawer slide may also have a hardware hole pattern associated with it. The system in which it is being loaded may, however, have a different hole pattern associated with this particular slide. Thus, a conflict exists as to which hole pattern to use.

If you are importing the design to build it yourself, you may very well want to use the hole pattern you associated to the slide and not the one coming in with the cabinet. If, on the other hand you are going to machine parts for someone else, you will want to use their hole pattern and not yours.

To accommodate both of these requirements, the software uses the hole patterns associated with the cabinet but, you can change these to your default patterns after the cabinet is loaded. Simply go to the Door/Drawer Editor, highlight the appropriate drawers and select a new default. The highlighted parts are changed to your hardware hole pattern.

The ability to easily exchange cabinet and assembly files opens some very interesting possibilities. The developers expect that programs will develop within eCabinet Systems for Members to share designs in an effort to help one another, but we expect the idea to evolve much farther.


Drawing Editor:

M = Displays all the Marker Nodes available for selection from this view.